%--------------------------------------------------------------------------
% File     : BOO005=XPlusMId-1 : Released v0.0.0, Updated v0.10.2.
% Domain   : Boolean Algebra
% Problem  : X + multiplicative id = multiplicative id (X + 1 = 1)
% Version  : [McCharen, et al., 1976] axioms.
% English  : 

% Refs     : McCharen J.D., Overbeek R.A., Wos L.A. (1976), Problems
%            and Experiments for and with Automated Theorem Proving
%            Programs, IEEE Transactions on Computers C-25(8), 773-
%            782. Problems B3 and B5.
%          : Overbeek R., McCharen J., and Wos L. (1976), Complexity
%            and Related Enhancements for Automated Theorem-Proving
%            Programs, Computer and Mathematics with Applications 2,
%            1-16. Lemma proved.
%          : Whitesitt J.E. (1961), Boolean Algebra and Its
%            Applications, Addison-Wesley. Chapter 2.
% Source   : [McCharen, et al., 1976].
% Names    : prob3_part1.ver1.in [ANL]
%          : B3 part 1 [McCharen, et al., 1976]
%          : B5 [McCharen, et al., 1976]

% Status   : 
% Syntax   : Number of clauses           :   37 (   0 non-Horn)(  12 units)
%            Number of literals          :   95 (  24 equality)
%            Number of predicate symbols :    3 (   0 propositions)
%            Number of function symbols  :    6 (   3 constants)
%            Number of variables         :  126 (   0 singletons)
%            Maximal clause size         :    5
%            Maximal term depth          :    2

% Comments : 
%--------------------------------------------------------------------------
%----Include Reflexivity, symmetry and transitivity, of equality
include('Axioms/EQU001-0.ax').
%----Include boolean algebra axioms
include('Axioms/BOO002-0.ax').
%----Include boolean algebra equality axioms
include('Axioms/BOO002-0.eq').
%--------------------------------------------------------------------------
input_clause(prove_equations,theorem,
    [--sum(x,multiplicative_identity,multiplicative_identity)]).
%--------------------------------------------------------------------------
