%--------------------------------------------------------------------------
% File     : BOO007=ProdAssc-1 : Released v0.0.0, Updated v0.4.2.
% Domain   : Boolean Algebra
% Problem  : Product is associative ( (X * Y) * Z = X * (Y * Z) )
% Version  : [McCharen, et al., 1976] axioms.
% English  : 

% Refs     : McCharen J.D., Overbeek R.A., Wos L.A. (1976), Problems
%            and Experiments for and with Automated Theorem Proving
%            Programs, IEEE Transactions on Computers C-25(8), 773-
%            782. An established lemma.
%          : Whitesitt J.E. (1961), Boolean Algebra and Its
%            Applications, Addison-Wesley. Chapter 2.
% Source   : Email from Veroff.
% Names    : 

% Status   : 
% Syntax   : Number of clauses           :   41 (   0 non-Horn)(  16 units)
%            Number of literals          :   99 (  25 equality)
%            Number of predicate symbols :    3 (   0 propositions)
%            Number of function symbols  :   13 (  10 constants)
%            Number of variables         :  126 (   0 singletons)
%            Maximal clause size         :    5
%            Maximal term depth          :    2

% Comments : 
%--------------------------------------------------------------------------
%----Include Reflexivity, symmetry and transitivity, of equality
include('Axioms/EQU001-0.ax').
%----Include boolean algebra axioms
include('Axioms/BOO002-0.ax').
%----Include boolean algebra equality axioms
include('Axioms/BOO002-0.eq').
%--------------------------------------------------------------------------
input_clause(y_times_z,hypothesis,
    [++product(y,z,y_times_z)]).

input_clause(x_times__y_times_z,hypothesis,
    [++product(x,y_times_z,x__times_y_times_z)]).

input_clause(x_times_y,hypothesis,
    [++product(x,y,x_times_y)]).

input_clause(x_times_y__times_z,hypothesis,
    [++product(x_times_y,z,x_times_y__times_z)]).

input_clause(prove_equality,theorem,
    [--equal(x_times__y_times_z,x_times_y__times_z)]).
%--------------------------------------------------------------------------
