%--------------------------------------------------------------------------
% File     : BOO011=InvAId-1 : Released v0.0.0, Updated v0.4.2.
% Domain   : Boolean Algebra
% Problem  : Inverse of additive identity = Multiplicative identity
% Version  : [McCharen, et al., 1976] axioms.
% English  : The inverse of the additive identity is the 
%            multiplicative identity.

% Refs     : McCharen J.D., Overbeek R.A., Wos L.A. (1976), Problems
%            and Experiments for and with Automated Theorem Proving
%            Programs, IEEE Transactions on Computers C-25(8), 773-
%            782. Problem B7.
%          : Whitesitt J.E. (1961), Boolean Algebra and Its
%            Applications, Addison-Wesley. Chapter 2.
% Source   : [McCharen, et al., 1976].
% Names    : prob7.ver1 [ANL]
%          : B7 [McCharen, et al., 1976]

% Status   : 
% Syntax   : Number of clauses           :   37 (   0 non-Horn)(  12 units)
%            Number of literals          :   95 (  25 equality)
%            Number of predicate symbols :    3 (   0 propositions)
%            Number of function symbols  :    5 (   2 constants)
%            Number of variables         :  126 (   0 singletons)
%            Maximal clause size         :    5
%            Maximal term depth          :    2

% Comments : 
%--------------------------------------------------------------------------
%----Include Reflexivity, symmetry and transitivity, of equality
include('Axioms/EQU001-0.ax').
%----Include boolean algebra axioms
include('Axioms/BOO002-0.ax').
%----Include boolean algebra equality axioms
include('Axioms/BOO002-0.eq').
%--------------------------------------------------------------------------
input_clause(prove_equation,hypothesis,
    [--equal(inverse(additive_identity),multiplicative_identity)]).
%--------------------------------------------------------------------------
