%--------------------------------------------------------------------------
% File     : BOO013=InvUnq-1 : Released v0.0.0, Updated v0.4.2.
% Domain   : Boolean Algebra
% Problem  : The inverse of X is unique
% Version  : [McCharen, et al., 1976] axioms : Augmented.
% English  : 

% Refs     : McCharen J.D., Overbeek R.A., Wos L.A. (1976), Problems
%            and Experiments for and with Automated Theorem Proving
%            Programs, IEEE Transactions on Computers C-25(8), 773-
%            782. Problem B9.
%          : Whitesitt J.E. (1961), Boolean Algebra and Its
%            Applications, Addison-Wesley. Chapter 2.
% Source   : [McCharen, et al., 1976].
% Names    : 

% Status   : 
% Syntax   : Number of clauses           :   41 (   0 non-Horn)(  16 units)
%            Number of literals          :   99 (  25 equality)
%            Number of predicate symbols :    3 (   0 propositions)
%            Number of function symbols  :    8 (   5 constants)
%            Number of variables         :  126 (   0 singletons)
%            Maximal clause size         :    5
%            Maximal term depth          :    2

% Comments : 
%--------------------------------------------------------------------------
%----Include Reflexivity, symmetry and transitivity, of equality
include('Axioms/EQU001-0.ax').
%----Include boolean algebra axioms
include('Axioms/BOO002-0.ax').
%----Include boolean algebra equality axioms
include('Axioms/BOO002-0.eq').
%--------------------------------------------------------------------------
input_clause(sum_to_multiplicative_identity1,hypothesis,
    [++sum(x,y,multiplicative_identity)]).

input_clause(sum_to_multiplicative_identity2,hypothesis,
    [++sum(x,z,multiplicative_identity)]).

input_clause(product_to_additive_identity1,hypothesis,
    [++product(x,y,additive_identity)]).

input_clause(product_to_additive_identity2,hypothesis,
    [++product(x,z,additive_identity)]).

input_clause(prove_both_inverse_are_equal,hypothesis,
    [--equal(y,z)]).
%--------------------------------------------------------------------------
