%--------------------------------------------------------------------------
% File     : BOO014=DeMorgan1-1 : Released v0.0.0, Updated v0.4.2.
% Domain   : Boolean Algebra
% Problem  : DeMorgan for inverse and product (X+Y)^-1 = (X^-1) * (Y^-1)
% Version  : [McCharen, et al., 1976] axioms. 
% English  : 

% Refs     : McCharen J.D., Overbeek R.A., Wos L.A. (1976), Problems
%            and Experiments for and with Automated Theorem Proving
%            Programs, IEEE Transactions on Computers C-25(8), 773-
%            782. 
%          : Whitesitt J.E. (1961), Boolean Algebra and Its
%            Applications, Addison-Wesley. Chapter 2.
% Source   : [McCharen, et al., 1976].
% Names    : 

% Status   : 
% Syntax   : Number of clauses           :   39 (   0 non-Horn)(  14 units)
%            Number of literals          :   97 (  25 equality)
%            Number of predicate symbols :    3 (   0 propositions)
%            Number of function symbols  :   10 (   7 constants)
%            Number of variables         :  126 (   0 singletons)
%            Maximal clause size         :    5
%            Maximal term depth          :    2

% Comments : 
%--------------------------------------------------------------------------
%----Include Reflexivity, symmetry and transitivity, of equality
include('Axioms/EQU001-0.ax').
%----Include boolean algebra axioms
include('Axioms/BOO002-0.ax').
%----Include boolean algebra equality axioms
include('Axioms/BOO002-0.eq').
%--------------------------------------------------------------------------
input_clause(x_plus_y,hypothesis,
    [++sum(x,y,x_plus_z)]).

input_clause(x_inverse_times_y_inverse,hypothesis,
    [++product(inverse(x),inverse(y),x_inverse_times_y_inverse)]).

input_clause(prove_equation,hypothesis,
    [--equal(inverse(x_plus_y),x_inverse_times_y_inverse)]).
%--------------------------------------------------------------------------
