%--------------------------------------------------------------------------
% File     : BOO017=SumProd-1 : Released v0.0.0, Updated v0.4.2.
% Domain   : Boolean Algebra
% Problem  : Relating sum and product (X + Y = Z -> X * Z = X)
% Version  : [McCharen, et al., 1976] axioms.
% English  : 

% Refs     : McCharen J.D., Overbeek R.A., Wos L.A. (1976), Problems
%            and Experiments for and with Automated Theorem Proving
%            Programs, IEEE Transactions on Computers C-25(8), 773-
%            782. An established lemma.
%          : Whitesitt J.E. (1961), Boolean Algebra and Its
%            Applications, Addison-Wesley. Chapter 2.
% Source   : [McCharen, et al., 1986]
% Names    : 

% Status   : 
% Syntax   : Number of clauses           :   38 (   0 non-Horn)(  13 units)
%            Number of literals          :   96 (  24 equality)
%            Number of predicate symbols :    3 (   0 propositions)
%            Number of function symbols  :    8 (   5 constants)
%            Number of variables         :  126 (   0 singletons)
%            Maximal clause size         :    5
%            Maximal term depth          :    2

% Comments : 
%--------------------------------------------------------------------------
%----Include Reflexivity, symmetry and transitivity, of equality
include('Axioms/EQU001-0.ax').
%----Include boolean algebra axioms
include('Axioms/BOO002-0.ax').
%----Include boolean algebra equality axioms
include('Axioms/BOO002-0.eq').
%--------------------------------------------------------------------------
input_clause(x_plus_y,hypothesis,
    [++sum(x,y,z)]).

input_clause(prove_product,theorem,
    [--product(x,z,x)]).
%--------------------------------------------------------------------------
