%--------------------------------------------------------------------------
% File     : CAT002=Monom2-3 : Released v0.0.0, Updated v0.2.2.
% Domain   : Category Theory
% Problem  : X and Y monomorphisms, XY well-defined => XY monomorphism
% Version  : [Scott, 1979] axioms : Reduced > Complete.
% English  : If x and y are monomorphisms and xy is well-defined
%            then xy is a monomorphism. 

% Refs     : McCharen J.D., Overbeek R.A., Wos L.A. (1976), Problems
%            and Experiments for and with Automated Theorem Proving
%            Programs, IEEE Transactions on Computers C-25(8), 773-
%            782. Problem C2.
%          : Scott D. (1979), Identity & Existence in Intuitionist 
%            Logic, In Fournam M.P. (Ed), Durham Proceedings
%            Applications of Sheaves, (Lecture Notes in Mathematics
%            Volume 753), 660-696.
% Source   : [ANL]
% Names    : p2.ver3.in [ANL]

% Status   : 
% Syntax   : Number of clauses           :   35 (   2 non-Horn)(   8 units)
%            Number of literals          :   74 (  44 equality)
%            Number of predicate symbols :    3 (   0 propositions)
%            Number of function symbols  :    8 (   4 constants)
%            Number of variables         :   67 (   4 singletons)
%            Maximal clause size         :    4
%            Maximal term depth          :    3

% Comments : Axioms simplified by Art Quaife.
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001-0.ax').
%----Include Scott's axioms for category theory
include('Axioms/CAT003-0.ax').
include('Axioms/CAT003-0.eq').
%--------------------------------------------------------------------------
input_clause(assume_ab_exists,hypothesis,
    [++there_exists(compose(a,b))]).

input_clause(cancellation_for_compose1,hypothesis,
    [--equal(compose(a,X),Y),
     --equal(compose(a,Z),Y),
     ++equal(X,Z)]).

input_clause(cancellation_for_compose2,hypothesis,
    [--equal(compose(b,X),Y),
     --equal(compose(b,Z),Y),
     ++equal(X,Z)]).

input_clause(assume_h_exists,hypothesis,
    [++there_exists(h)]).

input_clause(ab_h_equals_ab_g,hypothesis,
    [++equal(compose(compose(a,b),h),compose(compose(a,b),g))]).

input_clause(prove_g_equals_h,theorem,
    [--equal(g,h)]).
%--------------------------------------------------------------------------
