%--------------------------------------------------------------------------
% File     : CAT009=DomXYDomY-4 : Released v0.0.0, Updated v0.2.2.
% Domain   : Category Theory
% Problem  : If xy is defined, then domain(xy) = domain(y)
% Version  : [Scott, 1979] axioms : Reduced > Complete.
% English  : 

% Refs     : Scott D. (1979), Identity & Existence in Intuitionist 
%            Logic, In Fournam M.P. (Ed), Durham Proceedings
%            Applications of Sheaves, (Lecture Notes in Mathematics
%            Volume 753), 660-696.
% Source   : [ANL], extended to use all axioms
% Names    : 

% Status   : 
% Syntax   : Number of clauses           :   23 (   0 non-Horn)(   6 units)
%            Number of literals          :   46 (  25 equality)
%            Number of predicate symbols :    3 (   0 propositions)
%            Number of function symbols  :    5 (   2 constants)
%            Number of variables         :   43 (   2 singletons)
%            Maximal clause size         :    3
%            Maximal term depth          :    3

% Comments : The dependent axioms have been removed.
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001-0.ax').
%----Include Scott's axioms for category theory
include('Axioms/CAT004-0.ax').
include('Axioms/CAT004-0.eq').
%--------------------------------------------------------------------------
input_clause(ab_exists,hypothesis,
    [++there_exists(compose(a,b))]).

input_clause(prove_domain_of_ab_equals_domain_of_b,theorem,
    [--equal(domain(compose(a,b)),domain(b))]).
%--------------------------------------------------------------------------
