%--------------------------------------------------------------------------
% File     : CAT019=Indisc-5 : Released v0.0.0, Updated v0.3.1.
% Domain   : Category Theory
% Problem  : Axiom of Indiscernibles
% Version  : [Scott, 1979] axioms : Reduced & Augmented > Complete.
% English  : [all z (x=z <-> y=z)] -> x=y.

% Refs     : Scott D. (1979), Identity & Existence in Intuitionist 
%            Logic, In Fournam M.P. (Ed), Durham Proceedings
%            Applications of Sheaves, (Lecture Notes in Mathematics
%            Volume 753), 660-696.
% Source   : [ANL]
% Names    : p15.ver3.no1.in [ANL]

% Status   : 
% Syntax   : Number of clauses           :   33 (   2 non-Horn)(   6 units)
%            Number of literals          :   72 (  41 equality)
%            Number of predicate symbols :    3 (   0 propositions)
%            Number of function symbols  :    7 (   3 constants)
%            Number of variables         :   63 (   4 singletons)
%            Maximal clause size         :    4
%            Maximal term depth          :    3

% Comments : Axioms simplified by Art Quaife.
%          : Assumes something exists. 
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001-0.ax').
%----Include Scott's axioms for category theory
include('Axioms/CAT004-0.ax').
include('Axioms/CAT004-0.eq').
%--------------------------------------------------------------------------
input_clause(assume_c_exists,hypothesis,
    [++there_exists(c)]).

input_clause(equality_of_a_and_b1,hypothesis,
    [--there_exists(Z),
     --equal(a,Z),
     ++equal(b,Z)]).

input_clause(equality_of_a_and_b2,hypothesis,
    [--there_exists(Z),
     ++equal(a,Z),
     --equal(b,Z)]).

input_clause(prove_a_equals_b,theorem,
    [--equal(a,b)]).

%----These lemmas are used as demodulators by the ANL group
%-----
%input_clause(name,hypothesis,
%    [++equal(domain(domain(X)),domain(X))]).
%input_clause(name,hypothesis,
%    [++equal(codomain(domain(X)),domain(X))]).
%input_clause(name,hypothesis,
%    [++equal(domain(codomain(X)),codomain(X))]).
%input_clause(name,hypothesis,
%    [++equal(codomain(codomain(X)),codomain(X))]).
%input_clause(name,hypothesis,
%    [++equal(domain(compose(X,Y)),domain(Y))]).
%input_clause(name,hypothesis,
%    [++equal(codomain(compose(X,Y)),codomain(X))]).
%input_clause(name,hypothesis,
%    [++equal(compose(domain(X),domain(X)),domain(X))]).
%input_clause(name,hypothesis,
%    [++equal(compose(codomain(X),codomain(X)),codomain(X))]).
%----
%--------------------------------------------------------------------------
