%--------------------------------------------------------------------------
% File     : COL062=BT_C-2 : Released v0.8.0, Updated v0.9.1.
% Domain   : Combinatory Logic
% Problem  : Find combinator equivalent to C from B and T
% Version  : [Wos & McCune, 1988] (equality) axioms.
%            Theorem formulation : The combinator is provided and checked.
% English  : Construct from B and T alone a combinator that behaves as the
%            combinator C does, where ((Bx)y)z = x(yz), (Tx)y = yx,
%            ((Cx)y)z = (xz)y

% Refs     : Wos L., Winker S., McCune W.W., Overbeek R., Lusk E. and
%            Stevens R. (1990), Automated Reasoning Contributes to
%            Mathemetics and Logic, In Stickel M.E. (Ed), Proceedings of
%            the 10th International Conference on Automated Deduction
%            (Kaiserslautern, Germany, 1990), (Lecture Notes in Artificial
%            Intelligence, 449), Springer-Verlag, NY, 485-499. Problem CL-3.
% Source   : [Wos & McCune, 1988]
% Names    : 

% Status   : 
% Syntax   : Number of clauses           :   11 (   0 non-Horn)(   4 units)
%            Number of literals          :   19 (  19 equality)
%            Number of predicate symbols :    1 (   0 propositions)
%            Number of function symbols  :    9 (   5 constants)
%            Number of variables         :   23 (   0 singletons)
%            Maximal clause size         :    3
%            Maximal term depth          :    9

% Comments : 
%--------------------------------------------------------------------------
%----Include the axioms of equality
include('Axioms/EQU001-0.ax').
%--------------------------------------------------------------------------
input_clause(b_definition,axiom,
    [++equal(apply(apply(apply(b,X),Y),Z),apply(X,apply(Y,Z)))]).

input_clause(t_definition,axiom,
    [++equal(apply(apply(t,X),Y),apply(Y,X))]).

input_clause(apply_substitution1,axiom,
    [--equal(C,D),
     ++equal(apply(C,E),apply(D,E))]).

input_clause(apply_substitution2,axiom,
    [--equal(F,G),
     ++equal(apply(H,F),apply(H,G))]).

input_clause(f_substitution1,axiom,
    [--equal(I,J),
     ++equal(f(I),f(J))]).

input_clause(g_substitution1,axiom,
    [--equal(K,L),
     ++equal(g(K),g(L))]).

input_clause(h_substitution1,axiom,
    [--equal(K,L),
     ++equal(h(K),h(L))]).

input_clause(prove_c_combinator,theorem,
    [--equal(apply(apply(apply(
%----This is the C equivalent
apply(apply(b,apply(t,apply(apply(b,b),t))),apply(apply(b,b),t)),
x),y),z),
apply(apply(x,z),y))]).
%--------------------------------------------------------------------------
