%--------------------------------------------------------------------------
% File     : COM003=Halting-1 : Released v0.0.0, Updated v0.0.0.
% Domain   : Computing Theory
% Problem  : The halting problem is undecidable
% Version  : 
% English  : 

% Refs     : Burkholder L. (1987a), The halting problem, SIGCSE 
%            bulletin.
%          : Burkholder L. (1987b), A 76th Automated Theorem Proving
%            Problem, Association for Automated Reasoning newsletter
%            Issue # 8 (April 1987).
% Source   : [Burkholder, 1987b]
% Names    : 

% Status   : 
% Syntax   : Number of clauses           :  109 (  89 non-Horn)(   1 units)
%            Number of literals          :  630 (   0 equality)
%            Number of predicate symbols :    6 (   0 propositions)
%            Number of function symbols  :    3 (   3 constants)
%            Number of variables         :  326 ( 149 singletons)
%            Maximal clause size         :    8
%            Maximal term depth          :    1

% Comments : 
%--------------------------------------------------------------------------
% ((exists X (algorithm(X) & (all Y (program(Y) -> (all Z decides(X,Y,Z)
%   ))))) -> (exists W (program(W) & (all Y (program(Y) -> (all Z 
%   decides(W,Y,Z))))))).

% (all W ((program(W) & (all Y (program(Y) -> (all Z decides(W,Y,Z))))) 
%   -> (all Y (all Z ((program(Y) & halts(Y,Z)) -> (halts2(W,Y,Z) & 
%   outputs(W,good))))))).

% ((exists W (program(W) & (all Y (((program(Y) & halts(Y,Y)) ->
%   (halts2(W,Y,Y) & outputs(W,good))) & ((program(Y) & -halts(Y,Y)) ->
%   (halts2(W,Y,Y) & outputs(W,bad))))))) -> (exists V (program(V) &
%   (all Y (((program(Y) & halts(Y,Y)) -> (halts(V,Y) & outputs(V,good))) &
%   ((program(Y) & -halts(Y,Y)) -> (halts(V,Y) & outputs(V,bad)))))))).

% ((exists V (program(V) & (all Y ((program(Y) & halts(Y,Y)) ->
%   (halts(V,Y) & outputs(V,good))) & ((program(Y) & -halts(Y,Y)) ->
%   (halts(V,Y) & outputs(V,bad))))))) -> (exists U ((program(U) &
%   (all Y (((program(Y) & halts(Y,Y)) -> -halts(U,Y)) -> -halts(U,Y)))) &
%   ((program(Y) & - halts(Y,Y)) -> (halts(Y,Y) -> (halts(U,Y) & 
%   outputs(U,B))))))).

input_clause(clause_1,axiom,
    [--algorithm(X),
     ++program(Y),
     ++program(W)]).

input_clause(clause_2,axiom,
    [--algorithm(X),
     ++program(Y),
     --program(Y),
     ++decides(W,Y,Z)]).

input_clause(clause_3,axiom,
    [--algorithm(X),
     --decides(X,Y,Z),
     ++program(W)]).

input_clause(clause_4,axiom,
    [--algorithm(X),
     --decides(X,Y,Z),
     --program(Y),
     ++decides(W,Y,Z)]).

input_clause(clause_5,axiom,
    [--program(W),
     ++program(Y),
     --program(Y),
     --halts(Y,Z),
     ++halts2(W,Y,Z)]).

input_clause(clause_6,axiom,
    [--program(W),
     ++program(Y),
     --program(Y),
     --halts(Y,Z),
     ++outputs(W,good)]).

input_clause(clause_7,axiom,
    [--program(W),
     --decides(W,Y,Z),
     --program(Y),
     --halts(Y,Z),
     ++halts2(W,Y,Z)]).

input_clause(clause_8,axiom,
    [--program(W),
     --decides(W,Y,Z),
     --program(Y),
     --halts(Y,Z),
     ++outputs(W,good)]).

input_clause(clause_9,axiom,
    [--program(W),
     ++program(Y),
     ++program(V)]).

input_clause(clause_10,axiom,
    [--program(W),
     ++program(Y),
     --program(Y),
     --halts(Y,Y),
     ++halts(V,Y)]).

input_clause(clause_11,axiom,
    [--program(W),
     ++program(Y),
     --program(Y),
     --halts(Y,Y),
     ++outputs(V,good)]).

input_clause(clause_12,axiom,
    [--program(W),
     ++program(Y),
     --program(Y),
     ++halts(Y,Y),
     ++halts(V,Y)]).

input_clause(clause_13,axiom,
    [--program(W),
     ++program(Y),
     --program(Y),
     ++halts(Y,Y),
     ++outputs(V,bad)]).

input_clause(clause_14,axiom,
    [--program(W),
     ++program(Y),
     --halts(Y,Y),
     ++program(V)]).

input_clause(clause_15,axiom,
    [--program(W),
     ++program(Y),
     --halts(Y,Y),
     --program(Y),
     --halts(Y,Y),
     ++halts(V,Y)]).

input_clause(clause_16,axiom,
    [--program(W),
     ++program(Y),
     --halts(Y,Y),
     --program(Y),
     --halts(Y,Y),
     ++outputs(V,good)]).

input_clause(clause_17,axiom,
    [--program(W),
     ++program(Y),
     --halts(Y,Y),
     --program(Y),
     ++halts(Y,Y),
     ++halts(V,Y)]).

input_clause(clause_18,axiom,
    [--program(W),
     ++program(Y),
     --halts(Y,Y),
     --program(Y),
     ++halts(Y,Y),
     ++outputs(V,bad)]).

input_clause(clause_19,axiom,
    [--program(W),
     ++program(Y),
     --halts2(W,Y,Y),
     --outputs(W,bad),
     ++program(V)]).

input_clause(clause_20,axiom,
    [--program(W),
     ++program(Y),
     --halts2(W,Y,Y),
     --outputs(W,bad),
     --program(Y),
     --halts(Y,Y),
     ++halts(V,Y)]).

input_clause(clause_21,axiom,
    [--program(W),
     ++program(Y),
     --halts2(W,Y,Y),
     --outputs(W,bad),
     --program(Y),
     --halts(Y,Y),
     ++outputs(V,good)]).

input_clause(clause_22,axiom,
    [--program(W),
     ++program(Y),
     --halts2(W,Y,Y),
     --outputs(W,bad),
     --program(Y),
     ++halts(Y,Y),
     ++halts(V,Y)]).

input_clause(clause_23,axiom,
    [--program(W),
     ++program(Y),
     --halts2(W,Y,Y),
     --outputs(W,bad),
     --program(Y),
     ++halts(Y,Y),
     ++outputs(V,bad)]).

input_clause(clause_24,axiom,
    [--program(W),
     ++halts(Y,Y),
     ++program(Y),
     ++program(V)]).

input_clause(clause_25,axiom,
    [--program(W),
     ++halts(Y,Y),
     ++program(Y),
     --program(Y),
     --halts(Y,Y),
     ++halts(V,Y)]).

input_clause(clause_26,axiom,
    [--program(W),
     ++halts(Y,Y),
     ++program(Y),
     --program(Y),
     --halts(Y,Y),
     ++outputs(V,good)]).

input_clause(clause_27,axiom,
    [--program(W),
     ++halts(Y,Y),
     ++program(Y),
     --program(Y),
     ++halts(Y,Y),
     ++halts(V,Y)]).

input_clause(clause_28,axiom,
    [--program(W),
     ++halts(Y,Y),
     ++program(Y),
     --program(Y),
     ++halts(Y,Y),
     ++outputs(V,bad)]).

input_clause(clause_29,axiom,
    [--program(W),
     ++halts(Y,Y),
     --halts(Y,Y),
     ++program(V)]).

input_clause(clause_30,axiom,
    [--program(W),
     ++halts(Y,Y),
     --halts(Y,Y),
     --program(Y),
     --halts(Y,Y),
     ++halts(V,Y)]).

input_clause(clause_31,axiom,
    [--program(W),
     ++halts(Y,Y),
     --halts(Y,Y),
     --program(Y),
     --halts(Y,Y),
     ++outputs(V,good)]).

input_clause(clause_32,axiom,
    [--program(W),
     ++halts(Y,Y),
     --halts(Y,Y),
     --program(Y),
     ++halts(Y,Y),
     ++halts(V,Y)]).

input_clause(clause_33,axiom,
    [--program(W),
     ++halts(Y,Y),
     --halts(Y,Y),
     --program(Y),
     ++halts(Y,Y),
     ++outputs(V,bad)]).

input_clause(clause_34,axiom,
    [--program(W),
     ++halts(Y,Y),
     --halts2(W,Y,Y),
     --outputs(W,bad),
     ++program(V)]).

input_clause(clause_35,axiom,
    [--program(W),
     ++halts(Y,Y),
     --halts2(W,Y,Y),
     --outputs(W,bad),
     --program(Y),
     --halts(Y,Y),
     ++halts(V,Y)]).

input_clause(clause_36,axiom,
    [--program(W),
     ++halts(Y,Y),
     --halts2(W,Y,Y),
     --outputs(W,bad),
     --program(Y),
     --halts(Y,Y),
     ++outputs(V,good)]).

input_clause(clause_37,axiom,
    [--program(W),
     ++halts(Y,Y),
     --halts2(W,Y,Y),
     --outputs(W,bad),
     --program(Y),
     ++halts(Y,Y),
     ++halts(V,Y)]).

input_clause(clause_38,axiom,
    [--program(W),
     ++halts(Y,Y),
     --halts2(W,Y,Y),
     --outputs(W,bad),
     --program(Y),
     ++halts(Y,Y),
     ++outputs(V,bad)]).

input_clause(clause_39,axiom,
    [--program(W),
     --halts2(W,Y,Y),
     --outputs(W,good),
     ++program(Y),
     ++program(V)]).

input_clause(clause_40,axiom,
    [--program(W),
     --halts2(W,Y,Y),
     --outputs(W,good),
     ++program(Y),
     --program(Y),
     --halts(Y,Y),
     ++halts(V,Y)]).

input_clause(clause_41,axiom,
    [--program(W),
     --halts2(W,Y,Y),
     --outputs(W,good),
     ++program(Y),
     --program(Y),
     --halts(Y,Y),
     ++outputs(V,good)]).

input_clause(clause_42,axiom,
    [--program(W),
     --halts2(W,Y,Y),
     --outputs(W,good),
     ++program(Y),
     --program(Y),
     ++halts(Y,Y),
     ++halts(V,Y)]).

input_clause(clause_43,axiom,
    [--program(W),
     --halts2(W,Y,Y),
     --outputs(W,good),
     ++program(Y),
     --program(Y),
     ++halts(Y,Y),
     ++outputs(V,bad)]).

input_clause(clause_44,axiom,
    [--program(W),
     --halts2(W,Y,Y),
     --outputs(W,good),
     --halts(Y,Y),
     ++program(V)]).

input_clause(clause_45,axiom,
    [--program(W),
     --halts2(W,Y,Y),
     --outputs(W,good),
     --halts(Y,Y),
     --program(Y),
     --halts(Y,Y),
     ++halts(V,Y)]).

input_clause(clause_46,axiom,
    [--program(W),
     --halts2(W,Y,Y),
     --outputs(W,good),
     --halts(Y,Y),
     --program(Y),
     --halts(Y,Y),
     ++outputs(V,good)]).

input_clause(clause_47,axiom,
    [--program(W),
     --halts2(W,Y,Y),
     --outputs(W,good),
     --halts(Y,Y),
     --program(Y),
     ++halts(Y,Y),
     ++halts(V,Y)]).

input_clause(clause_48,axiom,
    [--program(W),
     --halts2(W,Y,Y),
     --outputs(W,good),
     --halts(Y,Y),
     --program(Y),
     ++halts(Y,Y),
     ++outputs(V,bad)]).

input_clause(clause_49,axiom,
    [--program(W),
     --halts2(W,Y,Y),
     --outputs(W,good),
     --outputs(W,bad),
     ++program(V)]).

input_clause(clause_50,axiom,
    [--program(W),
     --halts2(W,Y,Y),
     --outputs(W,good),
     --outputs(W,bad),
     --program(Y),
     --halts(Y,Y),
     ++halts(V,Y)]).

input_clause(clause_51,axiom,
    [--program(W),
     --halts2(W,Y,Y),
     --outputs(W,good),
     --outputs(W,bad),
     --program(Y),
     --halts(Y,Y),
     ++outputs(V,good)]).

input_clause(clause_52,axiom,
    [--program(W),
     --halts2(W,Y,Y),
     --outputs(W,good),
     --outputs(W,bad),
     --program(Y),
     ++halts(Y,Y),
     ++halts(V,Y)]).

input_clause(clause_53,axiom,
    [--program(W),
     --halts2(W,Y,Y),
     --outputs(W,good),
     --outputs(W,bad),
     --program(Y),
     ++halts(Y,Y),
     ++outputs(V,bad)]).

input_clause(clause_54,axiom,
    [--program(V),
     ++program(Y),
     ++program(U)]).

input_clause(clause_55,axiom,
    [--program(V),
     ++program(Y),
     ++program(Y),
     --halts(U,Y)]).

input_clause(clause_56,axiom,
    [--program(V),
     ++program(Y),
     ++halts(Y,Y),
     --halts(U,Y)]).

input_clause(clause_57,axiom,
    [--program(V),
     ++program(Y),
     ++halts(U,Y),
     --halts(U,Y)]).

input_clause(clause_58,axiom,
    [--program(V),
     ++program(Y),
     --program(Y),
     ++halts(Y,Y),
     --halts(Y,Y),
     ++halts(U,Y)]).

input_clause(clause_59,axiom,
    [--program(V),
     ++program(Y),
     --program(Y),
     ++halts(Y,Y),
     --halts(Y,Y),
     ++outputs(U,bad)]).

input_clause(clause_60,axiom,
    [--program(V),
     ++program(Y),
     --halts(Y,Y),
     ++program(U)]).

input_clause(clause_61,axiom,
    [--program(V),
     ++program(Y),
     --halts(Y,Y),
     ++program(Y),
     --halts(U,Y)]).

input_clause(clause_62,axiom,
    [--program(V),
     ++program(Y),
     --halts(Y,Y),
     ++halts(Y,Y),
     --halts(U,Y)]).

input_clause(clause_63,axiom,
    [--program(V),
     ++program(Y),
     --halts(Y,Y),
     ++halts(U,Y),
     --halts(U,Y)]).

input_clause(clause_64,axiom,
    [--program(V),
     ++program(Y),
     --halts(Y,Y),
     --program(Y),
     ++halts(Y,Y),
     --halts(Y,Y),
     ++halts(U,Y)]).

input_clause(clause_65,axiom,
    [--program(V),
     ++program(Y),
     --halts(Y,Y),
     --program(Y),
     ++halts(Y,Y),
     --halts(Y,Y),
     ++outputs(U,bad)]).

input_clause(clause_66,axiom,
    [--program(V),
     ++program(Y),
     --halts(V,Y),
     --outputs(V,bad),
     ++program(U)]).

input_clause(clause_67,axiom,
    [--program(V),
     ++program(Y),
     --halts(V,Y),
     --outputs(V,bad),
     ++program(Y),
     --halts(U,Y)]).

input_clause(clause_68,axiom,
    [--program(V),
     ++program(Y),
     --halts(V,Y),
     --outputs(V,bad),
     ++halts(Y,Y),
     --halts(U,Y)]).

input_clause(clause_69,axiom,
    [--program(V),
     ++program(Y),
     --halts(V,Y),
     --outputs(V,bad),
     ++halts(U,Y),
     --halts(U,Y)]).

input_clause(clause_70,axiom,
    [--program(V),
     ++program(Y),
     --halts(V,Y),
     --outputs(V,bad),
     --program(Y),
     ++halts(Y,Y),
     --halts(Y,Y),
     ++halts(U,Y)]).

input_clause(clause_71,axiom,
    [--program(V),
     ++program(Y),
     --halts(V,Y),
     --outputs(V,bad),
     --program(Y),
     ++halts(Y,Y),
     --halts(Y,Y),
     ++outputs(U,bad)]).

input_clause(clause_72,axiom,
    [--program(V),
     ++halts(Y,Y),
     ++program(Y),
     ++program(U)]).

input_clause(clause_73,axiom,
    [--program(V),
     ++halts(Y,Y),
     ++program(Y),
     ++program(Y),
     --halts(U,Y)]).

input_clause(clause_74,axiom,
    [--program(V),
     ++halts(Y,Y),
     ++program(Y),
     ++halts(Y,Y),
     --halts(U,Y)]).

input_clause(clause_75,axiom,
    [--program(V),
     ++halts(Y,Y),
     ++program(Y),
     ++halts(U,Y),
     --halts(U,Y)]).

input_clause(clause_76,axiom,
    [--program(V),
     ++halts(Y,Y),
     ++program(Y),
     --program(Y),
     ++halts(Y,Y),
     --halts(Y,Y),
     ++halts(U,Y)]).

input_clause(clause_77,axiom,
    [--program(V),
     ++halts(Y,Y),
     ++program(Y),
     --program(Y),
     ++halts(Y,Y),
     --halts(Y,Y),
     ++outputs(U,bad)]).

input_clause(clause_78,axiom,
    [--program(V),
     ++halts(Y,Y),
     --halts(Y,Y),
     ++program(U)]).

input_clause(clause_79,axiom,
    [--program(V),
     ++halts(Y,Y),
     --halts(Y,Y),
     ++program(Y),
     --halts(U,Y)]).

input_clause(clause_80,axiom,
    [--program(V),
     ++halts(Y,Y),
     --halts(Y,Y),
     ++halts(Y,Y),
     --halts(U,Y)]).

input_clause(clause_81,axiom,
    [--program(V),
     ++halts(Y,Y),
     --halts(Y,Y),
     ++halts(U,Y),
     --halts(U,Y)]).

input_clause(clause_82,axiom,
    [--program(V),
     ++halts(Y,Y),
     --halts(Y,Y),
     --program(Y),
     ++halts(Y,Y),
     --halts(Y,Y),
     ++halts(U,Y)]).

input_clause(clause_83,axiom,
    [--program(V),
     ++halts(Y,Y),
     --halts(Y,Y),
     --program(Y),
     ++halts(Y,Y),
     --halts(Y,Y),
     ++outputs(U,bad)]).

input_clause(clause_84,axiom,
    [--program(V),
     ++halts(Y,Y),
     --halts(V,Y),
     --outputs(V,bad),
     ++program(U)]).

input_clause(clause_85,axiom,
    [--program(V),
     ++halts(Y,Y),
     --halts(V,Y),
     --outputs(V,bad),
     ++program(Y),
     --halts(U,Y)]).

input_clause(clause_86,axiom,
    [--program(V),
     ++halts(Y,Y),
     --halts(V,Y),
     --outputs(V,bad),
     ++halts(Y,Y),
     --halts(U,Y)]).

input_clause(clause_87,axiom,
    [--program(V),
     ++halts(Y,Y),
     --halts(V,Y),
     --outputs(V,bad),
     ++halts(U,Y),
     --halts(U,Y)]).

input_clause(clause_88,axiom,
    [--program(V),
     ++halts(Y,Y),
     --halts(V,Y),
     --outputs(V,bad),
     --program(Y),
     ++halts(Y,Y),
     --halts(Y,Y),
     ++halts(U,Y)]).

input_clause(clause_89,axiom,
    [--program(V),
     ++halts(Y,Y),
     --halts(V,Y),
     --outputs(V,bad),
     --program(Y),
     ++halts(Y,Y),
     --halts(Y,Y),
     ++outputs(U,bad)]).

input_clause(clause_90,axiom,
    [--program(V),
     --halts(V,Y),
     --outputs(V,good),
     ++program(Y),
     ++program(U)]).

input_clause(clause_91,axiom,
    [--program(V),
     --halts(V,Y),
     --outputs(V,good),
     ++program(Y),
     ++program(Y),
     --halts(U,Y)]).

input_clause(clause_92,axiom,
    [--program(V),
     --halts(V,Y),
     --outputs(V,good),
     ++program(Y),
     ++halts(Y,Y),
     --halts(U,Y)]).

input_clause(clause_93,axiom,
    [--program(V),
     --halts(V,Y),
     --outputs(V,good),
     ++program(Y),
     ++halts(U,Y),
     --halts(U,Y)]).

input_clause(clause_94,axiom,
    [--program(V),
     --halts(V,Y),
     --outputs(V,good),
     ++program(Y),
     --program(Y),
     ++halts(Y,Y),
     --halts(Y,Y),
     ++halts(U,Y)]).

input_clause(clause_95,axiom,
    [--program(V),
     --halts(V,Y),
     --outputs(V,good),
     ++program(Y),
     --program(Y),
     ++halts(Y,Y),
     --halts(Y,Y),
     ++outputs(U,bad)]).

input_clause(clause_96,axiom,
    [--program(V),
     --halts(V,Y),
     --outputs(V,good),
     --halts(Y,Y),
     ++program(U)]).

input_clause(clause_97,axiom,
    [--program(V),
     --halts(V,Y),
     --outputs(V,good),
     --halts(Y,Y),
     ++program(Y),
     --halts(U,Y)]).

input_clause(clause_98,axiom,
    [--program(V),
     --halts(V,Y),
     --outputs(V,good),
     --halts(Y,Y),
     ++halts(Y,Y),
     --halts(U,Y)]).

input_clause(clause_99,axiom,
    [--program(V),
     --halts(V,Y),
     --outputs(V,good),
     --halts(Y,Y),
     ++halts(U,Y),
     --halts(U,Y)]).

input_clause(clause_100,axiom,
    [--program(V),
     --halts(V,Y),
     --outputs(V,good),
     --halts(Y,Y),
     --program(Y),
     ++halts(Y,Y),
     --halts(Y,Y),
     ++halts(U,Y)]).

input_clause(clause_101,axiom,
    [--program(V),
     --halts(V,Y),
     --outputs(V,good),
     --halts(Y,Y),
     --program(Y),
     ++halts(Y,Y),
     --halts(Y,Y),
     ++outputs(U,bad)]).

input_clause(clause_102,axiom,
    [--program(V),
     --halts(V,Y),
     --outputs(V,good),
     --outputs(V,bad),
     ++program(U)]).

input_clause(clause_103,axiom,
    [--program(V),
     --halts(V,Y),
     --outputs(V,good),
     --outputs(V,bad),
     ++program(Y),
     --halts(U,Y)]).

input_clause(clause_104,axiom,
    [--program(V),
     --halts(V,Y),
     --outputs(V,good),
     --outputs(V,bad),
     ++halts(Y,Y),
     --halts(U,Y)]).

input_clause(clause_105,axiom,
    [--program(V),
     --halts(V,Y),
     --outputs(V,good),
     --outputs(V,bad),
     ++halts(U,Y),
     --halts(U,Y)]).

input_clause(clause_106,axiom,
    [--program(V),
     --halts(V,Y),
     --outputs(V,good),
     --outputs(V,bad),
     --program(Y),
     ++halts(Y,Y),
     --halts(Y,Y),
     ++halts(U,Y)]).

input_clause(clause_107,axiom,
    [--program(V),
     --halts(V,Y),
     --outputs(V,good),
     --outputs(V,bad),
     --program(Y),
     ++halts(Y,Y),
     --halts(Y,Y),
     ++outputs(U,bad)]).

% Prove -(exists X1 (algorithm(X1) & (all Y1 (program(Y1) -> (all Z1 
%   decides(X1,Y1,Z1)))))).

input_clause(deciding_algorithm,theorem,
    [++algorithm(deciding_algorithm)]).

input_clause(it_decides,theorem,
    [--program(A_program),
     ++decides(deciding_algorithm,A_program,Any_input)]).
%--------------------------------------------------------------------------
