%--------------------------------------------------------------------------
% File     : GEO001=BtwnSymm-1 : Released v0.0.0, Updated v0.2.3.
% Domain   : Geometry
% Problem  : Betweenness is symmetric in its outer arguments
% Version  : [McCharen, et al., 1976] axioms.
% English  :

% Refs     : McCharen J.D., Overbeek R.A., Wos L.A. (1976), Problems
%            and Experiments for and with Automated Theorem Proving
%            Programs, IEEE Transactions on Computers C-25(8), 773-
%            782. Problem T1.
%          : Overbeek R., McCharen J., and Wos L. (1976), Complexity
%            and Related Enhancements for Automated Theorem-Proving
%            Programs, Computer and Mathematics with Applications 2,
%            1-16. Theorem 5.
%          : Schwabbauser W., Szmielew W., and Tarski A. (1983), 
%            Metamathematische Methoden in der Geometrie, Springer-
%            Verlag, Berlin, Germany.
% Source   : [ANL]
% Names    : t1.ver1.in [ANL]
%          : T1 [McCharen, et al., 1976]

% Status   : 
% Syntax   : Number of clauses           :   57 (   6 non-Horn)(   9 units)
%            Number of literals          :  143 (  71 equality)
%            Number of predicate symbols :    3 (   0 propositions)
%            Number of function symbols  :   11 (   6 constants)
%            Number of variables         :  269 (   3 singletons)
%            Maximal clause size         :    8
%            Maximal term depth          :    2

% Comments : 
%--------------------------------------------------------------------------
%----Include equality axioms
include('Axioms/EQU001-0.ax').
%----Include Tarski geometry axioms
include('Axioms/GEO001-0.ax').
include('Axioms/GEO001-0.eq').
%--------------------------------------------------------------------------
input_clause(b_between_a_and_c,hypothesis,
    [++between(a,b,c)]).

input_clause(prove_b_between_c_and_a,theorem,
    [--between(c,b,a)]).
%--------------------------------------------------------------------------
