%--------------------------------------------------------------------------
% File     : GEO001=BtwnSymm-2 : Released v0.0.0, Updated v0.2.3.
% Domain   : Geometry
% Problem  : Betweenness is symmetric in its outer arguments
% Version  : [Quaife, 1989] axioms.
% English  :

% Refs     : Quaife A. (1989), Automated Development of Tarski's
%            Geometry, Journal of Automated Reasoning 5(1), 97-118. 
%            Problem T1
%          : Schwabbauser W., Szmielew W., and Tarski A. (1983), 
%            Metamathematische Methoden in der Geometrie, Springer-
%            Verlag, Berlin, Germany.
%          : McCharen J.D., Overbeek R.A., Wos L.A. (1976), Problems
%            and Experiments for and with Automated Theorem Proving
%            Programs, IEEE Transactions on Computers C-25(8), 773-
%            782. 
% Source   : [Quaife, 1989]
% Names    : T1 [Quaife, 1989]

% Status   : 
% Syntax   : Number of clauses           :   55 (   5 non-Horn)(   9 units)
%            Number of literals          :  135 (  70 equality)
%            Number of predicate symbols :    3 (   0 propositions)
%            Number of function symbols  :   11 (   6 constants)
%            Number of variables         :  261 (   3 singletons)
%            Maximal clause size         :    8
%            Maximal term depth          :    2

% Comments : 
% Bugfixes : v0.2.3 - Duplicate axioms removed from GEO005.ax.
%--------------------------------------------------------------------------
%----Include equality axioms
include('Axioms/EQU001-0.ax').
%----Include Tarski geometry axioms
include('Axioms/GEO002-0.ax').
include('Axioms/GEO002-0.eq').
%--------------------------------------------------------------------------
input_clause(b_between_a_and_c,hypothesis,
    [++between(a,b,c)]).

input_clause(prove_b_between_c_and_a,theorem,
    [--between(c,b,a)]).
%--------------------------------------------------------------------------
