%--------------------------------------------------------------------------
% File     : GEO003=YBtwnXY-1 : Released v0.0.0, Updated v0.2.3.
% Domain   : Geometry
% Problem  : For all points x and y, y is between x and y
% Version  : [McCharen, et al., 1976] axioms.
% English  :

% Refs     : McCharen J.D., Overbeek R.A., Wos L.A. (1976), Problems
%            and Experiments for and with Automated Theorem Proving
%            Programs, IEEE Transactions on Computers C-25(8), 773-
%            782. Problem T3.
%          : Schwabbauser W., Szmielew W., and Tarski A. (1983), 
%            Metamathematische Methoden in der Geometrie, Springer-
%            Verlag, Berlin, Germany.
% Source   : [ANL]
% Names    : t3.ver1.in [ANL]
%          : T3 [McCharen, et al., 1976]

% Status   : 
% Syntax   : Number of clauses           :   56 (   6 non-Horn)(   8 units)
%            Number of literals          :  142 (  71 equality)
%            Number of predicate symbols :    3 (   0 propositions)
%            Number of function symbols  :   10 (   5 constants)
%            Number of variables         :  269 (   3 singletons)
%            Maximal clause size         :    8
%            Maximal term depth          :    2

% Comments : 
%--------------------------------------------------------------------------
%----Include equality axioms
include('Axioms/EQU001-0.ax').
%----Include Tarski geometry axioms
include('Axioms/GEO001-0.ax').
include('Axioms/GEO001-0.eq').
%--------------------------------------------------------------------------
input_clause(prove_b_between_a_and_b,theorem,
    [--between(a,b,b)]).
%--------------------------------------------------------------------------
