%--------------------------------------------------------------------------
% File     : GEO004=MidPtEx-1 : Released v0.0.0, Updated v0.2.3.
% Domain   : Geometry
% Problem  : Every line segment has a midpoint
% Version  : [McCharen, et al., 1976] axioms.
% English  :

% Refs     : McCharen J.D., Overbeek R.A., Wos L.A. (1976), Problems
%            and Experiments for and with Automated Theorem Proving
%            Programs, IEEE Transactions on Computers C-25(8), 773-
%            782. Problem T4.
%          : Schwabbauser W., Szmielew W., and Tarski A. (1983), 
%            Metamathematische Methoden in der Geometrie, Springer-
%            Verlag, Berlin, Germany.
% Source   : [ANL]
% Names    : t4.ver1.in [ANL]
%          : T4 [McCharen, et al., 1976]

% Status   : 
% Syntax   : Number of clauses           :   57 (   6 non-Horn)(   8 units)
%            Number of literals          :  144 (  72 equality)
%            Number of predicate symbols :    3 (   0 propositions)
%            Number of function symbols  :   10 (   5 constants)
%            Number of variables         :  270 (   3 singletons)
%            Maximal clause size         :    8
%            Maximal term depth          :    2

% Comments : 
%--------------------------------------------------------------------------
%----Include equality axioms
include('Axioms/EQU001-0.ax').
%----Include Tarski geometry axioms
include('Axioms/GEO001-0.ax').
include('Axioms/GEO001-0.eq').
%--------------------------------------------------------------------------
%----Quaife states that this hypothesis is unnecessary
input_clause(a_not_b,hypothesis,
    [--equal(a,b)]).

input_clause(prove_midpoint,theorem,
    [--equidistant(a,X,b,X),
     --between(a,X,b)]).
%--------------------------------------------------------------------------
