%--------------------------------------------------------------------------
% File     : GEO005=IsosTriEx-2 : Released v0.0.0, Updated v0.2.3.
% Domain   : Geometry
% Problem  : Isosceles triangle based on line segment
% Version  : [Quaife, 1989] axioms.
% English  : For any line segment, there exists an isoceles triangle 
%            with that line segment as its base.

% Refs     : Quaife A. (1989), Automated Development of Tarski's
%            Geometry, Journal of Automated Reasoning 5(1), 97-118. 
%            Problem T5.
%          : Schwabbauser W., Szmielew W., and Tarski A. (1983), 
%            Metamathematische Methoden in der Geometrie, Springer-
%            Verlag, Berlin, Germany.
%          : McCharen J.D., Overbeek R.A., Wos L.A. (1976), Problems
%            and Experiments for and with Automated Theorem Proving
%            Programs, IEEE Transactions on Computers C-25(8), 773-
%            782.
% Source   : [Quaife, 1989]
% Names    : T5 [Quaife, 1989]

% Status   : 
% Syntax   : Number of clauses           :   56 (   5 non-Horn)(   7 units)
%            Number of literals          :  139 (  74 equality)
%            Number of predicate symbols :    3 (   0 propositions)
%            Number of function symbols  :   11 (   5 constants)
%            Number of variables         :  267 (   3 singletons)
%            Maximal clause size         :    8
%            Maximal term depth          :    2

% Comments : 
% Bugfixes : v0.2.3 - Duplicate axioms removed from GEO005.ax.
%--------------------------------------------------------------------------
%----Include equality axioms
include('Axioms/EQU001-0.ax').
%----Include Tarski geometry axioms
include('Axioms/GEO002-0.ax').
include('Axioms/GEO002-0.eq').
%--------------------------------------------------------------------------
input_clause(apex_substitution1,axiom,
    [--equal(X,Y),
     ++equal(apex(X,Z),apex(Y,Z))]).

input_clause(apex_substitution2,axiom,
    [--equal(X,Y),
     ++equal(apex(Z,X),apex(Z,Y))]).

input_clause(prove_apex,theorem,
    [++between(a,apex(a,b),b),
     --equidistant(a,apex(a,b),b,apex(a,b))]).
%--------------------------------------------------------------------------
