%--------------------------------------------------------------------------
% File     : GEO008=Btwn5Pts-1 : Released v0.0.0, Updated v0.2.3.
% Domain   : Geometry
% Problem  : Betweenness for 5 points on a line (Five point theorem)
% Version  : [McCharen, et al., 1976] axioms.
% English  : For all points x, y, z, w, and v, if y and w are between 
%            x and z, and v is between y and w, then v is between x 
%            and z.

% Refs     : McCharen J.D., Overbeek R.A., Wos L.A. (1976), Problems
%            and Experiments for and with Automated Theorem Proving
%            Programs, IEEE Transactions on Computers C-25(8), 773-
%            782. Problem T8.
%          : Schwabbauser W., Szmielew W., and Tarski A. (1983), 
%            Metamathematische Methoden in der Geometrie, Springer-
%            Verlag, Berlin, Germany.
% Source   : [ANL]
% Names    : t8.ver1.in [ANL]
%          : T8 [McCharen, et al., 1976]

% Status   : 
% Syntax   : Number of clauses           :   59 (   6 non-Horn)(  11 units)
%            Number of literals          :  145 (  71 equality)
%            Number of predicate symbols :    3 (   0 propositions)
%            Number of function symbols  :   13 (   8 constants)
%            Number of variables         :  269 (   3 singletons)
%            Maximal clause size         :    8
%            Maximal term depth          :    2

% Comments : 
%--------------------------------------------------------------------------
%----Include equality axioms
include('Axioms/EQU001-0.ax').
%----Include Tarski geometry axioms
include('Axioms/GEO001-0.ax').
include('Axioms/GEO001-0.eq').
%--------------------------------------------------------------------------
input_clause(c_between_a_and_e,hypothesis,
    [++between(a,c,e)]).

input_clause(d_between_a_and_e,hypothesis,
    [++between(a,d,e)]).

input_clause(b_between_c_and_d,hypothesis,
    [++between(c,b,d)]).

input_clause(prove_betweenness,theorem,
    [--between(a,b,e)]).
%--------------------------------------------------------------------------
