%--------------------------------------------------------------------------
% File     : GEO016=EqidSymm2-3 : Released v0.0.0, Updated v0.11.5.
% Domain   : Geometry
% Problem  : Equidistance is symmetric within its argument pairs
% Version  : [Quaife, 1989] axioms : Augmented.
% English  : Show that if the distance from A to B equals the distance
%            from C to D, then the distance from B to A equals the
%            distance from C to D.

% Refs     : Quaife A. (1989), Automated Development of Tarski's
%            Geometry, Journal of Automated Reasoning 5(1), 97-118.
%            Problem D3.
%          : Schwabbauser W., Szmielew W., and Tarski A. (1983), 
%            Metamathematische Methoden in der Geometrie, Springer-
%            Verlag, Berlin, Germany.
% Source   : [Quaife, 1989]
% Names    : 

% Status   : 
% Syntax   : Number of clauses           :   57 (   5 non-Horn)(  10 units)
%            Number of literals          :  138 (  70 equality)
%            Number of predicate symbols :    3 (   0 propositions)
%            Number of function symbols  :   12 (   7 constants)
%            Number of variables         :  267 (   3 singletons)
%            Maximal clause size         :    8
%            Maximal term depth          :    2

% Comments : 
% Bugfixes : v0.2.3 - Duplicate axioms removed from GEO005.ax.
%--------------------------------------------------------------------------
%----Include equality axioms
include('Axioms/EQU001-0.ax').
%----Include Tarski geometry axioms
include('Axioms/GEO002-0.ax').
include('Axioms/GEO002-0.eq').
%--------------------------------------------------------------------------
input_clause(d1,axiom,
    [++equidistant(U,V,U,V)]).

input_clause(d2,axiom,
    [--equidistant(U,V,W,X),
     ++equidistant(W,X,U,V)]).

input_clause(u_to_v_equals_w_to_x,hypothesis,
    [++equidistant(u,v,w,x)]).

input_clause(prove_symmetry,theorem,
    [--equidistant(v,u,w,x)]).
%--------------------------------------------------------------------------
