%--------------------------------------------------------------------------
% File     : GEO024=NullSegsCong-2 : Released v0.0.0, Updated v0.11.5.
% Domain   : Geometry
% Problem  : All null segments are congruent
% Version  : [Quaife, 1989] axioms.
% English  :

% Refs     : Quaife A. (1989), Automated Development of Tarski's
%            Geometry, Journal of Automated Reasoning 5(1), 97-118.
%            Problem D7.
%          : Schwabbauser W., Szmielew W., and Tarski A. (1983), 
%            Metamathematische Methoden in der Geometrie, Springer-
%            Verlag, Berlin, Germany.
% Source   : [Quaife, 1989]
% Names    : D7 [Quaife, 1989]

% Status   : 
% Syntax   : Number of clauses           :   54 (   5 non-Horn)(   8 units)
%            Number of literals          :  134 (  70 equality)
%            Number of predicate symbols :    3 (   0 propositions)
%            Number of function symbols  :   10 (   5 constants)
%            Number of variables         :  261 (   3 singletons)
%            Maximal clause size         :    8
%            Maximal term depth          :    2

% Comments : In [Quaife, 1989] the previous problem (D6) is omitted.
% Bugfixes : v0.2.3 - Duplicate axioms removed from GEO005.ax.
%--------------------------------------------------------------------------
%----Include equality axioms
include('Axioms/EQU001-0.ax').
%----Include Tarski geometry axioms
include('Axioms/GEO002-0.ax').
include('Axioms/GEO002-0.eq').
%--------------------------------------------------------------------------
input_clause(prove_congruence,theorem,
    [--equidistant(u,u,v,v)]).
%--------------------------------------------------------------------------
