%--------------------------------------------------------------------------
% File     : GEO025=SumEqSeg-2 : Released v0.0.0, Updated v0.2.3.
% Domain   : Geometry
% Problem  : Addition of equal segments
% Version  : [Quaife, 1989] axioms.
% English  :

% Refs     : Quaife A. (1989), Automated Development of Tarski's
%            Geometry, Journal of Automated Reasoning 5(1), 97-118.
%            Problem D8.
%          : Schwabbauser W., Szmielew W., and Tarski A. (1983), 
%            Metamathematische Methoden in der Geometrie, Springer-
%            Verlag, Berlin, Germany.
% Source   : [Quaife, 1989]
% Names    : D8 [Quaife, 1989]

% Status   : 
% Syntax   : Number of clauses           :   58 (   5 non-Horn)(  12 units)
%            Number of literals          :  138 (  70 equality)
%            Number of predicate symbols :    3 (   0 propositions)
%            Number of function symbols  :   14 (   9 constants)
%            Number of variables         :  261 (   3 singletons)
%            Maximal clause size         :    8
%            Maximal term depth          :    2

% Comments : 
% Bugfixes : v0.2.3 - Duplicate axioms removed from GEO005.ax.
%--------------------------------------------------------------------------
%----Include equality axioms
include('Axioms/EQU001-0.ax').
%----Include Tarski geometry axioms
include('Axioms/GEO002-0.ax').
include('Axioms/GEO002-0.eq').
%--------------------------------------------------------------------------
input_clause(u_to_v_equals_u1_to_v1,hypothesis,
    [++equidistant(u,v,u1,v1)]).

input_clause(v_to_w_equals_v1_to_w1,hypothesis,
    [++equidistant(v,w,v1,w1)]).

input_clause(v_between_u_and_w,hypothesis,
    [++between(u,v,w)]).

input_clause(v1_between_u1_and_w1,hypothesis,
    [++between(u1,v1,w1)]).

input_clause(prove_equal_sums,theorem,
    [--equidistant(u,w,u1,w1)]).
%--------------------------------------------------------------------------
