%--------------------------------------------------------------------------
% File     : GEO038=SegConsCor1-2 : Released v0.0.0, Updated v0.2.3.
% Domain   : Geometry
% Problem  : Corollary 1 to the segment contruction axiom
% Version  : [Quaife, 1989] axioms.
% English  :

% Refs     : Quaife A. (1989), Automated Development of Tarski's
%            Geometry, Journal of Automated Reasoning 5(1), 97-118.
%            Problem B0.
%          : Schwabbauser W., Szmielew W., and Tarski A. (1983), 
%            Metamathematische Methoden in der Geometrie, Springer-
%            Verlag, Berlin, Germany.
% Source   : [Quaife, 1989]
% Names    : B0 [Quaife, 1989]

% Status   : 
% Syntax   : Number of clauses           :   55 (   5 non-Horn)(   9 units)
%            Number of literals          :  135 (  71 equality)
%            Number of predicate symbols :    3 (   0 propositions)
%            Number of function symbols  :   13 (   8 constants)
%            Number of variables         :  261 (   3 singletons)
%            Maximal clause size         :    8
%            Maximal term depth          :    2

% Comments : Proving corollaries from axioms is not usual.
% Bugfixes : v0.2.3 - Duplicate axioms removed from GEO005.ax.
%--------------------------------------------------------------------------
%----Include equality axioms
include('Axioms/EQU001-0.ax').
%----Include Tarski geometry axioms
include('Axioms/GEO002-0.ax').
include('Axioms/GEO002-0.eq').
%--------------------------------------------------------------------------
input_clause(y_is_extension,hypothesis,
    [++equal(y,extension(u,v,w,x))]).

input_clause(prove_corollary,theorem,
    [--between(u,v,y)]).
%--------------------------------------------------------------------------
