%--------------------------------------------------------------------------
% File     : GEO052=2ndBtwnInrConn-2 : Released v0.0.0, Updated v0.2.3.
% Domain   : Geometry
% Problem  : Second inner connectivity property of betweenness
% Version  : [Quaife, 1989] axioms.
% English  :

% Refs     : Quaife A. (1989), Automated Development of Tarski's
%            Geometry, Journal of Automated Reasoning 5(1), 97-118.
%            Problem B14.
%          : Schwabbauser W., Szmielew W., and Tarski A. (1983), 
%            Metamathematische Methoden in der Geometrie, Springer-
%            Verlag, Berlin, Germany.
% Source   : [Quaife, 1989]
% Names    : B14 [Quaife, 1989]

% Status   : 
% Syntax   : Number of clauses           :   57 (   5 non-Horn)(  11 units)
%            Number of literals          :  137 (  70 equality)
%            Number of predicate symbols :    3 (   0 propositions)
%            Number of function symbols  :   12 (   7 constants)
%            Number of variables         :  261 (   3 singletons)
%            Maximal clause size         :    8
%            Maximal term depth          :    2

% Comments : 
% Bugfixes : v0.2.3 - Duplicate axioms removed from GEO005.ax.
%--------------------------------------------------------------------------
%----Include equality axioms
include('Axioms/EQU001-0.ax').
%----Include Tarski geometry axioms
include('Axioms/GEO002-0.ax').
include('Axioms/GEO002-0.eq').
%--------------------------------------------------------------------------
input_clause(v_between_u_and_x,hypothesis,
    [++between(u,v,x)]).

input_clause(w_between_u_and_x,hypothesis,
    [++between(u,w,x)]).

input_clause(w_not_between_v_and_x,hypothesis,
    [--between(v,w,x)]).

input_clause(prove_v_between_w_and_x,theorem,
    [--between(w,v,x)]).
%--------------------------------------------------------------------------
