%--------------------------------------------------------------------------
% File     : GEO057=NullExtCor2-3 : Released v0.0.0, Updated v0.11.5.
% Domain   : Geometry
% Problem  : Corollary 2 of null extension
% Version  : [Quaife, 1989] axioms : Augmented.
% English  :

% Refs     : Quaife A. (1989), Automated Development of Tarski's
%            Geometry, Journal of Automated Reasoning 5(1), 97-118.
%            Problem R3.2.
%          : Schwabbauser W., Szmielew W., and Tarski A. (1983), 
%            Metamathematische Methoden in der Geometrie, Springer-
%            Verlag, Berlin, Germany.
% Source   : [Quaife, 1989]
% Names    : 

% Status   : 
% Syntax   : Number of clauses           :   70 (   5 non-Horn)(  13 units)
%            Number of literals          :  162 (  78 equality)
%            Number of predicate symbols :    3 (   0 propositions)
%            Number of function symbols  :   10 (   4 constants)
%            Number of variables         :  317 (   6 singletons)
%            Maximal clause size         :    8
%            Maximal term depth          :    2

% Comments : 
% Bugfixes : v0.2.3 - Duplicate axioms removed from GEO005.ax.
%--------------------------------------------------------------------------
%----Include equality axioms
include('Axioms/EQU001-0.ax').
%----Include Tarski geometry axioms
include('Axioms/GEO002-0.ax').
include('Axioms/GEO002-0.eq').
%----Include definition of reflection
include('Axioms/GEO002-2.ax').
include('Axioms/GEO002-2.eq').
%--------------------------------------------------------------------------
input_clause(d1,axiom,
    [++equidistant(U,V,U,V)]).

input_clause(d2,axiom,
    [--equidistant(U,V,W,X),
     ++equidistant(W,X,U,V)]).

input_clause(d3,axiom,
    [--equidistant(U,V,W,X),
     ++equidistant(V,U,W,X)]).

input_clause(d4_1,axiom,
    [--equidistant(U,V,W,X),
     ++equidistant(U,V,X,W)]).

input_clause(d4_2,axiom,
    [--equidistant(U,V,W,X),
     ++equidistant(V,U,X,W)]).

input_clause(d4_3,axiom,
    [--equidistant(U,V,W,X),
     ++equidistant(W,X,V,U)]).

input_clause(d4_4,axiom,
    [--equidistant(U,V,W,X),
     ++equidistant(X,W,U,V)]).

input_clause(d4_5,axiom,
    [--equidistant(U,V,W,X),
     ++equidistant(X,W,V,U)]).

input_clause(d5,axiom,
    [--equidistant(U,V,W,X),
     --equidistant(W,X,Y,Z),
     ++equidistant(U,V,Y,Z)]).

input_clause(e1,axiom,
    [++equal(V,extension(U,V,W,W))]).

input_clause(b0,axiom,
    [--equal(Y,extension(U,V,W,X)),
     ++between(U,V,Y)]).

input_clause(r2_1,axiom,
    [++between(U,V,reflection(U,V))]).

input_clause(r2_2,axiom,
    [++equidistant(V,reflection(U,V),U,V)]).

input_clause(prove_null_extension_by_reflection,theorem,
    [--equal(u,reflection(u,u))]).
%--------------------------------------------------------------------------
