%--------------------------------------------------------------------------
% File     : GEO063=IntscCong-2 : Released v0.0.0, Updated v0.2.3.
% Domain   : Geometry
% Problem  : Insertion respects congruence in its last two arguments
% Version  : [Quaife, 1989] axioms.
% English  :

% Refs     : Quaife A. (1989), Automated Development of Tarski's
%            Geometry, Journal of Automated Reasoning 5(1), 97-118.
%            Problem I4.
%          : Schwabbauser W., Szmielew W., and Tarski A. (1983), 
%            Metamathematische Methoden in der Geometrie, Springer-
%            Verlag, Berlin, Germany.
% Source   : [Quaife, 1989]
% Names    : I4 [Quaife, 1989]

% Status   : 
% Syntax   : Number of clauses           :   60 (   5 non-Horn)(  10 units)
%            Number of literals          :  144 (  80 equality)
%            Number of predicate symbols :    3 (   0 propositions)
%            Number of function symbols  :   15 (   9 constants)
%            Number of variables         :  285 (   3 singletons)
%            Maximal clause size         :    8
%            Maximal term depth          :    3

% Comments : 
% Bugfixes : v0.2.3 - Duplicate axioms removed from GEO005.ax.
%--------------------------------------------------------------------------
%----Include equality axioms
include('Axioms/EQU001-0.ax').
%----Include Tarski geometry axioms
include('Axioms/GEO002-0.ax').
include('Axioms/GEO002-0.eq').
%----Include definition of insertion
include('Axioms/GEO002-3.ax').
include('Axioms/GEO002-3.eq').
%--------------------------------------------------------------------------
input_clause(w_to_x_equals_y_to_z,hypothesis,
    [++equidistant(w,x,y,z)]).

input_clause(prove_equality_of_insertions,theorem,
    [--equal(insertion(u,v,w,x),insertion(u,v,y,z))]).
%--------------------------------------------------------------------------
