%--------------------------------------------------------------------------
% File     : GEO065=CollCor2-2 : Released v0.0.0, Updated v0.2.3.
% Domain   : Geometry
% Problem  : Corollary 2 to collinearity
% Version  : [Quaife, 1989] axioms.
% English  :

% Refs     : Quaife A. (1989), Automated Development of Tarski's
%            Geometry, Journal of Automated Reasoning 5(1), 97-118.
%            Problem C2.2.
%          : Schwabbauser W., Szmielew W., and Tarski A. (1983), 
%            Metamathematische Methoden in der Geometrie, Springer-
%            Verlag, Berlin, Germany.
% Source   : [Quaife, 1989]
% Names    : C2.2 [Quaife, 1989]

% Status   : 
% Syntax   : Number of clauses           :   62 (   6 non-Horn)(   9 units)
%            Number of literals          :  154 (  73 equality)
%            Number of predicate symbols :    4 (   0 propositions)
%            Number of function symbols  :   11 (   6 constants)
%            Number of variables         :  285 (   3 singletons)
%            Maximal clause size         :    8
%            Maximal term depth          :    2

% Comments : Proving corollaries from axioms is not usual.
% Bugfixes : v0.2.3 - Duplicate axioms removed from GEO005.ax.
%--------------------------------------------------------------------------
%----Include equality axioms
include('Axioms/EQU001-0.ax').
%----Include Tarski geometry axioms
include('Axioms/GEO002-0.ax').
include('Axioms/GEO002-0.eq').
%----Include definition of colinearity
include('Axioms/GEO002-1.ax').
include('Axioms/GEO002-1.eq').
%--------------------------------------------------------------------------
input_clause(w_between_u_and_v,hypothesis,
    [++between(u,w,v)]).

input_clause(prove_uvw_colinear,theorem,
    [--colinear(u,v,w)]).
%--------------------------------------------------------------------------
