%--------------------------------------------------------------------------
% File     : GEO076=PtNotOnLines-4 : Released v0.0.0, Updated v0.2.3.
% Domain   : Geometry (Hilbert)
% Problem  : There is no point on every line
% Version  : [Benanav, 1992] axioms.
% English  : 

% Refs     : Benanav D. (1992), Recognising Unnecessary Clauses in
%            Resolution Based Systems, In Journal of Automated
%            Reasoning 9(1), 43-76. Problem G15.
% Source   : [Benanav, 1992]
% Names    : 

% Status   : 
% Syntax   : Number of clauses           :   60 (  18 non-Horn)(   3 units)
%            Number of literals          :  239 (  89 equality)
%            Number of predicate symbols :    6 (   0 propositions)
%            Number of function symbols  :   11 (   2 constants)
%            Number of variables         :  153 (   0 singletons)
%            Maximal clause size         :   16
%            Maximal term depth          :    2

% Comments : 
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001-0.ax').
%----Include axioms for Hilbert geometry
include('Axioms/GEO003-0.ax').
include('Axioms/GEO003-0.eq').
%--------------------------------------------------------------------------
input_clause(there_is_a_point,hypothesis,
    [++point(a_point)]).

input_clause(prove_point_is_not_on_every_line,theorem,
    [--line(Line),
     ++on(a_point,Line)]).
%--------------------------------------------------------------------------
