%--------------------------------------------------------------------------
% File     : GRP001=SqrComm-1 : Released v0.0.0, Updated v0.10.2.
% Domain   : Group Theory
% Problem  : X^2 = identity => commutativity
% Version  : [McCharen, et al., 1976] axioms.
% English  : If the square of every element is the identity, the 
%            system is commutative. 

% Refs     : Wos L.A. (1965), Unpublished notes, Argonne National 
%            Laboratory. Problem 10.
%          : McCharen J.D., Overbeek R.A., Wos L.A. (1976), Problems
%            and Experiments for and with Automated Theorem Proving
%            Programs, IEEE Transactions on Computers C-25(8), 773-
%            782. Problem G1.
%          : Robinson J.A. (1963), Theorem Proving on the Computer, 
%            Journal of the ACM 10(2), ACM Press, New York, NY, 163-174.
%          : Wilson G.A. and Minker J. (1976), Resolution, Refinements, and
%            Search Strategies: A Comparative Study, IEEE Transactions on 
%            Computers C-25(8), 782-801.
%          : Overbeek R. (1990), ATP competition announced at CADE-10,
%            Problem 1.
% Source   : [McCharen, et al., 1976]
% Names    : wos10 [Wilson & Minker, 1976]
%          : xsquared.ver1.in [ANL]
%          : Overbeek Competition 1 [Overbeek, 1990]
%          : G1 [McCharen, et al., 1976]

% Status   : 
% Syntax   : Number of clauses           :   20 (   0 non-Horn)(   9 units)
%            Number of literals          :   40 (  16 equality)
%            Number of predicate symbols :    2 (   0 propositions)
%            Number of function symbols  :    6 (   4 constants)
%            Number of variables         :   49 (   0 singletons)
%            Maximal clause size         :    4
%            Maximal term depth          :    2

% Comments : 
%--------------------------------------------------------------------------
%----Include Reflexivity, symmetry and transitivity, of equality
include('Axioms/EQU001-0.ax').
%----Include group theory axioms
include('Axioms/GRP003-0.ax').
%----Include group theory equality axioms
include('Axioms/GRP003-0.eq').
%--------------------------------------------------------------------------
input_clause(square_element,hypothesis,
    [++product(X,X,identity)]).

input_clause(a_times_b_is_c,hypothesis,
    [++product(a,b,c)]).

input_clause(prove_b_times_a_is_c,theorem,
    [--product(b,a,c)]).
%--------------------------------------------------------------------------

