%--------------------------------------------------------------------------
% File     : GRP001=SqrComm-2 : Released v0.0.0, Updated v0.2.1.
% Domain   : Group Theory
% Problem  : X^2 = identity => commutativity
% Version  : [McCharen, et al., 1976] (equality) axioms.
% English  : If the square of every element is the identity, the 
%            system is commutative. 

% Refs     : McCharen J.D., Overbeek R.A., Wos L.A. (1976), Problems
%            and Experiments for and with Automated Theorem Proving
%            Programs, IEEE Transactions on Computers C-25(8), 773-
%            782. Problem GP1.
%          : Lusk E., and Wos L. (1992), Benchmark Problems in Which
%            Equality Plays the Major Role, In Kapur D. (Ed.), Proceedings
%            of the 11th International Conference on Automated Deduction
%            (Saratoga Springs, NY, 1992), (Lecture Notes in Artificial
%            Intelligence 607), Springer-Verlag, New York, NY, 781-785.
%            Problem GT1.
% Source   : [ANL]
% Names    : GT1 [Lusk & Wos, 1992]
%          : xsquared.ver2.in [ANL]
%          : GP1 [McCharen, et al., 1976]

% Status   : 
% Syntax   : Number of clauses           :   14 (   0 non-Horn)(   9 units)
%            Number of literals          :   20 (  20 equality)
%            Number of predicate symbols :    1 (   0 propositions)
%            Number of function symbols  :    6 (   4 constants)
%            Number of variables         :   22 (   0 singletons)
%            Maximal clause size         :    3
%            Maximal term depth          :    3

% Comments : 
%--------------------------------------------------------------------------
%----Include equality axioms
include('Axioms/EQU001-0.ax').
%----Include equality group theory axioms
include('Axioms/GRP004-0.ax').
%--------------------------------------------------------------------------
input_clause(squareness,hypothesis,
    [++equal(multiply(X,X),identity)]).

input_clause(a_times_b_is_c,hypothesis,
    [++equal(multiply(a,b),c)]).

input_clause(prove_b_times_a_is_c,theorem,
    [--equal(multiply(b,a),c)]).
%--------------------------------------------------------------------------

