%--------------------------------------------------------------------------
% File     : GRP001=SqrComm-3 : Released v0.0.0, Updated v0.5.1.
% Domain   : Group Theory
% Problem  : X^2 = identity => commutativity
% Version  : [Boyer, et al., 1986] axioms.
% English  : If the square of every element is the identity, the 
%            system is commutative.

% Refs     : Boyer R., Lusk E., McCune W., Overbeek R., Stickel M. and
%            Wos L. (1986), Set Theory in First-Order Logic: Clauses 
%            for Godel's Axioms,  Journal of Automated Reasoning 2(3)
%            87-327. Problem 228-231.
% Source   : [Boyer, et al., 1986]
% Names    : 

% Status   : 
% Syntax   : Number of clauses           :  328 (  27 non-Horn)(  15 units)
%            Number of literals          :  781 ( 341 equality)
%            Number of predicate symbols :   19 (   0 propositions)
%            Number of function symbols  :   71 (   9 constants)
%            Number of variables         :  931 (  32 singletons)
%            Maximal clause size         :    8
%            Maximal term depth          :    4

% Comments : 
% Bugfix   : v0.5.1 - Includes SET008.ax rather than SET006.ax.
%--------------------------------------------------------------------------
%----Include the axioms of equality
include('Axioms/EQU001-0.ax').
%----Include Godel's set axioms
include('Axioms/SET003-0.ax').
%----Include the equality axioms for Godel's set axioms 
include('Axioms/SET003-0.eq').
%----Include the axioms for algebra from Godel's set axioms
include('Axioms/ALG001-0.ax').
%----Include the equality axioms for algebra from Godel's set axioms
include('Axioms/ALG001-0.eq').
%--------------------------------------------------------------------------
input_clause(a_group,hypothesis,
    [++group(f71,f72)]).

input_clause(f73_is_the_identity,hypothesis,
    [++identity(f71,f72,f73)]).

input_clause(x_squared_is_identity,hypothesis,
    [--member(X,f71),
     ++equal(apply_to_two_arguments(f72,X,X),f73)]).

input_clause(prove_the_group_is_commutative,theorem,
    [--commutes(f71,f72)]).
%--------------------------------------------------------------------------
