%--------------------------------------------------------------------------
% File     : GRP004=RInvEx-1 : Released v0.0.0, Updated v0.0.0.
% Domain   : Group Theory
% Problem  : Left inverse and identity => Right inverse exists
% Version  : [Chang, 1970] axioms : Incomplete.
% English  : In a group with left inverses and left identity every 
%            element has a right inverse. 

% Refs     : Chang C.L. (1970), The Unit Proof and the Input Proof in
%            Theorm Proving, Communications of the ACM 17(4), 698-707.
%            Problem 4.
%          : Chang C.L., Lee R.C.T. (1973), Symbolic Logic and
%            Mechanical Theorem Proving, Academic Press, New York.
% Source   : [Chang, 1970]
% Names    : Chang-Lee-4 [Chang, 1970]
%          : EX4 [SPRFN]

% Status   : 
% Syntax   : Number of clauses           :    5 (   0 non-Horn)(   3 units)
%            Number of literals          :   11 (   0 equality)
%            Number of predicate symbols :    1 (   0 propositions)
%            Number of function symbols  :    3 (   2 constants)
%            Number of variables         :   15 (   1 singletons)
%            Maximal clause size         :    4
%            Maximal term depth          :    2

% Comments : 
%--------------------------------------------------------------------------
input_clause(left_inverse,axiom,
    [++product(inverse(X),X,identity)]).

input_clause(left_identity,axiom,
    [++product(identity,X,X)]).

input_clause(associativity1,axiom,
    [--product(X,Y,U),
     --product(Y,Z,V),
     --product(U,Z,W),
     ++product(X,V,W)]).

input_clause(associativity2,axiom,
    [--product(X,Y,U),
     --product(Y,Z,V),
     --product(X,V,W),
     ++product(U,Z,W)]).

input_clause(prove_there_is_a_right_inverse,theorem,
    [--product(a,X,identity)]).
%--------------------------------------------------------------------------
