%--------------------------------------------------------------------------
% File     : GRP010=InvSymm-4 : Released v0.0.0, Updated v0.11.1.
% Domain   : Group Theory
% Problem  : Inverse is a symmetric relationship
% Version  : Wos' (equality) axioms : Incomplete.
% English  : If a is an inverse of b then b is an inverse of a.

% Refs     : Pelletier F.J. (1986), Seventy-Five Problems for Testing
%            Automatic Theorem Provers, Journal of Automated Reasoning
%            2(2), 191-216.
% Source   : [Pelletier, 1986]
% Names    : Pelletier 64 [Pelletier, 1986]

% Status   : 
% Syntax   : Number of clauses           :   11 (   0 non-Horn)(   6 units)
%            Number of literals          :   17 (  17 equality)
%            Number of predicate symbols :    1 (   0 propositions)
%            Number of function symbols  :    5 (   3 constants)
%            Number of variables         :   19 (   0 singletons)
%            Maximal clause size         :    3
%            Maximal term depth          :    3

% Comments : Pelletier [1986] says "... problems, published I think, by
%            Larry Wos (but I cannot locate where)."
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001-0.ax').
%--------------------------------------------------------------------------
input_clause(inverse_substitution1,axiom,
    [--equal(D,E),
     ++equal(inverse(D),inverse(E))]).

input_clause(multiply_substitution1,axiom,
    [--equal(F,G),
     ++equal(multiply(F,H),multiply(G,H))]).

input_clause(multiply_substitution2,axiom,
    [--equal(I,J),
     ++equal(multiply(K,I),multiply(K,J))]).

%----The operation '*' is associative
input_clause(associativity,axiom,
    [++equal(multiply(multiply(X,Y),Z),multiply(X,multiply(Y,Z)))]).

%----There exists an identity element 'e' defined below.
input_clause(left_identity,axiom,
    [++equal(multiply(identity,X),X)]).

input_clause(left_inverse,axiom,
    [++equal(multiply(inverse(X),X),identity)]).

input_clause(c_times_b_is_e,hypothesis,
    [++equal(multiply(c,b),identity)]).

input_clause(prove_b_times_c_is_e,theorem,
    [--equal(multiply(b,c),identity)]).
%--------------------------------------------------------------------------

