%--------------------------------------------------------------------------
% File     : GRP014=ProdAssc-1 : Released v0.0.0, Updated v0.10.2.
% Domain   : Group Theory
% Problem  : Product is associative in this group theory
% Version  : [Overbeek, 1990] (equality) axioms : Incomplete.
% English  : The group theory specified by the axiom given implies the
%            associativity of multiply.

% Refs     : Overbeek R. (1990), ATP competition announced at CADE-10,
%            Equality Problem 4.
% Source   : [Overbeek, 1990]
% Names    : Overbeek Competition Eq-4 [Overbeek, 1990]

% Status   : 
% Syntax   : Number of clauses           :    8 (   0 non-Horn)(   3 units)
%            Number of literals          :   14 (  14 equality)
%            Number of predicate symbols :    1 (   0 propositions)
%            Number of function symbols  :    5 (   3 constants)
%            Number of variables         :   18 (   0 singletons)
%            Maximal clause size         :    3
%            Maximal term depth          :    9

% Comments : 
%--------------------------------------------------------------------------
%----Include the axioms of equality
include('Axioms/EQU001-0.ax').
%--------------------------------------------------------------------------
input_clause(inverse_substitutivity1,axiom,
    [--equal(A,B),
     ++equal(inverse(A),inverse(B))]).

input_clause(multiply_substitutivity1,axiom,
    [--equal(C,D),
     ++equal(multiply(C,E),multiply(D,E))]).

input_clause(multiply_substitutivity2,axiom,
    [--equal(F,G),
     ++equal(multiply(H,F),multiply(H,G))]).

input_clause(group_axiom,axiom,
    [++equal(multiply(X,inverse(multiply(multiply(inverse(multiply(
inverse(Y),multiply(inverse(X),W))),Z),inverse(multiply(Y,Z))))),W)]).

input_clause(prove_associativity,theorem,
    [--equal(multiply(a,multiply(b,c)),multiply(multiply(a,b),c))]).
%--------------------------------------------------------------------------
