%--------------------------------------------------------------------------
% File     : GRP016=ReflHomom-1 : Released v0.0.0, Updated v0.5.1.
% Domain   : Group Theory
% Problem  : There is a homomorphism from a group to itself
% Version  : [Boyer, et al., 1986] axioms.
% English  : 

% Refs     : Boyer R., Lusk E., McCune W., Overbeek R., Stickel M. and
%            Wos L. (1986), Set Theory in First-Order Logic: Clauses 
%            for Godel's Axioms,  Journal of Automated Reasoning 2(3)
%            87-327. Problem 226-227.
% Source   : [Boyer, et al., 1986]
% Names    : 

% Status   : 
% Syntax   : Number of clauses           :  326 (  27 non-Horn)(  14 units)
%            Number of literals          :  778 ( 340 equality)
%            Number of predicate symbols :   19 (   0 propositions)
%            Number of function symbols  :   70 (   8 constants)
%            Number of variables         :  931 (  33 singletons)
%            Maximal clause size         :    8
%            Maximal term depth          :    4

% Comments : 
% Bugfix   : v0.5.1 - Includes SET008.ax rather than SET006.ax.
%--------------------------------------------------------------------------
%----Include the axioms of equality
include('Axioms/EQU001-0.ax').
%----Include Godel's set axioms
include('Axioms/SET003-0.ax').
%----Include the equality axioms for Godel's set axioms 
include('Axioms/SET003-0.eq').
%----Include the axioms for algebra from Godel's set axioms
include('Axioms/ALG001-0.ax').
%----Include the equality axioms for algebra from Godel's set axioms
include('Axioms/ALG001-0.eq').
%--------------------------------------------------------------------------
input_clause(a_group,hypothesis,
    [++group(f69,f70)]).

input_clause(prove_there_is_a_homomorphism,axiom,
    [--homomorphism(Y,f69,f70,f69,f70)]).
%--------------------------------------------------------------------------
