%--------------------------------------------------------------------------
% File     : GRP022=InvIvln-1 : Released v0.0.0, Updated v0.9.1.
% Domain   : Group Theory
% Problem  : Inverse is an involution
% Version  : [McCharen, et al., 1976] axioms.
% English  : 

% Refs     : Wos L.A. (1965), Unpublished notes, Argonne National
%            Laboratory. Problem 8.
%          : McCharen J.D., Overbeek R.A., Wos L.A. (1976), Problems
%            and Experiments for and with Automated Theorem Proving
%            Programs, IEEE Transactions on Computers C-25(8), 773-
%            782. "Identities that may be established".
%          : Overbeek R., McCharen J., and Wos L. (1976), Complexity
%            and Related Enhancements for Automated Theorem-Proving
%            Programs, Computer and Mathematics with Applications 2,
%            1-16. Lemma proved.
%          : Wilson G.A. and Minker J. (1976), Resolution, Refinements, and
%            Search Strategies: A Comparative Study, IEEE Transactions on 
%            Computers C-25(8), 782-801.
% Source   : [McCharen, et al., 1976]
% Names    : wos8 [Wilson & Minker, 1976]

% Status   : 
% Syntax   : Number of clauses           :   18 (   0 non-Horn)(   7 units)
%            Number of literals          :   38 (  17 equality)
%            Number of predicate symbols :    2 (   0 propositions)
%            Number of function symbols  :    4 (   2 constants)
%            Number of variables         :   48 (   0 singletons)
%            Maximal clause size         :    4
%            Maximal term depth          :    3

% Comments : 
%--------------------------------------------------------------------------
%----Include equality axioms
include('Axioms/EQU001-0.ax').
%----Include group theory axioms
include('Axioms/GRP003-0.ax').
%----Include group theory equality axioms
include('Axioms/GRP003-0.eq').
%--------------------------------------------------------------------------
input_clause(prove_inverse_of_inverse_is_original,theorem,
    [--equal(inverse(inverse(a)),a)]).
%--------------------------------------------------------------------------

