%--------------------------------------------------------------------------
% File     : GRP028=SemiGRIdEx1-1 : Released v0.0.0, Updated v0.8.1.
% Domain   : Group Theory (Semigroups)
% Problem  : In semigroups, left and right solutions => right id exists
% Version  : [Chang, 1970] axioms : Incomplete.
% English  : If there are left and right solutions, then there is a 
%            right identity element. 

% Refs     : Chang C.L. (1970), The Unit Proof and the Input Proof in
%            Theorm Proving, Communications of the ACM 17(4), 698-707.
%            Problem 1.
%          : Wilson G.A. and Minker J. (1976), Resolution, Refinements, and
%            Search Strategies: A Comparative Study, IEEE Transactions on 
%            Computers C-25(8), 782-801.
% Source   : [Chang, 1970]
% Names    : GROUP1 [Wilson & Minker, 1976]
%          : EX1 [SPRFN]
%          : Chang-Lee-1 [Chang, 1970]

% Status   : 
% Syntax   : Number of clauses           :    4 (   0 non-Horn)(   3 units)
%            Number of literals          :    7 (   0 equality)
%            Number of predicate symbols :    1 (   0 propositions)
%            Number of function symbols  :    3 (   0 constants)
%            Number of variables         :   11 (   0 singletons)
%            Maximal clause size         :    4
%            Maximal term depth          :    2

% Comments : 
%--------------------------------------------------------------------------
input_clause(left_soln,axiom,
    [++product(left_solution(X,Y),X,Y)]).

input_clause(right_soln,axiom,
    [++product(X,right_solution(X,Y),Y)]).

input_clause(associativity,axiom,
    [--product(X,Y,U),
     --product(Y,Z,V),
     --product(X,V,W),
     ++product(U,Z,W)]).

%----There is an element for which no X is identity
input_clause(prove_there_is_a_right_identity,theorem,
    [--product(not_identity(X),X,not_identity(X))]).
%--------------------------------------------------------------------------
