%--------------------------------------------------------------------------
% File     : GRP057=ProdInvAx9-1 : Released v0.8.0, Updated v0.8.1.
% Domain   : Group Theory
% Problem  : Single axiom for group theory, in product & inverse
% Version  : [McCune, 1993] (equality) axioms.
% English  : This is a single axiom for group theory, in terms of product
%            and inverse.

% Refs     : Neumann B.H. (1981), Another single law for groups, Bulletin
%            of the Australian Maths Society 23, 81-102.
%          : McCune W.W. (1993), Single Axioms for Groups and Abelian
%            Groups with Various Operations, Journal of Automated
%            Reasoning 10(1), 1-13. Axiom 1.2.
% Source   : [McCune, 1993]
% Names    : 

% Status   : 
% Syntax   : Number of clauses           :    8 (   0 non-Horn)(   2 units)
%            Number of literals          :   16 (  16 equality)
%            Number of predicate symbols :    1 (   0 propositions)
%            Number of function symbols  :    9 (   7 constants)
%            Number of variables         :   18 (   0 singletons)
%            Maximal clause size         :    3
%            Maximal term depth          :    9

% Comments : 
% Bugfixes : v0.8.1 - Clause single_axiom, literal 1, fixed.
%--------------------------------------------------------------------------
%----Include Reflexivity, symmetry and transitivity, of equality
include('Axioms/EQU001-0.ax').
%--------------------------------------------------------------------------
input_clause(single_axiom,axiom,
    [++equal(multiply(X,inverse(multiply(multiply(inverse(multiply(
inverse(Y),multiply(inverse(X),Z))),U),inverse(multiply(Y,U))))),Z)]).

%----Substitution axioms
input_clause(inverse_substitution,axiom,
    [--equal(X,Y),
     ++equal(inverse(X),inverse(Y))]).

input_clause(multiply_substitution1,axiom,
    [--equal(X,Y),
     ++equal(multiply(X,W),multiply(Y,W))]).

input_clause(multiply_substitution2,axiom,
    [--equal(X,Y),
     ++equal(multiply(W,X),multiply(W,Y))]).

input_clause(prove_these_axioms,theorem,
    [--equal(multiply(inverse(a1),a1),multiply(inverse(b1),b1)),
     --equal(multiply(multiply(inverse(b2),b2),a2),a2),
     --equal(multiply(multiply(a3,b3),c3),multiply(a3,multiply(b3,c3)))]).
%--------------------------------------------------------------------------

