%--------------------------------------------------------------------------
% File     : HEN001=XDivId-1 : Released v0.0.0, Updated v0.4.2.
% Domain   : Henkin Models
% Problem  : X/identity = zero
% Version  : [McCharen, et al., 1976] axioms.
% English  : 

% Refs     : McCharen J.D., Overbeek R.A., Wos L.A. (1976), Problems
%            and Experiments for and with Automated Theorem Proving
%            Programs, IEEE Transactions on Computers C-25(8), 773-
%            782. Problem H1.
% Source   : [McCharen, et al., 1976]
% Names    : hp1.ver1.in [ANL]
%          : H1 [McCharen, et al., 1976]

% Status   : 
% Syntax   : Number of clauses           :   20 (   0 non-Horn)(   5 units)
%            Number of literals          :   47 (  17 equality)
%            Number of predicate symbols :    3 (   0 propositions)
%            Number of function symbols  :    4 (   3 constants)
%            Number of variables         :   55 (   3 singletons)
%            Maximal clause size         :    6
%            Maximal term depth          :    2

% Comments : 
%--------------------------------------------------------------------------
%----Include Reflexivity, symmetry and transitivity, of equality
include('Axioms/EQU001-0.ax').
%----Include Henkin model axioms
include('Axioms/HEN001-0.ax').
%----Include Henkin model equality axioms
include('Axioms/HEN001-0.eq').
%--------------------------------------------------------------------------
input_clause(prove_everything_divide_identity_is_zero,theorem,
    [--quotient(x,identity,zero)]).
%--------------------------------------------------------------------------
