%--------------------------------------------------------------------------
% File     : HEN002=0DivX-5 : Released v0.0.0, Updated v0.4.2.
% Domain   : Henkin Models
% Problem  : zero/X = zero
% Version  : [McCharen, et al., 1976] (equality) axioms : 
%            Reduced > Complete.
% English  : 

% Refs     : McCharen J.D., Overbeek R.A., Wos L.A. (1976), Problems
%            and Experiments for and with Automated Theorem Proving
%            Programs, IEEE Transactions on Computers C-25(8), 773-
%            782. Problem H2.
% Source   : ANL problem set
% Names    : hp2.ver3.in [ANL]

% Status   : 
% Syntax   : Number of clauses           :   11 (   0 non-Horn)(   6 units)
%            Number of literals          :   18 (  18 equality)
%            Number of predicate symbols :    1 (   0 propositions)
%            Number of function symbols  :    4 (   3 constants)
%            Number of variables         :   21 (   3 singletons)
%            Maximal clause size         :    3
%            Maximal term depth          :    4

% Comments : less_equal replaced by divides. This theorem is trivial in
%            this axiuomatisation.
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001-0.ax').
%----Include Henkin model axioms, for the equality formulation with
%----less_equals removed.
include('Axioms/HEN003-0.ax').
%--------------------------------------------------------------------------
input_clause(prove_zero_divide_anything_is_zero,theorem,
    [--equal(divide(zero,a),zero)]).
%--------------------------------------------------------------------------
