%--------------------------------------------------------------------------
% File     : HEN003=XDivX-2 : Released v0.0.0, Updated v0.4.2.
% Domain   : Henkin Models
% Problem  : X/X = zero
% Version  : [McCharen, et al., 1976] axioms : Augmented.
% English  : 

% Refs     : McCharen J.D., Overbeek R.A., Wos L.A. (1976), Problems
%            and Experiments for and with Automated Theorem Proving
%            Programs, IEEE Transactions on Computers C-25(8), 773-
%            782. Problem H3.
% Source   : [McCharen, et al., 1976]
% Names    : hp3.ver1.in [ANL]
%          : H3 [McCharen, et al., 1976]

% Status   : 
% Syntax   : Number of clauses           :   22 (   0 non-Horn)(   7 units)
%            Number of literals          :   49 (  17 equality)
%            Number of predicate symbols :    3 (   0 propositions)
%            Number of function symbols  :    4 (   3 constants)
%            Number of variables         :   57 (   5 singletons)
%            Maximal clause size         :    6
%            Maximal term depth          :    2

% Comments : 
%--------------------------------------------------------------------------
%----Include Reflexivity, symmetry and transitivity, of equality
include('Axioms/EQU001-0.ax').
%----Include Henkin model axioms
include('Axioms/HEN001-0.ax').
%----Include Henkin model equality axioms
include('Axioms/HEN001-0.eq').
%--------------------------------------------------------------------------
%----McCharen uses these earlier results too. I don't
input_clause(everything_divide_identity_is_zero,axiom,
    [++quotient(X,identity,zero)]).

input_clause(zero_divide_anything_is_zero,axiom,
    [++quotient(zero,X,zero)]).

input_clause(prove_x_divide_x_is_zero,theorem,
    [--quotient(x,x,zero)]).
%--------------------------------------------------------------------------
