%--------------------------------------------------------------------------
% File     : HEN003=XDivX-4 : Released v0.0.0, Updated v0.2.2.
% Domain   : Henkin Models
% Problem  : X/X = zero
% Version  : [McCharen, et al., 1976] (psuedo equality) axioms : Augmented.
% English  : 

% Refs     : McCharen J.D., Overbeek R.A., Wos L.A. (1976), Problems
%            and Experiments for and with Automated Theorem Proving
%            Programs, IEEE Transactions on Computers C-25(8), 773-
%            782. Problem H3.
% Source   : ANL problem set
% Names    : hp3.ver2.in [ANL]

% Status   : 
% Syntax   : Number of clauses           :   17 (   0 non-Horn)(   8 units)
%            Number of literals          :   30 (  18 equality)
%            Number of predicate symbols :    2 (   0 propositions)
%            Number of function symbols  :    4 (   3 constants)
%            Number of variables         :   33 (   5 singletons)
%            Maximal clause size         :    3
%            Maximal term depth          :    3

% Comments : 
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001-0.ax').
%----Include Henkin model axioms for equality formulation
include('Axioms/HEN002-0.ax').
include('Axioms/HEN002-0.eq').
%--------------------------------------------------------------------------
input_clause(everything_divide_id_is_zero,axiom,
    [++equal(divide(X,identity),zero)]).

input_clause(zero_divide_anything_is_zero,axiom,
    [++equal(divide(zero,X),zero)]).

input_clause(prove_x_divide_x_is_zero,theorem,
    [--equal(divide(a,a),zero)]).
%--------------------------------------------------------------------------
