%--------------------------------------------------------------------------
% File     : HEN006=Eqn1-3 : Released v0.0.0, Updated v0.2.2.
% Domain   : Henkin Models
% Problem  : X/Y <= Z => X/Z <= Y
% Version  : [McCharen, et al., 1976] (psuedo equality) axioms.
% English  :

% Refs     : McCharen J.D., Overbeek R.A., Wos L.A. (1976), Problems
%            and Experiments for and with Automated Theorem Proving
%            Programs, IEEE Transactions on Computers C-25(8), 773-
%            782. Problem H6.
% Source   : ANL problem set
% Names    : 

% Status   : 
% Syntax   : Number of clauses           :   16 (   0 non-Horn)(   7 units)
%            Number of literals          :   29 (  15 equality)
%            Number of predicate symbols :    2 (   0 propositions)
%            Number of function symbols  :    6 (   5 constants)
%            Number of variables         :   31 (   3 singletons)
%            Maximal clause size         :    3
%            Maximal term depth          :    3

% Comments : 
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001-0.ax').
%----Include Henkin model axioms for equality formulation
include('Axioms/HEN002-0.ax').
include('Axioms/HEN002-0.eq').
%--------------------------------------------------------------------------
input_clause(a_divide_b_LE_d,hypothesis,
    [++less_equal(divide(a,b),d)]).

input_clause(prove_a_divide_d_LE_b,theorem,
    [--less_equal(divide(a,d),b)]).
%--------------------------------------------------------------------------
