%--------------------------------------------------------------------------
% File     : HEN006=Eqn1-6 : Released v0.3.0, Updated v0.3.0.
% Domain   : Henkin Models
% Problem  : X/Y <= Z => X/Z <= Y
% Version  : [McCharen, et al., 1976] (psuedo equality) axioms : Augmented.
% English  :

% Refs     : McCharen J.D., Overbeek R.A., Wos L.A. (1976), Problems
%            and Experiments for and with Automated Theorem Proving
%            Programs, IEEE Transactions on Computers C-25(8), 773-
%            782. Problem H6.
% Source   : ANL problem set
% Names    : hp6.ver2.in [ANL]

% Status   : 
% Syntax   : Number of clauses           :   19 (   0 non-Horn)(  10 units)
%            Number of literals          :   32 (  18 equality)
%            Number of predicate symbols :    2 (   0 propositions)
%            Number of function symbols  :    6 (   5 constants)
%            Number of variables         :   34 (   5 singletons)
%            Maximal clause size         :    3
%            Maximal term depth          :    3

% Comments : 
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001-0.ax').
%----Include Henkin model axioms for equality formulation
include('Axioms/HEN002-0.ax').
include('Axioms/HEN002-0.eq').
%--------------------------------------------------------------------------
input_clause(everything_divide_id_is_zero,axiom,
    [++equal(divide(X,identity),zero)]).

input_clause(zero_divide_anything_is_zero,axiom,
    [++equal(divide(zero,X),zero)]).

input_clause(x_divide_x_is_zero,axiom,
    [++equal(divide(X,X),zero)]).

input_clause(a_divide_b_LE_d,hypothesis,
    [++less_equal(divide(a,b),d)]).

input_clause(prove_a_divide_d_LE_b,theorem,
    [--less_equal(divide(a,d),b)]).
%--------------------------------------------------------------------------
