%--------------------------------------------------------------------------
% File     : HEN007=Eqn2-6 : Released v0.3.0, Updated v0.4.2.
% Domain   : Henkin Models
% Problem  : X <= Y => Z/Y <= Z/X
% Version  : [McCharen, et al., 1976] axioms : Augmented.
% English  :

% Refs     : McCharen J.D., Overbeek R.A., Wos L.A. (1976), Problems
%            and Experiments for and with Automated Theorem Proving
%            Programs, IEEE Transactions on Computers C-25(8), 773-
%            782. Problem H7.
% Source   : [McCharen, et al., 1976]
% Names    : hp7.ver1.in [ANL]

% Status   : 
% Syntax   : Number of clauses           :   28 (   0 non-Horn)(  12 units)
%            Number of literals          :   57 (  17 equality)
%            Number of predicate symbols :    3 (   0 propositions)
%            Number of function symbols  :    8 (   7 constants)
%            Number of variables         :   62 (   5 singletons)
%            Maximal clause size         :    6
%            Maximal term depth          :    2

% Comments : 
%--------------------------------------------------------------------------
%----Include Reflexivity, symmetry and transitivity, of equality
include('Axioms/EQU001-0.ax').
%----Include Henkin model axioms
include('Axioms/HEN001-0.ax').
%----Include Henkin model equality axioms
include('Axioms/HEN001-0.eq').
%--------------------------------------------------------------------------
%----McCharen uses these earlier results too. I don't
input_clause(everything_divide_identity_is_zero,axiom,
    [++quotient(X,identity,zero)]).

input_clause(zero_divide_anything_is_zero,axiom,
    [++quotient(zero,X,zero)]).

input_clause(x_divide_x_is_zero,axiom,
    [++quotient(X,X,zero)]).

input_clause(x_divde_zero_is_x,axiom,
    [++quotient(X,zero,X)]).

input_clause(transitivity_of_less_equal,axiom,
    [--less_equal(X,Y),
     --less_equal(Y,Z),
     ++less_equal(X,Z)]).

input_clause(xLEy,hypothesis,
    [++less_equal(x,y)]).

input_clause(zQy,hypothesis,
    [++quotient(z,y,zQy)]).

input_clause(zQx,hypothesis,
    [++quotient(z,x,zQx)]).

input_clause(prove_zQyLEzQx,theorem,
    [--less_equal(zQy,zQx)]).
%--------------------------------------------------------------------------
