%--------------------------------------------------------------------------
% File     : HEN008=Eqn3-1 : Released v0.0.0, Updated v0.4.2.
% Domain   : Henkin Models
% Problem  : X <= Y => X/Z <= Y/Z
% Version  : [McCharen, et al., 1976] axioms.
% English  :

% Refs     : McCharen J.D., Overbeek R.A., Wos L.A. (1976), Problems
%            and Experiments for and with Automated Theorem Proving
%            Programs, IEEE Transactions on Computers C-25(8), 773-
%            782. Problem H8.
% Source   : [McCharen, et al., 1976]
% Names    : hp8.ver1.in [ANL]

% Status   : 
% Syntax   : Number of clauses           :   23 (   0 non-Horn)(   8 units)
%            Number of literals          :   50 (  17 equality)
%            Number of predicate symbols :    3 (   0 propositions)
%            Number of function symbols  :    8 (   7 constants)
%            Number of variables         :   55 (   3 singletons)
%            Maximal clause size         :    6
%            Maximal term depth          :    2

% Comments : 
%--------------------------------------------------------------------------
%----Include Reflexivity, symmetry and transitivity, of equality
include('Axioms/EQU001-0.ax').
%----Include Henkin model axioms
include('Axioms/HEN001-0.ax').
%----Include Henkin model equality axioms
include('Axioms/HEN001-0.eq').
%--------------------------------------------------------------------------
input_clause(aLEb,hypothesis,
    [++less_equal(a,b)]).

input_clause(aQc,hypothesis,
    [++quotient(a,c,aQc)]).

input_clause(bQc,hypothesis,
    [++quotient(b,c,bQc)]).

input_clause(prove_aQcLEbQc,theorem,
    [--less_equal(aQc,bQc)]).
%--------------------------------------------------------------------------
