%--------------------------------------------------------------------------
% File     : HEN009=IdDivX1-5 : Released v0.0.0, Updated v0.2.2.
% Domain   : Henkin Models
% Problem  : Define X' as identity/X. Then X' = X'''
% Version  : [McCharen, et al., 1976] (equality) axioms : 
%            Reduced & Augmented > Complete.
% English  :

% Refs     : McCharen J.D., Overbeek R.A., Wos L.A. (1976), Problems
%            and Experiments for and with Automated Theorem Proving
%            Programs, IEEE Transactions on Computers C-25(8), 773-
%            782. Problem H9.
% Source   : ANL problem set
% Names    : hp9.ver3.in [ANL]

% Status   : 
% Syntax   : Number of clauses           :   18 (   0 non-Horn)(  10 units)
%            Number of literals          :   29 (  29 equality)
%            Number of predicate symbols :    1 (   0 propositions)
%            Number of function symbols  :    7 (   6 constants)
%            Number of variables         :   30 (   3 singletons)
%            Maximal clause size         :    3
%            Maximal term depth          :    4

% Comments : less_equal replaced by divides
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001-0.ax').
%----Include Henkin model axioms, for the equality formulation with
%----less_equals removed.
include('Axioms/HEN003-0.ax').
%--------------------------------------------------------------------------
input_clause(transitivity_of_divide_to_zero,axiom,
    [--equal(divide(X,Y),zero),
     --equal(divide(Y,Z),zero),
     ++equal(divide(X,Z),zero)]).

input_clause(property_of_divide1,axiom,
    [--equal(divide(divide(X,Y),Z),zero),
     ++equal(divide(divide(X,Z),Y),zero)]).

input_clause(property_of_divide2,axiom,
    [--equal(divide(X,Y),zero),
     ++equal(divide(divide(Z,Y),divide(Z,X)),zero)]).

input_clause(part_of_theorem,hypothesis,
    [--equal(divide(identity,a),divide(identity,divide(identity,
divide(identity,a))))]).

input_clause(identity_divide_a_is_b,hypothesis,
    [++equal(divide(identity,a),b)]).

input_clause(identity_divide_b_is_c,hypothesis,
    [++equal(divide(identity,b),c)]).

input_clause(identity_divide_c_is_d,hypothesis,
    [++equal(divide(identity,c),d)]).

input_clause(prove_one_inversion_equals_three,theorem,
    [--equal(b,d)]).
%--------------------------------------------------------------------------
