%--------------------------------------------------------------------------
% File     : LCL018=PYM_PYO-1 : Released v0.0.0, Updated v0.11.5.
% Domain   : Logic Calculi (Equivalential)
% Problem  : PYO depends on PYM
% Version  : 
% English  : Show that the single Meredith axiom PYO can be derived
%            from the single Meredith axiom PYM.

% Refs     : McCune W.W., and Wos L. (1992), Experiments in Automated 
%            Deduction with Condensed Detachment, In Kapur D. (Ed), 
%            Proceedings of the 11th International Conference on 
%            Automated Deduction, (Saratoga Springs, NY, 1992), (Lecture
%            Notes in Artificial Intelligence, 607), Springer-Verlag, NY,
%            209-223. Problem 81.
% Source   : Email from Bill McCune.
% Names    : EC-81 [McCune & Wos, 1992]

% Status   : 
% Syntax   : Number of clauses           :    3 (   0 non-Horn)(   2 units)
%            Number of literals          :    5 (   0 equality)
%            Number of predicate symbols :    1 (   0 propositions)
%            Number of function symbols  :    4 (   3 constants)
%            Number of variables         :    5 (   0 singletons)
%            Maximal clause size         :    3
%            Maximal term depth          :    5

% Comments : 
%--------------------------------------------------------------------------
input_clause(condensed_detachment,axiom,
    [--is_a_theorem(equivalent(X,Y)),
     --is_a_theorem(X),
     ++is_a_theorem(Y)]).

%----Axiom by Meredith
input_clause(pym,axiom,
    [++is_a_theorem(equivalent(equivalent(equivalent(X,
equivalent(Y,Z)),Y),equivalent(Z,X)))]).

%----Axiom by Meredith
input_clause(prove_pyo,theorem,
    [--is_a_theorem(equivalent(equivalent(equivalent(a,
equivalent(b,c)),c),equivalent(b,a)))]).
%--------------------------------------------------------------------------
