%--------------------------------------------------------------------------
% File     : LCL020=XHK_XGK-1 : Released v0.0.0, Updated v0.11.5.
% Domain   : Logic Calculi (Equivalential)
% Problem  : XGK depends on XHK
% Version  : 
% English  : Show that the single Kalman axiom XGK can be derived
%            from the single Winker axiom XHK.

% Refs     : McCune W.W., and Wos L. (1992), Experiments in Automated 
%            Deduction with Condensed Detachment, In Kapur D. (Ed), 
%            Proceedings of the 11th International Conference on 
%            Automated Deduction, (Saratoga Springs, NY, 1992), (Lecture
%            Notes in Artificial Intelligence, 607), Springer-Verlag, NY,
%            209-223. Problem 83.
% Source   : Email from Bill McCune.
% Names    : EC-83 [McCune & Wos, 1992]

% Status   : 
% Syntax   : Number of clauses           :    3 (   0 non-Horn)(   2 units)
%            Number of literals          :    5 (   0 equality)
%            Number of predicate symbols :    1 (   0 propositions)
%            Number of function symbols  :    4 (   3 constants)
%            Number of variables         :    5 (   0 singletons)
%            Maximal clause size         :    3
%            Maximal term depth          :    5

% Comments : 
%--------------------------------------------------------------------------
input_clause(condensed_detachment,axiom,
    [--is_a_theorem(equivalent(X,Y)),
     --is_a_theorem(X),
     ++is_a_theorem(Y)]).

%----Axiom by Winker
input_clause(xhk,axiom,
    [++is_a_theorem(equivalent(X,equivalent(equivalent(Y,Z),
equivalent(equivalent(X,Z),Y))))]).

%----Axiom by Kalman
input_clause(prove_xgk,theorem,
    [--is_a_theorem(equivalent(a,equivalent(equivalent(b,
equivalent(c,a)),equivalent(c,b))))]).
%--------------------------------------------------------------------------
