%--------------------------------------------------------------------------
% File     : LCL024=PYO_XGK-1 : Released v0.0.0, Updated v0.10.2.
% Domain   : Logic Calculi (Equivalential)
% Problem  : XGK depends on PYO
% Version  : 
% English  : Show that Kalman's shortest single axiom for the 
%            equivalential calculus, XGK, can be derived from the 
%            Meredith single axiom PYO.

% Refs     : Overbeek R. (1990), ATP competition announced at CADE-10,
%            Problem 4.
% Source   : [Overbeek, 1990]
% Names    : Overbeek Competition 4 [Overbeek, 1990]

% Status   : 
% Syntax   : Number of clauses           :    3 (   0 non-Horn)(   2 units)
%            Number of literals          :    5 (   0 equality)
%            Number of predicate symbols :    1 (   0 propositions)
%            Number of function symbols  :    4 (   3 constants)
%            Number of variables         :    5 (   0 singletons)
%            Maximal clause size         :    3
%            Maximal term depth          :    5

% Comments : 
%--------------------------------------------------------------------------
input_clause(condensed_detachment,axiom,
    [--is_a_theorem(equivalent(X,Y)),
     --is_a_theorem(X),
     ++is_a_theorem(Y)]).

%----Axiom by Kalman
input_clause(prove_xgk,axiom,
    [++is_a_theorem(equivalent(X,equivalent(equivalent(Y,
equivalent(Z,X)),equivalent(Z,Y))))]).

%----Axiom by Meredith
input_clause(prove_pyo,theorem,
    [--is_a_theorem(equivalent(equivalent(equivalent(a,
equivalent(b,c)),c),equivalent(b,a)))]).
%--------------------------------------------------------------------------
