%--------------------------------------------------------------------------
% File     : LCL038=Ov_C01-1 : Released v0.0.0, Updated v0.10.2.
% Domain   : Logic Calculi (Implication/Falsehood 2 valued sentential)
% Problem  : C0-1 depends on a single axiom
% Version  : 
% English  : An axiomatisation for the Implication/Falsehood 2 valued
%            sentential calculus is {C0-1,C0-2,C0-3,C0-4} by Tarski-
%            Bernays. Show that C0-1 can be derived from this suspected
%            single axiom.

% Refs     : Overbeek R. (1990), ATP competition announced at CADE-10,
%            Problem 5.
% Source   : [Overbeek, 1990]
% Names    : Overbeek Competition 5 [Overbeek, 1990]

% Status   : 
% Syntax   : Number of clauses           :    3 (   0 non-Horn)(   2 units)
%            Number of literals          :    5 (   0 equality)
%            Number of predicate symbols :    1 (   0 propositions)
%            Number of function symbols  :    4 (   3 constants)
%            Number of variables         :    6 (   2 singletons)
%            Maximal clause size         :    3
%            Maximal term depth          :    4

% Comments : 
%--------------------------------------------------------------------------
input_clause(condensed_detachment,axiom,
    [--is_a_theorem(implies(X,Y)),
     --is_a_theorem(X),
     ++is_a_theorem(Y)]).

input_clause(single_axiom,axiom,
    [++is_a_theorem(implies(implies(implies(X,Y),Z),
implies(implies(Z,X),implies(U,X))))]).

input_clause(prove_c0_1,theorem,
    [--is_a_theorem(implies(implies(a,b),implies(implies(b,c),
implies(a,c))))]).
%--------------------------------------------------------------------------
