%--------------------------------------------------------------------------
% File     : LCL067=Lk2_CN1-1 : Released v0.0.0, Updated v0.11.5.
% Domain   : Logic Calculi (Implication/Negation 2 valued sentential)
% Problem  : CN-1 depends on the second Lukasiewicz system
% Version  : 
% English  : Axiomatisations of the Implication/Negation 2 valued
%            sentential calculus are {CN-1,CN-2,CN-3} by Lukasiewicz,
%            {CN-18,CN-21,CN-35,CN-39,CN-39,CN-40,CN-46} by Frege,
%            {CN-3,CN-18,CN-21,CN-22,CN-30,CN-54} by Hilbert, {CN-18,
%            CN-35,CN-49} by Church, {CN-19,CN-37,CN-59} by Lukasiewicz,
%            {CN-19,CN-37,CN-60} by Wos, and the single Meredith axiom.
%            Show that CN-1 depends on the second Lukasiewicz system.

% Refs     : McCune W.W., and Wos L. (1992), Experiments in Automated 
%            Deduction with Condensed Detachment, In Kapur D. (Ed),
%            Proceedings of the 11th International Conference on 
%            Automated Deduction, (Saratoga Springs, NY, 1992), (Lecture
%            Notes in Artificial Intelligence, 607), Springer-Verlag, NY,
%            209-223. Problem 28.
% Source   : Email from Bill McCune.
% Names    : CN-28 [McCune & Wos, 1992]

% Status   : 
% Syntax   : Number of clauses           :    5 (   0 non-Horn)(   4 units)
%            Number of literals          :    7 (   0 equality)
%            Number of predicate symbols :    1 (   0 propositions)
%            Number of function symbols  :    5 (   3 constants)
%            Number of variables         :   11 (   2 singletons)
%            Maximal clause size         :    3
%            Maximal term depth          :    5

% Comments : 
%--------------------------------------------------------------------------
input_clause(condensed_detachment,axiom,
    [--is_a_theorem(implies(X,Y)),
     --is_a_theorem(X),
     ++is_a_theorem(Y)]).

input_clause(cn_19,axiom,
    [++is_a_theorem(implies(implies(implies(X,Y),Z),implies(Y,Z)))]).

input_clause(cn_37,axiom,
    [++is_a_theorem(implies(implies(implies(X,Y),Z),
implies(not(X),Z)))]).

input_clause(cn_59,axiom,
    [++is_a_theorem(implies(implies(not(X),Z),implies(implies(Y,Z),
implies(implies(X,Y),Z))))]).

input_clause(prove_cn_1,theorem,
    [--is_a_theorem(implies(implies(a,b),
implies(implies(b,c),implies(a,c))))]).
%--------------------------------------------------------------------------
