%--------------------------------------------------------------------------
% File     : LCL076=Ch_CN40-2 : Released v0.0.0, Updated v0.9.1.
% Domain   : Logic Calculi (Implication/Negation 2 valued sentential)
% Problem  : CN-40 depends on the Church system
% Version  : Theorem formulation : Augmented.
% English  : Axiomatisations of the Implication/Negation 2 valued
%            sentential calculus are {CN-1,CN-2,CN-3} by Lukasiewicz,
%            {CN-18,CN-21,CN-35,CN-39,CN-39,CN-40,CN-46} by Frege,
%            {CN-3,CN-18,CN-21,CN-22,CN-30,CN-54} by Hilbert, {CN-18,
%            CN-35,CN-49} by Church, {CN-19,CN-37,CN-59} by Lukasiewicz,
%            {CN-19,CN-37,CN-60} by Wos, and the single Meredith axiom.
%            Show that CN-40 depends on the Church system.

% Refs     : 
% Source   : [ANL]
% Names    : morgan.three.ver1.in [ANL]
%          : morgan.three.ver2.in [ANL]

% Status   : 
% Syntax   : Number of clauses           :    6 (   0 non-Horn)(   5 units)
%            Number of literals          :    8 (   0 equality)
%            Number of predicate symbols :    1 (   0 propositions)
%            Number of function symbols  :    3 (   1 constants)
%            Number of variables         :   10 (   1 singletons)
%            Maximal clause size         :    3
%            Maximal term depth          :    4

% Comments : Contributed to the ANL library by Charles Morgan.
%--------------------------------------------------------------------------
input_clause(condensed_detachment,axiom,
    [--is_a_theorem(implies(X,Y)),
     --is_a_theorem(X),
     ++is_a_theorem(Y)]).

input_clause(cn_18,axiom,
    [++is_a_theorem(implies(X,implies(Y,X)))]).

input_clause(cn_35,axiom,
    [++is_a_theorem(implies(implies(X,implies(Y,Z)),
implies(implies(X,Y),implies(X,Z))))]).

input_clause(cn_49,axiom,
    [++is_a_theorem(implies(implies(not(X),not(Y)),implies(Y,X)))]).

input_clause(extra_lemma,axiom,
    [++is_a_theorem(implies(not(not(X1)),X1))]).

input_clause(prove_cn_40,theorem,
    [--is_a_theorem(implies(a,not(not(a))))]).
%--------------------------------------------------------------------------
