%--------------------------------------------------------------------------
% File     : LCL083=Lk1_IC3-1 : Released v0.0.0, Updated v0.11.5.
% Domain   : Logic Calculi (Implicational propositional)
% Problem  : IC-3 depends on the 1st Lukasiewicz axiom
% Version  : 
% English  : Axiomatisations of the Implicational propositional
%            calculus are {IC-2,IC-3,IC-4} by Tarski-Bernays and
%            single Lukasiewicz axioms. Show that IC-3 depends on
%            the first Lukasiewicz axiom.

% Refs     : Lukasiewicz J. (1948), The Shortest Axiom of the
%            Implicational Calculus of Propositions, Proceedings of
%            the Royal Irish Academy 52(3), 25-33.
%          : Pfenning F. (1988), Single Axioms in the Implicational
%            Propositional Calculus, In Lusk E., Overbeek R. (Eds),
%            Proceedings of the 9th International Conference on
%            Automated Deduction (Argonne, IL, 1988), (Lecture Notes
%            in Computer Science 310), Springer-Verlag, New York,
%            NY, 710-713.
%          : Wos L., Winker S., McCune W.W., Overbeek R., Lusk E. and
%            Stevens R. (1990), Automated Reasoning Contributes to
%            Mathemetics and Logic, In Stickel M.E. (Ed), Proceedings of
%            the 10th International Conference on Automated Deduction
%            (Kaiserslautern, Germany, 1990), (Lecture Notes in Artificial
%            Intelligence, 449), Springer-Verlag, NY, 485-499. 
%            Problem IC-1, part 2.
%          : McCune W.W., and Wos L. (1992), Experiments in Automated 
%            Deduction with Condensed Detachment, In Kapur D. (Ed), 
%            Proceedings of the 11th International Conference on 
%            Automated Deduction, (Saratoga Springs, NY, 1992), (Lecture
%            Notes in Artificial Intelligence, 607), Springer-Verlag, NY,
%            209-223. Problem 66.
% Source   : Email from Bill McCune.
% Names    : ls3 [SETHEO]
%          : IC-66 [McCune & Wos, 1992]
%          : IC-1.2 [Wos, et al., 1990]
%          : P1 [Pfenning, 1988]

% Status   : 
% Syntax   : Number of clauses           :    3 (   0 non-Horn)(   2 units)
%            Number of literals          :    5 (   0 equality)
%            Number of predicate symbols :    1 (   0 propositions)
%            Number of function symbols  :    3 (   2 constants)
%            Number of variables         :    6 (   2 singletons)
%            Maximal clause size         :    3
%            Maximal term depth          :    4

% Comments : 
%--------------------------------------------------------------------------
input_clause(condensed_detachment,axiom,
    [--is_a_theorem(implies(X,Y)),
     --is_a_theorem(X),
     ++is_a_theorem(Y)]).

input_clause(ic_JLukasiewicz,axiom,
    [++is_a_theorem(implies(implies(implies(X,Y),Z),
implies(implies(Z,X),implies(U,X))))]).

input_clause(prove_ic_3,theorem,
    [--is_a_theorem(implies(implies(implies(a,b),a),a))]).
%--------------------------------------------------------------------------
