%--------------------------------------------------------------------------
% File     : LCL104=Mc6_P1-1 : Released v0.0.0, Updated v0.11.5.
% Domain   : Logic Calculi (Left group)
% Problem  : P-1 depends on the 6th McCune system
% Version  : 
% English  : Axiomatisations of the left group calculus are {LG-1,
%            LG-2,LG-3,LG-4,LG-5} by Kalman, {LG-2,LG-3}, {LG-2,P-1},
%            {LG-2,P-4}, {LG-2,Q-1,Q-2}, {P-1,Q-3}, {P-4,Q-3}, {Q-1,
%            Q-2,Q-3}, {Q-1,Q-3,Q-4}, {LG-27-1690} all by McCune.
%            Show that P-1 depends on the sixth McCune system.

% Refs     : McCune W.W., and Wos L. (1992), Experiments in Automated 
%            Deduction with Condensed Detachment, In Kapur D. (Ed), 
%            Proceedings of the 11th International Conference on 
%            Automated Deduction, (Saratoga Springs, NY, 1992), (Lecture
%            Notes in Artificial Intelligence, 607), Springer-Verlag, NY,
%            209-223. Problem 97.
%          : McCune W.W. (1992), Automated Discovery of New
%            Axiomatisations of the Left Group and Right Group
%            Calculi, In Journal of Automated Reasoning 9(1), Kluwer
%            Academic Publishers, Dordrecht, The Netherlands, 1-24.
% Source   : Email from Bill McCune.
% Names    : LG-97 [McCune & Wos, 1992]

% Status   : 
% Syntax   : Number of clauses           :    4 (   0 non-Horn)(   3 units)
%            Number of literals          :    6 (   0 equality)
%            Number of predicate symbols :    1 (   0 propositions)
%            Number of function symbols  :    5 (   4 constants)
%            Number of variables         :    9 (   0 singletons)
%            Maximal clause size         :    3
%            Maximal term depth          :    6

% Comments : 
%--------------------------------------------------------------------------
input_clause(condensed_detachment,axiom,
    [--is_a_theorem(equivalent(X,Y)),
     --is_a_theorem(X),
     ++is_a_theorem(Y)]).

input_clause(p_4,axiom,
    [++is_a_theorem(equivalent(X,equivalent(equivalent(equivalent(
equivalent(Y,Z),equivalent(Y,U)),equivalent(Z,U)),X)))]).

input_clause(q_3,axiom,
    [++is_a_theorem(equivalent(equivalent(equivalent(X,Y),equivalent(
equivalent(Y,X),Z)),Z))]).

input_clause(prove_p_1,theorem,
    [--is_a_theorem(equivalent(equivalent(equivalent(a,b),c),
equivalent(equivalent(e,b),equivalent(equivalent(a,e),c))))]).
%--------------------------------------------------------------------------
