%--------------------------------------------------------------------------
% File     : LCL109=CAM_MV4-4 : Released v0.4.0, Updated v0.9.1.
% Domain   : Logic Calculi (Wajsberg Algebra)
% Problem  : A theorem in the lattice structure of Wajsberg algebras
% Version  : Theorem formulation : Wajsberg algebras lattice structure
% English  : 

% Refs     : Font J.M., Rodriguez A.J., Torrens A. (1984), Wajsberg 
%            Algebras, Stochastica 8(1), 5-31.
%          : Bonacina M.P. (1991), Problems in Lukasiewicz Logic, AAR
%            Newsletter 18, 5-12. Lattice structure theorem 8.
% Source   : [Bonacina, 1991]
% Names    : 

% Status   : 
% Syntax   : Number of clauses           :   21 (   0 non-Horn)(   8 units)
%            Number of literals          :   37 (  31 equality)
%            Number of predicate symbols :    2 (   0 propositions)
%            Number of function symbols  :    7 (   3 constants)
%            Number of variables         :   48 (   0 singletons)
%            Maximal clause size         :    3
%            Maximal term depth          :    4

% Comments : 
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001-0.ax').
%----Include Wajsberg algebra axioms
include('Axioms/LCL001-0.ax').
%----Include Wajsberg algebra lattice structure axioms
include('Axioms/LCL001-1.ax').
%--------------------------------------------------------------------------
input_clause(prove_mv_4,theorem,
    [--equal(big_V(implies(x,y),implies(y,x)),true)]).
%--------------------------------------------------------------------------
