%--------------------------------------------------------------------------
% File     : LCL111=CAM_MV25-1 : Released v0.0.0, Updated v0.11.5.
% Domain   : Logic Calculi (Many valued sentential)
% Problem  : MV-25 depends on the Merideth system
% Version  : 
% English  : An axiomatisation of the many valued sentential calculus
%            is {MV-1,MV-2,MV-3,MV-5} by Meredith. Show that MV-25
%            depends on the Meredith system.

% Refs     : McCune W.W., and Wos L. (1992), Experiments in Automated 
%            Deduction with Condensed Detachment, In Kapur D. (Ed), 
%            Proceedings of the 11th International Conference on 
%            Automated Deduction, (Saratoga Springs, NY, 1992), (Lecture
%            Notes in Artificial Intelligence, 607), Springer-Verlag, NY,
%            209-223. Problem 57.
%          : Overbeek R. (1990), ATP competition announced at CADE-10,
%            Problem 6.
% Source   : Email from Bill McCune.
% Names    : mv.in part 2 [OTTER]
%          : MV-57 [McCune & Wos, 1992]
%          : Overbeek Competition 6 [Overbeek, 1990]
%          : ovb6 [SETHEO]

% Status   : 
% Syntax   : Number of clauses           :    6 (   0 non-Horn)(   5 units)
%            Number of literals          :    8 (   0 equality)
%            Number of predicate symbols :    1 (   0 propositions)
%            Number of function symbols  :    5 (   3 constants)
%            Number of variables         :   11 (   1 singletons)
%            Maximal clause size         :    3
%            Maximal term depth          :    4

% Comments : 
%--------------------------------------------------------------------------
input_clause(condensed_detachment,axiom,
    [--is_a_theorem(implies(X,Y)),
     --is_a_theorem(X),
     ++is_a_theorem(Y)]).

input_clause(mv_1,axiom,
    [++is_a_theorem(implies(X,implies(Y,X)))]).

input_clause(mv_2,axiom,
    [++is_a_theorem(implies(implies(X,Y),implies(implies(Y,Z),
implies(X,Z))))]).

input_clause(mv_3,axiom,
    [++is_a_theorem(implies(implies(implies(X,Y),Y),
implies(implies(Y,X),X)))]).

input_clause(mv_5,axiom,
    [++is_a_theorem(implies(implies(not(X),not(Y)),implies(Y,X)))]).

input_clause(prove_mv_25,theorem,
    [--is_a_theorem(implies(implies(a,b),implies(implies(c,a),
implies(c,b))))]).
%--------------------------------------------------------------------------
