%--------------------------------------------------------------------------
% File     : LCL111=CAM_MV25-2 : Released v0.4.0, Updated v0.9.1.
% Domain   : Logic Calculi (Many valued sentential)
% Problem  : MV-25 depends on the Meredith system
% Version  : Wajsberg algebra formulation
% English  : An axiomatisation of the many valued sentential calculus
%            is {MV-1,MV-2,MV-3,MV-5} by Meredith. Wajsberg presented an
%            equality axiomatisation. Show that MV-25 depends on the 
%            Wajsberg axiomatisation.

% Refs     : Font J.M., Rodriguez A.J., Torrens A. (1984), Wajsberg 
%            Algebras, Stochastica 8(1), 5-31.
%          : Bonacina M.P. (1991), Problems in Lukasiewicz Logic, AAR
%            Newsletter 18, 5-12. Lemma 6.
%          : McCune W.W., and Wos L. (1992), Experiments in Automated
%            Deduction with Condensed Detachment, In Kapur D. (Ed),
%            Proceedings of the 11th International Conference on
%            Automated Deduction, (Saratoga Springs, NY, 1992), (Lecture
%            Notes in Artificial Intelligence, 607), Springer-Verlag, NY,
%            209-223.
%          : Lusk E., and Wos L. (1992), Benchmark Problems in Which
%            Equality Plays the Major Role, In Kapur D. (Ed.), Proceedings
%            of the 11th International Conference on Automated Deduction
%            (Saratoga Springs, NY, 1992), (Lecture Notes in Artificial
%            Intelligence 607), Springer-Verlag, New York, NY, 781-785.
%            Problem MV2.
% Source   : [Bonacina, 1991]
% Names    : MV2 [Lusk & Wos, 1992]

% Status   : 
% Syntax   : Number of clauses           :   11 (   0 non-Horn)(   6 units)
%            Number of literals          :   17 (  17 equality)
%            Number of predicate symbols :    1 (   0 propositions)
%            Number of function symbols  :    6 (   4 constants)
%            Number of variables         :   22 (   0 singletons)
%            Maximal clause size         :    3
%            Maximal term depth          :    4

% Comments : 
% Bugfixes : v0.6.1 - Renamed from LCL137-1.p.
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001-0.ax').
%----Include Wajsberg algebra axioms
include('Axioms/LCL001-0.ax').
%--------------------------------------------------------------------------
input_clause(prove_mv_25,theorem,
    [--equal(implies(implies(x,y),implies(implies(z,x),implies(z,y))),
true)]).
%--------------------------------------------------------------------------
