%--------------------------------------------------------------------------
% File     : LCL144=WjLattEqn3-1 : Released v0.4.0, Updated v0.4.0.
% Domain   : Logic Calculi (Wajsberg Algebra)
% Problem  : A theorem in the lattice structure of Wajsberg algebras
% Version  : 
% English  : 

% Refs     : Font J.M., Rodriguez A.J., Torrens A. (1984), Wajsberg 
%            Algebras, Stochastica 8(1), 5-31.
%          : Bonacina M.P. (1991), Problems in Lukasiewicz Logic, AAR
%            Newsletter 18, 5-12. Lattice structure theorem 3.
% Source   : [Bonacina, 1991]
% Names    : 

% Status   : 
% Syntax   : Number of clauses           :   22 (   1 non-Horn)(   7 units)
%            Number of literals          :   40 (  30 equality)
%            Number of predicate symbols :    2 (   0 propositions)
%            Number of function symbols  :    8 (   4 constants)
%            Number of variables         :   48 (   0 singletons)
%            Maximal clause size         :    3
%            Maximal term depth          :    4

% Comments : 
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001-0.ax').
%----Include Wajsberg algebra axioms
include('Axioms/LCL001-0.ax').
%----Include Wajsberg algebra lattice structure axioms
include('Axioms/LCL001-1.ax').
%--------------------------------------------------------------------------
input_clause(antecedent,theorem,
    [++ordered(x,implies(y,z)),
     ++ordered(y,implies(x,z))]).

input_clause(prove_wajsberg_theorem,theorem,
    [--ordered(x,implies(y,z)),
     --ordered(y,implies(x,z))]).
%--------------------------------------------------------------------------
