%--------------------------------------------------------------------------
% File     : LDA004=LeftSegEqn2-1 : Released v0.6.0, Updated v0.6.0.
% Domain   : LD-Algebras (Left segments)
% Problem  : Show that 3*2(U2) is a left segment of U1(U3)
% Version  : [Jech, 1993] axioms.
% English  : 

% Refs     : Jech T. (1993), LD-algebras, In Wos L. (Ed.), Association for 
%            Automated Reasoning Newsletter 22, Association for Automated 
%            Reasoning, Argonne, IL, 9-12. Problem 4.
% Source   : [Jech, 1993]
% Names    : 

% Status   : 
% Syntax   : Number of clauses           :   19 (   0 non-Horn)(  12 units)
%            Number of literals          :   30 (  21 equality)
%            Number of predicate symbols :    2 (   0 propositions)
%            Number of function symbols  :   10 (   9 constants)
%            Number of variables         :   26 (   1 singletons)
%            Maximal clause size         :    3
%            Maximal term depth          :    3

% Comments : 
%--------------------------------------------------------------------------
%----Include Reflexivity, symmetry and transitivity, of equality
include('Axioms/EQU001-0.ax').
%--------------------------------------------------------------------------
%----A1: x(yz)=xy(xz)
input_clause(a1,axiom,
    [++equal(f(X,f(Y,Z)),f(f(X,Y),f(X,Z)))]).

%----x is a left segment of xy
input_clause(a2,axiom,
    [++left(X,f(X,Y))]).

%----transitive
input_clause(a3,axiom,
    [--left(X,Y),
     --left(Y,Z),
     ++left(X,Z)]).

input_clause(clause_4,axiom,
    [++equal(2,f(1,1))]).

input_clause(clause_5,axiom,
    [++equal(3,f(2,1))]).

input_clause(clause_6,axiom,
    [++equal(u,f(2,2))]).

input_clause(clause_7,axiom,
    [++equal(u1,f(u,1))]).

input_clause(clause_8,axiom,
    [++equal(u2,f(u,2))]).

input_clause(clause_9,axiom,
    [++equal(u3,f(u,3))]).

input_clause(clause_10,axiom,
    [++equal(a,f(f(3,2),u2))]).

input_clause(clause_11,axiom,
    [++equal(b,f(u1,u3))]).

input_clause(f_substitution1,axiom,
    [--equal(A,B),
     ++equal(f(A,C),f(B,C))]).

input_clause(f_substitution2,axiom,
    [--equal(D,E),
     ++equal(f(F,D),f(F,E))]).

input_clause(left_substitution1,axiom,
    [--equal(G,H),
     --left(G,I),
     ++left(H,I)]).

input_clause(left_substitution2,axiom,
    [--equal(J,K),
     --left(L,J),
     ++left(L,K)]).

%----3*2*U2 is a left segment of U1*U3
input_clause(prove_equation,theorem,
    [--left(a,b)]).
%--------------------------------------------------------------------------
