%--------------------------------------------------------------------------
% File     : LDA008=EmbdgAlgEqn4-2 : Released v0.6.0, Updated v0.6.0.
% Domain   : LD-Algebras (Embedding algebras)
% Problem  : Let g = cr(t) = cr(T). If Ta < Tsg, then ta < tsg
% Version  : [Jech, 1993] axioms : 
%            Incomplete > Augmented & Reduced > Incomplete.
% English  : 

% Refs     : Jech T. (1993), LD-algebras, In Wos L. (Ed.), Association for 
%            Automated Reasoning Newsletter 22, Association for Automated 
%            Reasoning, Argonne, IL, 9-12. Problem 9.
% Source   : [Jech, 1993]
% Names    : 

% Status   : 
% Syntax   : Number of clauses           :   27 (   2 non-Horn)(  14 units)
%            Number of literals          :   44 (  28 equality)
%            Number of predicate symbols :    2 (   0 propositions)
%            Number of function symbols  :   13 (  11 constants)
%            Number of variables         :   41 (   1 singletons)
%            Maximal clause size         :    3
%            Maximal term depth          :    3

% Comments : 
%--------------------------------------------------------------------------
%----Include Reflexivity, symmetry and transitivity, of equality
include('Axioms/EQU001-0.ax').
%----Include Embedding algebra axioms
% include('Axioms/LDA001-0.ax').
%--------------------------------------------------------------------------
input_clause(a1,axiom,
    [++equal(f(X,f(Y,Z)),f(f(X,Y),f(X,Z)))]).

input_clause(a2,axiom,
    [++equal(critical_point(f(U,V)),f(U,critical_point(V)))]).

input_clause(b1,axiom,
    [--less(X,X)]).

% input_clause(b2,axiom,
%     [++less(X,Y),
%      ++less(Y,X),
%      ++equal(X,Y)]).

input_clause(b3,axiom,
    [--less(X,Y),
     --less(Y,Z),
     ++less(X,Z)]).

input_clause(b4,axiom,
    [--less(X,Y),
     ++less(f(U,X),f(U,Y))]).

input_clause(c1,axiom,
    [++equal(X,f(U,X)),
     ++less(X,f(U,X))]).

input_clause(c2,axiom,
    [--less(X,critical_point(U)),
     ++equal(f(U,X),X)]).

input_clause(c3,axiom,
    [++less(X,critical_point(U)),
     ++less(X,f(U,X))]).

% input_clause(d1,axiom,
%     [--less(X,Y),
%      ++less(X,f(U,Y))]).

input_clause(d2,axiom,
    [--equal(f(U,X),X),
     ++equal(f(f(V,U),X),X)]).

input_clause(critical_point_substitution1,axiom,
    [--equal(D,E),
     ++equal(critical_point(D),critical_point(E))]).

input_clause(f_substitution1,axiom,
    [--equal(F,G),
     ++equal(f(F,H),f(G,H))]).

input_clause(f_substitution2,axiom,
    [--equal(I,J),
     ++equal(f(K,I),f(K,J))]).

input_clause(less_substitution1,axiom,
    [--equal(L,M),
     --less(L,N),
     ++less(M,N)]).

input_clause(less_substitution2,axiom,
    [--equal(O,P),
     --less(Q,O),
     ++less(Q,P)]).

input_clause(clause_1,axiom,
    [++equal(ts,f(t,s))]).

input_clause(clause_2,axiom,
    [++equal(bts,f(bt,s))]).

input_clause(clause_3,axiom,
    [++equal(ta,f(t,a))]).

input_clause(clause_4,axiom,
    [++equal(bta,f(bt,a))]).

input_clause(clause_5,axiom,
    [++equal(k,critical_point(t))]).

input_clause(clause_6,axiom,
    [++equal(critical_point(bt),k)]).

input_clause(clause_7,axiom,
    [++equal(tsk,f(ts,k))]).

input_clause(clause_8,axiom,
    [++equal(btsk,f(bts,k))]).

input_clause(clause_9,axiom,
    [++less(bta,btsk)]).

%----ta<tsk,  assuming Ta<Tsk and k=crit(t)=crit(T)
input_clause(prove_equation,theorem,
    [--less(ta,tsk)]).
%--------------------------------------------------------------------------
