%--------------------------------------------------------------------------
% File     : LDA013=EmbdgAlgEqn9Base-1 : Released v0.8.0, Updated v0.8.0.
% Domain   : LD-Algebras (Embedding algebras)
% Problem  : Let g = cr(t). Show that aag <= ag, t=a
% Version  : [Jech, 1993] axioms : Incomplete.
% English  : This is the base step of an induction proof.

% Refs     : Jech T. (1993), LD-algebras, In Wos L. (Ed.), Association for 
%            Automated Reasoning Newsletter 22, Association for Automated 
%            Reasoning, Argonne, IL, 9-12. Conjecture 1.
% Source   : [Jech, 1993]
% Names    : 

% Status   : open
% Syntax   : Number of clauses           :   21 (   2 non-Horn)(   9 units)
%            Number of literals          :   38 (  22 equality)
%            Number of predicate symbols :    2 (   0 propositions)
%            Number of function symbols  :    7 (   5 constants)
%            Number of variables         :   38 (   0 singletons)
%            Maximal clause size         :    3
%            Maximal term depth          :    3

% Comments : 
%--------------------------------------------------------------------------
%----Include Reflexivity, symmetry and transitivity, of equality
include('Axioms/EQU001-0.ax').
%----Include Embedding algebra axioms
include('Axioms/LDA001-0.ax').
%--------------------------------------------------------------------------
input_clause(clause_1,axiom,
    [++equal(k,critical_point(a))]).

input_clause(clause_2,axiom,
    [++equal(aa,f(a,a))]).

input_clause(clause_3,axiom,
    [++equal(aak,f(aa,k))]).

input_clause(clause_4,axiom,
    [++equal(ak,f(a,k))]).

%----aak <= ak
input_clause(prove_equation,theorem,
    [++less(ak,aak)]).
%--------------------------------------------------------------------------
