%--------------------------------------------------------------------------
% File     : NUM011=Peano4-1 : Released v0.0.0, Updated v0.5.1.
% Domain   : Number Theory
% Problem  : Peano axiom 3
% Version  : [Boyer, et al., 1986] axioms.
% English  :

% Refs     : Boyer R., Lusk E., McCune W., Overbeek R., Stickel M. and
%            Wos L. (1986), Set Theory in First-Order Logic: Clauses 
%            for Godel's Axioms,  Journal of Automated Reasoning 2(3), 
%            287-327. Problem 236-237.
% Source   : [Boyer, et al., 1986]
% Names    : 

% Status   : 
% Syntax   : Number of clauses           :  407 (  59 non-Horn)(  14 units)
%            Number of literals          : 1048 ( 410 equality)
%            Number of predicate symbols :   20 (   0 propositions)
%            Number of function symbols  :   93 (  13 constants)
%            Number of variables         : 1092 (  32 singletons)
%            Maximal clause size         :    8
%            Maximal term depth          :    5

% Comments : 
% Bugfix   : v0.5.1 - Includes SET008.ax rather than SET006.ax.
%--------------------------------------------------------------------------
%----Include the axioms of equality
include('Axioms/EQU001-0.ax').
%----Include Godel's set axioms
include('Axioms/SET003-0.ax').
%----Include the equality axioms for Godel's set axioms 
include('Axioms/SET003-0.eq').
%----Include the axioms for algebra from Godel's set axioms
include('Axioms/ALG001-0.ax').
%----Include the equality axioms for algebra from Godel's set axioms
include('Axioms/ALG001-0.eq').
%----Include the axioms for number theory from Godel's set axioms
include('Axioms/NUM003-0.ax').
%----Include the equality axioms for number theory from Godel's set 
%----axioms
include('Axioms/NUM003-0.eq').
%--------------------------------------------------------------------------
input_clause(a_natural_number,hypothesis,
    [++member(f75,natural_numbers)]).

input_clause(prove_zero_is_first,theorem,
    [++equal(empty_set,successor(f75))]).
%--------------------------------------------------------------------------
