%--------------------------------------------------------------------------
% File     : NUM012=Peano5-1 : Released v0.0.0, Updated v0.5.1.
% Domain   : Number Theory
% Problem  : Peano axiom 4
% Version  : [Boyer, et al., 1986] axioms.
% English  :

% Refs     : Boyer R., Lusk E., McCune W., Overbeek R., Stickel M. and
%            Wos L. (1986), Set Theory in First-Order Logic: Clauses 
%            for Godel's Axioms,  Journal of Automated Reasoning 2(3), 
%            287-327. Problem 238-241.
% Source   : [Boyer, et al., 1986]
% Names    : 

% Status   : 
% Syntax   : Number of clauses           :  409 (  59 non-Horn)(  16 units)
%            Number of literals          : 1050 ( 411 equality)
%            Number of predicate symbols :   20 (   0 propositions)
%            Number of function symbols  :   94 (  14 constants)
%            Number of variables         : 1092 (  32 singletons)
%            Maximal clause size         :    8
%            Maximal term depth          :    5

% Comments : 
% Bugfix   : v0.5.1 - Includes SET008.ax rather than SET006.ax.
%--------------------------------------------------------------------------
%----Include the axioms of equality
include('Axioms/EQU001-0.ax').
%----Include Godel's set axioms
include('Axioms/SET003-0.ax').
%----Include the equality axioms for Godel's set axioms 
include('Axioms/SET003-0.eq').
%----Include the axioms for algebra from Godel's set axioms
include('Axioms/ALG001-0.ax').
%----Include the equality axioms for algebra from Godel's set axioms
include('Axioms/ALG001-0.eq').
%----Include the axioms for number theory from Godel's set axioms
include('Axioms/NUM003-0.ax').
%----Include the equality axioms for number theory from Godel's set 
%----axioms
include('Axioms/NUM003-0.eq').
%--------------------------------------------------------------------------
input_clause(a_natural_number,hypothesis,
    [++member(f76,natural_numbers)]).

input_clause(another_natural_number,hypothesis,
    [++member(f77,natural_numbers)]).

input_clause(successors_are_equal,hypothesis,
    [++equal(successor(f76),successor(f77))]).

input_clause(prove_well_definedness_of_successor,theorem,
    [--equal(f76,f77)]).
%--------------------------------------------------------------------------
