%--------------------------------------------------------------------------
% File     : NUM014=ValIsPrm-1 : Released v0.0.0, Updated v0.9.1.
% Domain   : Number Theory
% Problem  : If a is a prime and a = b^2/c^2 then a divides b
% Version  : [Chang, 1970] axioms : Incomplete.
% English  :

% Refs     : Chang C.L. (1970), The Unit Proof and the Input Proof in
%            Theorm Proving, Communications of the ACM 17(4), 698-707.
%          : Lawrence J.D., Starkey J.D. (1974) Experimental tests
%            of resolution based theorem-proving strategies, Technical
%            Report, Computer Science Department, Washington State
%            University, Pullman, Washington.
% Source   : [Chang, 1970]
% Names    : Chang-Lee-7 [Chang, 1970]

% Status   : 
% Syntax   : Number of clauses           :    7 (   1 non-Horn)(   4 units)
%            Number of literals          :   13 (   0 equality)
%            Number of predicate symbols :    3 (   0 propositions)
%            Number of function symbols  :    4 (   3 constants)
%            Number of variables         :   11 (   1 singletons)
%            Maximal clause size         :    5
%            Maximal term depth          :    2

% Comments : 
%--------------------------------------------------------------------------
input_clause(square,axiom,
    [++product(X,X,square(X))]).

input_clause(commutativity,axiom,
    [--product(X,Y,Z),
     ++product(Y,X,Z)]).

input_clause(divides,axiom,
    [--product(X,Y,Z),
     ++divides(X,Z)]).

input_clause(remainder,axiom,
    [--prime(X),
     --product(Y,Z,U),
     --divides(X,U),
     ++divides(X,Y),
     ++divides(X,Z)]).

input_clause(a_is_prime,hypothesis,
    [++prime(a)]).

input_clause(a_equals_b_squared_by_c_squared,hypothesis,
    [++product(a,square(c),square(b))]).

input_clause(prove_a_divides_b,theorem,
    [--divides(a,b)]).
%--------------------------------------------------------------------------

