%--------------------------------------------------------------------------
% File     : NUM015=PrmDivEx-1 : Released v0.0.0, Updated v0.9.1.
% Domain   : Number Theory
% Problem  : Any number greater than 1 has a prime divisor
% Version  : [Chang, 1970] axioms : Incomplete.
% English  :

% Refs     : Chang C.L. (1970), The Unit Proof and the Input Proof in
%            Theorem Proving, Communications of the ACM 17(4), 698-707.
%          : Chang C.L., Lee R.C.T. (1973), Symbolic Logic and
%            Mechanical Theorem Proving, Academic Press, New York.
% Source   : [Chang, 1970]
% Names    : Chang-Lee-8 [Chang, 1970]

% Status   : 
% Syntax   : Number of clauses           :    9 (   3 non-Horn)(   2 units)
%            Number of literals          :   19 (   0 equality)
%            Number of predicate symbols :    3 (   0 propositions)
%            Number of function symbols  :    4 (   2 constants)
%            Number of variables         :   10 (   0 singletons)
%            Maximal clause size         :    3
%            Maximal term depth          :    2

% Comments : 
%--------------------------------------------------------------------------
input_clause(divide_self,axiom,
    [++divides(X,X)]).

input_clause(transitive_divide,axiom,
    [--divides(X,Y),
     --divides(Y,Z),
     ++divides(X,Z)]).

input_clause(prime,axiom,
    [++prime(X),
     ++divides(divisor(X),X)]).

input_clause(divisor1,axiom,
    [++prime(X),
     ++less(1,divisor(X))]).

input_clause(divisor2,axiom,
    [++prime(X),
     ++less(divisor(X),X)]).

input_clause(factor1,axiom,
    [--less(1,X),
     --less(X,a),
     ++prime(factor_of(X))]).

input_clause(factor2,axiom,
    [--less(1,X),
     --less(X,a),
     ++divides(factor_of(X),X)]).

input_clause(a_is_greater_than_1,hypothesis,
    [++less(1,a)]).

input_clause(prove_a_has_prime_divisor,theorem,
    [--prime(X),
     --divides(X,a)]).
%--------------------------------------------------------------------------
