%--------------------------------------------------------------------------
% File     : NUM016=InfPrmEx-1 : Released v0.0.0, Updated v0.8.1.
% Domain   : Number Theory
% Problem  : There exist infinitely many primes
% Version  : [Lawrence & Starkey, 1974] axioms.
% English  :

% Refs     : Lawrence J.D., Starkey J.D. (1974) Experimental tests
%            of resolution based theorem-proving strategies, Technical
%            Report, Computer Science Department, Washington State
%            University, Pullman, Washington. Problem 17.
%          : Wilson G.A. and Minker J. (1976), Resolution, Refinements, and
%            Search Strategies: A Comparative Study, IEEE Transactions on
%            Computers C-25(8), 782-801.
% Source   : [SPRFN]
% Names    : ls17 [Lawrence & Starkey, 1974]

% Status   : 
% Syntax   : Number of clauses           :   12 (   3 non-Horn)(   4 units)
%            Number of literals          :   22 (   0 equality)
%            Number of predicate symbols :    3 (   0 propositions)
%            Number of function symbols  :    3 (   1 constants)
%            Number of variables         :   16 (   0 singletons)
%            Maximal clause size         :    3
%            Maximal term depth          :    2

% Comments : 
%--------------------------------------------------------------------------
input_clause(nothing_is_less_than_itself,axiom,
    [--less(X,X)]).

input_clause(numbers_are_different,axiom,
    [--less(X,Y),
     --less(Y,X)]).

input_clause(everything_divides_itself,axiom,
    [++divides(X,X)]).

input_clause(transitivity_of_divides,axiom,
    [--divides(X,Y),
     --divides(Y,Z),
     ++divides(X,Z)]).

input_clause(small_divides_large,axiom,
    [--divides(X,Y),
     --less(Y,X)]).

input_clause(a_prime_is_less_than_the_next_one,axiom,
    [++less(X,factorial_plus_one(X))]).

input_clause(divisor_is_smaller,axiom,
    [--divides(X,factorial_plus_one(Y)),
     ++less(Y,X)]).

input_clause(division_by_prime_divisor,axiom,
    [++prime(X),
     ++divides(prime_divisor(X),X)]).

input_clause(prime_divsiors,axiom,
    [++prime(X),
     ++prime(prime_divisor(X))]).

input_clause(smaller_prime_divisors,axiom,
    [++prime(X),
     ++less(prime_divisor(X),X)]).

input_clause(a_is_prime,hypothesis,
    [++prime(a)]).

input_clause(prove_there_is_another_prime,theorem,
    [--prime(X),
     --less(a,X),
     ++less(factorial_plus_one(a),X)]).
%--------------------------------------------------------------------------
