%--------------------------------------------------------------------------
% File     : NUM018=Inf2PrmEx-1 : Released v0.0.0, Updated v0.5.1.
% Domain   : Number Theory
% Problem  : There is an infinite number of twin prime numbers
% Version  : [Boyer, et al., 1986] axioms.
% English  :

% Refs     : Boyer R., Lusk E., McCune W., Overbeek R., Stickel M. and
%            Wos L. (1986), Set Theory in First-Order Logic: Clauses 
%            for Godel's Axioms,  Journal of Automated Reasoning 2(3), 
%            287-327. Problem 245.
% Source   : [Boyer, et al., 1986]
% Names    : 

% Status   : 
% Syntax   : Number of clauses           :  406 (  59 non-Horn)(  13 units)
%            Number of literals          : 1047 ( 409 equality)
%            Number of predicate symbols :   20 (   0 propositions)
%            Number of function symbols  :   92 (  12 constants)
%            Number of variables         : 1092 (  32 singletons)
%            Maximal clause size         :    8
%            Maximal term depth          :    5

% Comments : 
% Bugfix   : v0.5.1 - Includes SET008.ax rather than SET006.ax.
%--------------------------------------------------------------------------
%----Include the axioms of equality
include('Axioms/EQU001-0.ax').
%----Include Godel's set axioms
include('Axioms/SET003-0.ax').
%----Include the equality axioms for Godel's set axioms 
include('Axioms/SET003-0.eq').
%----Include the axioms for algebra from Godel's set axioms
include('Axioms/ALG001-0.ax').
%----Include the equality axioms for algebra from Godel's set axioms
include('Axioms/ALG001-0.eq').
%----Include the axioms for number theory from Godel's set axioms
include('Axioms/NUM003-0.ax').
%----Include the equality axioms for number theory from Godel's set 
%----axioms
include('Axioms/NUM003-0.eq').
%--------------------------------------------------------------------------
input_clause(prove_infinite_number_of_twin_primes,theorem,
    [++finite(twin_prime_numbers)]).
%--------------------------------------------------------------------------
