%--------------------------------------------------------------------------
% File     : NUM019=EqSymm-1 : Released v0.0.0, Updated v0.8.1.
% Domain   : Number Theory
% Problem  : Symmetry of equality can be derived
% Version  : [Lawrence & Starkey, 1974] axioms : Incomplete.
% English  :

% Refs     : Lawrence J.D., Starkey J.D. (1974) Experimental tests
%            of resolution based theorem-proving strategies, Technical
%            Report, Computer Science Department, Washington State
%            University, Pullman, Washington. Problem 41.
%          : Wilson G.A. and Minker J. (1976), Resolution, Refinements, and
%            Search Strategies: A Comparative Study, IEEE Transactions on
%            Computers C-25(8), 782-801.
% Source   : [SPRFN]
% Names    : ls41 [Lawrence & Starkey, 1974]

% Status   : 
% Syntax   : Number of clauses           :   11 (   0 non-Horn)(   8 units)
%            Number of literals          :   15 (  15 equality)
%            Number of predicate symbols :    1 (   0 propositions)
%            Number of function symbols  :    6 (   3 constants)
%            Number of variables         :   15 (   2 singletons)
%            Maximal clause size         :    3
%            Maximal term depth          :    3

% Comments : 
%--------------------------------------------------------------------------
%----Include recursive function + and * axioms
include('Axioms/NUM001-0.ax').
%--------------------------------------------------------------------------
input_clause(reflexivity,hypothesis,
    [++equal(X,X)]).

input_clause(transitivity,hypothesis,
    [--equal(X,Y),
     --equal(X,Z),
     ++equal(Y,Z)]).

input_clause(zero_is_the_first_number,hypothesis,
    [--equal(successor(A),0)]).

input_clause(a_equals_aa,hypothesis,
    [++equal(a,aa)]).

input_clause(prove_b_equals_a,theorem,
    [--equal(aa,a)]).
%--------------------------------------------------------------------------
