%--------------------------------------------------------------------------
% File     : NUM020=SuccX-1 : Released v0.0.0, Updated v0.8.1.
% Domain   : Number Theory
% Problem  : a + 1 = successor(a)
% Version  : [Lawrence & Starkey, 1974] axioms : Incomplete.
% English  :

% Refs     : Lawrence J.D., Starkey J.D. (1974) Experimental tests
%            of resolution based theorem-proving strategies, Technical
%            Report, Computer Science Department, Washington State
%            University, Pullman, Washington. Problem 55, with the
%            surplus transitivity axiom removed.
%          : Wilson G.A. and Minker J. (1976), Resolution, Refinements, and
%            Search Strategies: A Comparative Study, IEEE Transactions on
%            Computers C-25(8), 782-801.
% Source   : [SPRFN]
% Names    : ls55 [Lawrence & Starkey, 1974]

% Status   : 
% Syntax   : Number of clauses           :   12 (   0 non-Horn)(   8 units)
%            Number of literals          :   17 (  17 equality)
%            Number of predicate symbols :    1 (   0 propositions)
%            Number of function symbols  :    6 (   3 constants)
%            Number of variables         :   17 (   2 singletons)
%            Maximal clause size         :    3
%            Maximal term depth          :    3

% Comments : 
%--------------------------------------------------------------------------
%----Include Reflexivity, symmetry and transitivity, of equality
include('Axioms/EQU001-0.ax').
%----Include recursive function + and * axioms
include('Axioms/NUM001-0.ax').
%--------------------------------------------------------------------------
input_clause(one_succeeds_zero,hypothesis,
    [++equal(1,successor(0))]).

input_clause(deny_addition_lemma,hypothesis,
    [--equal(add(a,successor(0)),successor(a))]).

input_clause(prove_a_contradiction,theorem,
    [--equal(successor(A),0)]).
%--------------------------------------------------------------------------
