%--------------------------------------------------------------------------
% File     : NUM065=WellOrdEqn1-1 : Released v0.6.0, Updated v0.8.1.
% Domain   : Number Theory (Ordinals)
% Problem  : Well ordering property 1
% Version  : [Quaife, 1992] axioms.
% English  : 

% Refs     : Quaife A. (1992), Automated Deduction in von Neumann-Bernays
%            -Godel Set Theory, In Journal of Automated Reasoning 8(1), 
%            91-147.
% Source   : [Quaife]
% Names    : WE2.1 [Quaife]

% Status   : 
% Syntax   : Number of clauses           :  272 (  12 non-Horn)(  55 units)
%            Number of literals          :  573 ( 256 equality)
%            Number of predicate symbols :   17 (   0 propositions)
%            Number of function symbols  :   66 (  22 constants)
%            Number of variables         :  627 (  41 singletons)
%            Maximal clause size         :    5
%            Maximal term depth          :    6

% Comments : Not in [Quaife, 1992]. Theorem WE2.1 in Quaife's collection.
%          : Quaife proves all these problems by augmenting the axioms
%            with all previously proved theorems. The user may create an 
%            augmented version of this problem by adding all previously 
%            proved theorems. These include all of Quaife's [1992] set
%            theory and Boolean algebra theorems, available from the set 
%            theory domain of the TPTP library.
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001-0.ax').
%----Include von Neuman-Bernays-Godel set theory axioms
include('Axioms/SET004-0.ax').
include('Axioms/SET004-0.eq').
%---Include Set theory (Boolean algebra) axioms based on NBG set theory
include('Axioms/SET004-1.ax').
include('Axioms/SET004-1.eq').
%----Include ordinal number theory axioms.
include('Axioms/NUM004-0.ax').
include('Axioms/NUM004-0.eq').
%--------------------------------------------------------------------------
input_clause(prove_well_ordering_property1_1,theorem,
    [++well_ordering(xr,y)]).

input_clause(prove_well_ordering_property1_2,theorem,
    [++subclass(u,y)]).

input_clause(prove_well_ordering_property1_3,theorem,
    [++member(v,u)]).

input_clause(prove_well_ordering_property1_4,theorem,
    [--member(ordered_pair(least(xr,u),v),xr)]).

input_clause(prove_well_ordering_property1_5,theorem,
    [--equal(least(xr,u),v)]).
%--------------------------------------------------------------------------
