%--------------------------------------------------------------------------
% File     : NUM130=Alt2TrnsfInd2-1 : Released v0.6.0, Updated v0.8.1.
% Domain   : Number Theory (Ordinals)
% Problem  : Alternate 2 for transfinite induction, part 2
% Version  : [Quaife, 1992] axioms.
% English  : 

% Refs     : Quaife A. (1992), Automated Deduction in von Neumann-Bernays
%            -Godel Set Theory, In Journal of Automated Reasoning 8(1), 
%            91-147.
% Source   : [Quaife]
% Names    : ORD18-6.2 [Quaife]

% Status   : 
% Syntax   : Number of clauses           :  270 (  12 non-Horn)(  53 units)
%            Number of literals          :  571 ( 256 equality)
%            Number of predicate symbols :   17 (   0 propositions)
%            Number of function symbols  :   63 (  19 constants)
%            Number of variables         :  627 (  41 singletons)
%            Maximal clause size         :    5
%            Maximal term depth          :    6

% Comments : Not in [Quaife, 1992]. Theorem ORD18-6.2 in Quaife's collection.
%          : Quaife proves all these problems by augmenting the axioms
%            with all previously proved theorems. The user may create an 
%            augmented version of this problem by adding all previously 
%            proved theorems. These include all of Quaife's [1992] set
%            theory and Boolean algebra theorems, available from the set 
%            theory domain of the TPTP library.
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001-0.ax').
%----Include von Neuman-Bernays-Godel set theory axioms
include('Axioms/SET004-0.ax').
include('Axioms/SET004-0.eq').
%---Include Set theory (Boolean algebra) axioms based on NBG set theory
include('Axioms/SET004-1.ax').
include('Axioms/SET004-1.eq').
%----Include ordinal number theory axioms.
include('Axioms/NUM004-0.ax').
include('Axioms/NUM004-0.eq').
%--------------------------------------------------------------------------
input_clause(prove_alternate_2_transfinite_induction2_1,theorem,
    [++subclass(y,ordinal_numbers)]).

input_clause(prove_alternate_2_transfinite_induction2_2,theorem,
    [--subclass(least(element_relation,y),complement(y))]).

input_clause(prove_alternate_2_transfinite_induction2_3,theorem,
    [--equal(y,null_class)]).
%--------------------------------------------------------------------------
