%--------------------------------------------------------------------------
% File     : NUM198=UnionSetOrdlsGt-1 : Released v0.6.0, Updated v0.11.5.
% Domain   : Number Theory (Ordinals)
% Problem  : The union of a set of ordinals is >= each ordinal in the set
% Version  : [Quaife, 1992] axioms.
% English  : 

% Refs     : Quaife A. (1992), Automated Deduction in von Neumann-Bernays
%            -Godel Set Theory, In Journal of Automated Reasoning 8(1), 
%            91-147.
% Source   : [Quaife]
% Names    : LUB5.1 [Quaife]

% Status   : 
% Syntax   : Number of clauses           :  272 (  12 non-Horn)(  55 units)
%            Number of literals          :  573 ( 256 equality)
%            Number of predicate symbols :   17 (   0 propositions)
%            Number of function symbols  :   64 (  20 constants)
%            Number of variables         :  627 (  41 singletons)
%            Maximal clause size         :    5
%            Maximal term depth          :    6

% Comments : Not in [Quaife, 1992]. Theorem LUB5 in Quaife's collection.
%          : Quaife proves all these problems by augmenting the axioms
%            with all previously proved theorems. The user may create an 
%            augmented version of this problem by adding all previously 
%            proved theorems. These include all of Quaife's [1992] set
%            theory and Boolean algebra theorems, available from the set 
%            theory domain of the TPTP library.
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001-0.ax').
%----Include von Neuman-Bernays-Godel set theory axioms
include('Axioms/SET004-0.ax').
include('Axioms/SET004-0.eq').
%---Include Set theory (Boolean algebra) axioms based on NBG set theory
include('Axioms/SET004-1.ax').
include('Axioms/SET004-1.eq').
%----Include ordinal number theory axioms.
include('Axioms/NUM004-0.ax').
include('Axioms/NUM004-0.eq').
%--------------------------------------------------------------------------
input_clause(prove_union_of_ordinal_set_exceeds_members_1,theorem,
    [++subclass(x,ordinal_numbers)]).

input_clause(prove_union_of_ordinal_set_exceeds_members_2,theorem,
    [++member(x,universal_class)]).

input_clause(prove_union_of_ordinal_set_exceeds_members_3,theorem,
    [++member(y,x)]).

input_clause(prove_union_of_ordinal_set_exceeds_members_4,theorem,
    [--member(y,sum_class(x))]).

input_clause(prove_union_of_ordinal_set_exceeds_members_5,theorem,
    [--equal(sum_class(x),y)]).
%--------------------------------------------------------------------------
