%--------------------------------------------------------------------------
% File     : NUM214=IndnY-1 : Released v0.6.0, Updated v0.8.1.
% Domain   : Number Theory (Ordinals)
% Problem  : Induction up to y
% Version  : [Quaife, 1992] axioms.
% English  : 

% Refs     : Quaife A. (1992), Automated Deduction in von Neumann-Bernays
%            -Godel Set Theory, In Journal of Automated Reasoning 8(1), 
%            91-147.
% Source   : [Quaife]
% Names    : LUB14 [Quaife]

% Status   : 
% Syntax   : Number of clauses           :  272 (  12 non-Horn)(  55 units)
%            Number of literals          :  573 ( 255 equality)
%            Number of predicate symbols :   17 (   0 propositions)
%            Number of function symbols  :   64 (  20 constants)
%            Number of variables         :  627 (  41 singletons)
%            Maximal clause size         :    5
%            Maximal term depth          :    6

% Comments : Not in [Quaife, 1992]. Theorem LUB14 in Quaife's collection.
%          : Quaife proves all these problems by augmenting the axioms
%            with all previously proved theorems. The user may create an 
%            augmented version of this problem by adding all previously 
%            proved theorems. These include all of Quaife's [1992] set
%            theory and Boolean algebra theorems, available from the set 
%            theory domain of the TPTP library.
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001-0.ax').
%----Include von Neuman-Bernays-Godel set theory axioms
include('Axioms/SET004-0.ax').
include('Axioms/SET004-0.eq').
%---Include Set theory (Boolean algebra) axioms based on NBG set theory
include('Axioms/SET004-1.ax').
include('Axioms/SET004-1.eq').
%----Include ordinal number theory axioms.
include('Axioms/NUM004-0.ax').
include('Axioms/NUM004-0.eq').
%--------------------------------------------------------------------------
input_clause(prove_induction_upto_y_1,theorem,
    [++member(y,ordinal_numbers)]).

input_clause(prove_induction_upto_y_2,theorem,
    [++member(null_class,x)]).

input_clause(prove_induction_upto_y_3,theorem,
    [++subclass(image(successor_relation,intersection(x,y)),x)]).

input_clause(prove_induction_upto_y_4,theorem,
    [++subclass(intersection(power_class(x),intersection(limit_ordinals,
y)),x)]).

input_clause(prove_induction_upto_y_5,theorem,
    [--subclass(y,x)]).
%--------------------------------------------------------------------------
