%--------------------------------------------------------------------------
% File     : NUM244=TrnsfRecrLem11-1 : Released v0.6.0, Updated v0.8.1.
% Domain   : Number Theory (Ordinals)
% Problem  : Transfinite recursion lemma 11
% Version  : [Quaife, 1992] axioms.
% English  : 

% Refs     : Quaife A. (1992), Automated Deduction in von Neumann-Bernays
%            -Godel Set Theory, In Journal of Automated Reasoning 8(1), 
%            91-147.
% Source   : [Quaife]
% Names    : TREC.LEMMA11 [Quaife]

% Status   : 
% Syntax   : Number of clauses           :  272 (  12 non-Horn)(  55 units)
%            Number of literals          :  573 ( 257 equality)
%            Number of predicate symbols :   17 (   0 propositions)
%            Number of function symbols  :   65 (  20 constants)
%            Number of variables         :  627 (  41 singletons)
%            Maximal clause size         :    5
%            Maximal term depth          :    8

% Comments : Not in [Quaife, 1992]. Theorem TREC.LEMMA11 in Quaife's 
%            collection.
%          : Quaife proves all these problems by augmenting the axioms
%            with all previously proved theorems. The user may create an 
%            augmented version of this problem by adding all previously 
%            proved theorems. These include all of Quaife's [1992] set
%            theory and Boolean algebra theorems, available from the set 
%            theory domain of the TPTP library.
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001-0.ax').
%----Include von Neuman-Bernays-Godel set theory axioms
include('Axioms/SET004-0.ax').
include('Axioms/SET004-0.eq').
%---Include Set theory (Boolean algebra) axioms based on NBG set theory
include('Axioms/SET004-1.ax').
include('Axioms/SET004-1.eq').
%----Include ordinal number theory axioms.
include('Axioms/NUM004-0.ax').
include('Axioms/NUM004-0.eq').
%--------------------------------------------------------------------------
input_clause(prove_transfinite_recursion_lemma11_1,theorem,
    [++function(x)]).

input_clause(prove_transfinite_recursion_lemma11_2,theorem,
    [++equal(compose(z,rest(x)),x)]).

input_clause(prove_transfinite_recursion_lemma11_3,theorem,
    [++equal(domain_of(x),ordinal_numbers)]).

input_clause(prove_transfinite_recursion_lemma11_4,theorem,
    [++member(ordered_pair(least(element_relation,domain_of(intersection(
complement(x),sum_class(recursion_equation_functions(z))))),apply(
sum_class(recursion_equation_functions(z)),least(element_relation,
domain_of(intersection(complement(x),sum_class(
recursion_equation_functions(z))))))),intersection(complement(x),
sum_class(recursion_equation_functions(z))))]).

input_clause(prove_transfinite_recursion_lemma11_5,theorem,
    [--subclass(sum_class(recursion_equation_functions(z)),x)]).
%--------------------------------------------------------------------------
