%--------------------------------------------------------------------------
% File     : NUM246=TrnsfRecrEqn2-1 : Released v0.6.0, Updated v0.11.5.
% Domain   : Number Theory (Ordinals)
% Problem  : Transfinite recursion property 2
% Version  : [Quaife, 1992] axioms.
% English  : 

% Refs     : Quaife A. (1992), Automated Deduction in von Neumann-Bernays
%            -Godel Set Theory, In Journal of Automated Reasoning 8(1), 
%            91-147.
% Source   : [Quaife]
% Names    : 

% Status   : 
% Syntax   : Number of clauses           :  273 (  12 non-Horn)(  56 units)
%            Number of literals          :  574 ( 258 equality)
%            Number of predicate symbols :   17 (   0 propositions)
%            Number of function symbols  :   65 (  21 constants)
%            Number of variables         :  627 (  41 singletons)
%            Maximal clause size         :    5
%            Maximal term depth          :    6

% Comments : Not in [Quaife, 1992]. Theorem TREC5.2 in Quaife's collection.
%          : Quaife proves all these problems by augmenting the axioms
%            with all previously proved theorems. The user may create an 
%            augmented version of this problem by adding all previously 
%            proved theorems. These include all of Quaife's [1992] set
%            theory and Boolean algebra theorems, available from the set 
%            theory domain of the TPTP library.
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001-0.ax').
%----Include von Neuman-Bernays-Godel set theory axioms
include('Axioms/SET004-0.ax').
include('Axioms/SET004-0.eq').
%---Include Set theory (Boolean algebra) axioms based on NBG set theory
include('Axioms/SET004-1.ax').
include('Axioms/SET004-1.eq').
%----Include ordinal number theory axioms.
include('Axioms/NUM004-0.ax').
include('Axioms/NUM004-0.eq').
%--------------------------------------------------------------------------
input_clause(prove_transfinite_recursion_property2_1,theorem,
    [++function(x)]).

input_clause(prove_transfinite_recursion_property2_2,theorem,
    [++function(z)]).

input_clause(prove_transfinite_recursion_property2_3,theorem,
    [++equal(domain_of(x),ordinal_numbers)]).

input_clause(prove_transfinite_recursion_property2_4,theorem,
    [++equal(compose(z,rest_of(x)),x)]).

input_clause(prove_transfinite_recursion_property2_5,theorem,
    [++member(u,ordinal_numbers)]).

input_clause(prove_transfinite_recursion_property2_6,theorem,
    [--equal(apply(z,restrict(x,u,universal_class)),apply(x,u))]).
%--------------------------------------------------------------------------
