%--------------------------------------------------------------------------
% File     : PRV002=Unknown-1 : Released v0.0.0, Updated v0.2.2.
% Domain   : Program Verification
% Problem  : E1
% Version  : G. Ernst's axioms.
% English  : These problems were donated to McCharen, et al., in
%            private correspondence from G. Ernst.

% Refs     : McCharen J.D., Overbeek R.A., Wos L.A. (1976), Problems
%            and Experiments for and with Automated Theorem Proving
%            Programs, IEEE Transactions on Computers C-25(8), 773-
%            782. Problem E1.
% Source   : [SETHEO]
% Names    : v1.lop [SETHEO]
%          : E1 [McCharen, et al., 1976]

% Status   : 
% Syntax   : Number of clauses           :   29 (   2 non-Horn)(  14 units)
%            Number of literals          :   53 (  21 equality)
%            Number of predicate symbols :    2 (   0 propositions)
%            Number of function symbols  :    9 (   6 constants)
%            Number of variables         :   37 (   0 singletons)
%            Maximal clause size         :    4
%            Maximal term depth          :    3

% Comments : 
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001-0.ax').
%----Include axioms for this program verification
include('Axioms/PRV001-0.ax').
include('Axioms/PRV001-0.eq').
%--------------------------------------------------------------------------
input_clause(clause_1,theorem,
    [--less_than(n,j)]).

input_clause(clause_2,theorem,
    [++less_than(k,j)]).

input_clause(clause_3,theorem,
    [--less_than(k,i)]).

input_clause(clause_4,theorem,
    [++less_than(i,n)]).

input_clause(clause_5,theorem,
    [++less_than(a(j),a(k))]).

input_clause(clause_6,theorem,
    [++less_than(X,i),
     --less_than(X,j),
     --less_than(a(X),a(k))]).

input_clause(clause_7,theorem,
    [++less_than(X,i),
     ++less_than(n,X),
     --less_than(one,i),
     --less_than(a(X),a(predecessor(i)))]).

input_clause(clause_8,theorem,
    [--less_than(one,X),
     --less_than(X,i),
     --less_than(a(X),a(predecessor(X)))]).

input_clause(clause_9,theorem,
    [--less_than(q,i)]).

input_clause(clause_10,theorem,
    [--less_than(j,q)]).

input_clause(clause_11,theorem,
    [++less_than(a(q),a(j))]).
%--------------------------------------------------------------------------
