%--------------------------------------------------------------------------
% File     : PRV005=Unknown-1 : Released v0.0.0, Updated v0.2.2.
% Domain   : Program Verification
% Problem  : E4
% Version  : G. Ernst's axioms.
% English  : These problems were donated to McCharen, et al., in
%            private correspondence from G. Ernst.

% Refs     : McCharen J.D., Overbeek R.A., Wos L.A. (1976), Problems
%            and Experiments for and with Automated Theorem Proving
%            Programs, IEEE Transactions on Computers C-25(8), 773-
%            782. Problem E4.
% Source   : [SETHEO]
% Names    : v4.lop [SETHEO]
%          : E4 [McCharen, et al., 1976]

% Status   : 
% Syntax   : Number of clauses           :   27 (   2 non-Horn)(  12 units)
%            Number of literals          :   51 (  21 equality)
%            Number of predicate symbols :    2 (   0 propositions)
%            Number of function symbols  :    8 (   5 constants)
%            Number of variables         :   37 (   0 singletons)
%            Maximal clause size         :    4
%            Maximal term depth          :    3

% Comments : 
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001-0.ax').
%----Include axioms for this program verification
include('Axioms/PRV001-0.ax').
include('Axioms/PRV001-0.eq').
%--------------------------------------------------------------------------
input_clause(clause_1,theorem,
    [--less_than(n,k)]).

input_clause(clause_2,theorem,
    [--less_than(k,l)]).

input_clause(clause_3,theorem,
    [--less_than(k,i)]).

input_clause(clause_4,theorem,
    [++less_than(l,n)]).

input_clause(clause_5,theorem,
    [++less_than(one,l)]).

input_clause(clause_6,theorem,
    [++less_than(a(k),a(predecessor(l)))]).

input_clause(clause_7,theorem,
    [++less_than(X,l),
     --less_than(X,successor(n)),
     --less_than(a(X),a(k))]).

input_clause(clause_8,theorem,
    [++less_than(X,l),
     ++less_than(n,X),
     --less_than(one,l),
     --less_than(a(X),a(predecessor(l)))]).

input_clause(clause_9,theorem,
    [--less_than(one,X),
     --less_than(X,l),
     --less_than(a(X),a(predecessor(X)))]).
%--------------------------------------------------------------------------
