%--------------------------------------------------------------------------
% File     : PRV008=Unknown-1 : Released v0.0.0, Updated v0.2.2.
% Domain   : Program Verification
% Problem  : E7
% Version  : G. Ernst's axioms.
% English  : These problems were donated to McCharen, et al., in
%            private correspondence from G. Ernst.

% Refs     : McCharen J.D., Overbeek R.A., Wos L.A. (1976), Problems
%            and Experiments for and with Automated Theorem Proving
%            Programs, IEEE Transactions on Computers C-25(8), 773-
%            782. Problem E7.
% Source   : [SETHEO]
% Names    : v7.lop [SETHEO]
%          : E7 [McCharen, et al., 1976]

% Status   : 
% Syntax   : Number of clauses           :   23 (   2 non-Horn)(   9 units)
%            Number of literals          :   45 (  21 equality)
%            Number of predicate symbols :    2 (   0 propositions)
%            Number of function symbols  :    6 (   3 constants)
%            Number of variables         :   36 (   0 singletons)
%            Maximal clause size         :    4
%            Maximal term depth          :    3

% Comments : 
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001-0.ax').
%----Include axioms for this program verification
include('Axioms/PRV001-0.ax').
include('Axioms/PRV001-0.eq').
%--------------------------------------------------------------------------
input_clause(clause_1,theorem,
    [--less_than(n,l)]).

input_clause(clause_2,theorem,
    [++less_than(one,l)]).

input_clause(clause_3,theorem,
    [++less_than(a(l),a(predecessor(l)))]).

input_clause(clause_4,theorem,
    [++less_than(X,n),
     ++less_than(n,X),
     --less_than(one,n),
     --less_than(a(X),a(predecessor(n)))]).

input_clause(clause_5,theorem,
    [--less_than(one,X),
     --less_than(X,n),
     --less_than(a(X),a(predecessor(X)))]).
%--------------------------------------------------------------------------
