%--------------------------------------------------------------------------
% File     : PUZ028=Party-1 : Released v0.0.0, Updated v0.0.0.
% Domain   : Puzzles
% Problem  : People at a party
% Version  : 
% English  : We can always choose 3 persons who are either familiar
%            with each other or not familiar with each other, from 6
%            persons who meet at a party.

% Refs     : 
% Source   : ICOT exhibition brochure, IJCAI'91.
% Names    : 

% Status   : satisfiable
% Syntax   : Number of clauses           :   15 (   1 non-Horn)(  11 units)
%            Number of literals          :   25 (   0 equality)
%            Number of predicate symbols :    4 (   0 propositions)
%            Number of function symbols  :    6 (   6 constants)
%            Number of variables         :   11 (   0 singletons)
%            Maximal clause size         :    5
%            Maximal term depth          :    1

% Comments : 
%--------------------------------------------------------------------------
input_clause(person1,hypothesis,
    [++person(one)]).

input_clause(person2,hypothesis,
    [++person(two)]).

input_clause(person3,hypothesis,
    [++person(three)]).

input_clause(person4,hypothesis,
    [++person(four)]).

input_clause(person5,hypothesis,
    [++person(five)]).

input_clause(person6,hypothesis,
    [++person(six)]).

input_clause(order1,hypothesis,
    [++after(one,two)]).

input_clause(order2,hypothesis,
    [++after(two,three)]).

input_clause(order3,hypothesis,
    [++after(three,four)]).

input_clause(order4,hypothesis,
    [++after(four,five)]).

input_clause(order5,hypothesis,
    [++after(five,six)]).

input_clause(transitivity_of_order,hypothesis,
    [++after(Large,Small),
     --after(Large,Medium),
     --after(Medium,Small)]).

input_clause(familiar_or_not,hypothesis,
    [++familiar(X,Y),
     ++not_familiar(X,Y),
     --person(X),
     --person(Y),
     --after(X,Y)]).

input_clause(three_familiar,theorem,
    [--familiar(X1,X2),
     --familiar(X2,X3),
     --familiar(X3,X1)]).

input_clause(three_not_familiar,theorem,
    [--not_familiar(X1,X2),
     --not_familiar(X2,X3),
     --not_familiar(X3,X1)]).
%--------------------------------------------------------------------------
