%--------------------------------------------------------------------------
% File     : RNG006=Eqn1-1 : Released v0.0.0, Updated v0.9.1.
% Domain   : Ring Theory
% Problem  : X*(Y+Z^-1) = (X*Y)+(X*Z)^-1
% Version  : Wos' axioms : Augmented.
% English  :

% Refs     : Wos L.A. (1965), Unpublished notes, Argonne National
%            Laboratory. Problem 25.
%          : McCharen J.D., Overbeek R.A., Wos L.A. (1976), Problems
%            and Experiments for and with Automated Theorem Proving
%            Programs, IEEE Transactions on Computers C-25(8), 773-
%            782.
% Source   : [SPRFN]
% Names    : 

% Status   : 
% Syntax   : Number of clauses           :   39 (   0 non-Horn)(  12 units)
%            Number of literals          :   95 (  24 equality)
%            Number of predicate symbols :    3 (   0 propositions)
%            Number of function symbols  :   11 (   8 constants)
%            Number of variables         :  124 (   0 singletons)
%            Maximal clause size         :    5
%            Maximal term depth          :    2

% Comments : These are the same axioms as in [McCharen, et al., 1976].
%--------------------------------------------------------------------------
%----Include Reflexivity, symmetry and transitivity, of equality
include('Axioms/EQU001-0.ax').
%----Include ring theory axioms
include('Axioms/RNG001-0.ax').
%----Include ring theory equality axioms
include('Axioms/RNG001-0.eq').
%--------------------------------------------------------------------------
input_clause(product_lemma1,axiom,
    [--product(A,B,C),
     ++product(A,additive_inverse(B),additive_inverse(C))]).

input_clause(product_lemma2,axiom,
    [--product(A,B,C),
     ++product(additive_inverse(A),B,additive_inverse(C))]).

input_clause(product_lemma3,axiom,
    [--product(A,B,C),
     ++product(additive_inverse(A),additive_inverse(B),C)]).

input_clause(b_plus_inverse_c,hypothesis,
    [++sum(b,additive_inverse(c),bS_Ic)]).

input_clause(a_times_b,hypothesis,
    [++product(a,b,aPb)]).

input_clause(a_times_c,hypothesis,
    [++product(a,c,aPc)]).

input_clause(aPb_plus_IaPc,hypothesis,
    [++sum(aPb,additive_inverse(aPc),aPb_S_IaPc)]).

input_clause(prove_a_times_bS_Ic_is_aPb_S__IaPc,theorem,
    [--product(a,bS_Ic,aPb_S_IaPc)]).
%--------------------------------------------------------------------------
