%--------------------------------------------------------------------------
% File     : RNG041=RngEqn4-1 : Released v0.8.0, Updated v0.9.1.
% Domain   : Ring Theory
% Problem  : 
% Version  : Wos' axioms.
% English  :

% Refs     : Wos L.A. (1965), Unpublished notes, Argonne National
%            Laboratory. Problem 30.
%          : McCharen J.D., Overbeek R.A., Wos L.A. (1976), Problems
%            and Experiments for and with Automated Theorem Proving
%            Programs, IEEE Transactions on Computers C-25(8), 773-
%            782.
% Source   : [SPRFN]
% Names    : wos30 [Wilson & Minker, 1976]

% Status   : 
% Syntax   : Number of clauses           :   41 (   2 non-Horn)(  14 units)
%            Number of literals          :   97 (  30 equality)
%            Number of predicate symbols :    3 (   0 propositions)
%            Number of function symbols  :    8 (   4 constants)
%            Number of variables         :  123 (   2 singletons)
%            Maximal clause size         :    5
%            Maximal term depth          :    2

% Comments : These are the same axioms as in [McCharen, et al., 1976].
%--------------------------------------------------------------------------
%----Include Reflexivity, symmetry and transitivity, of equality
include('Axioms/EQU001-0.ax').
%----Include ring theory axioms
include('Axioms/RNG001-0.ax').
%----Include substitution axioms
include('Axioms/RNG001-0.eq').
%--------------------------------------------------------------------------
input_clause(h_substitution,axiom,
    [--equal(A,B),
     ++equal(h(A),h(B))]).

input_clause(multiplicative_identity1,hypothesis,
    [++product(additive_identity,A,additive_identity)]).

input_clause(multiplicative_identity2,hypothesis,
    [++product(A,additive_identity,additive_identity)]).

input_clause(right_multiplicative_identity,hypothesis,
    [++product(A,multiplicative_identity,A)]).

input_clause(left_multiplicative_identity,hypothesis,
    [++product(multiplicative_identity,A,A)]).

input_clause(clause41,hypothesis,
    [++product(A,h(A),multiplicative_identity),
     ++equal(A,additive_identity)]).

input_clause(clause42,hypothesis,
    [++product(h(A),A,multiplicative_identity),
     ++equal(A,additive_identity)]).

input_clause(a_times_b,theorem,
    [++product(a,b,additive_identity)]).

input_clause(a_not_additive_identity,theorem,
    [--equal(a,additive_identity)]).

input_clause(prove_b_is_additive_identity,theorem,
    [--equal(b,additive_identity)]).
%--------------------------------------------------------------------------
