%--------------------------------------------------------------------------
% File     : ROB002=RobBool1-1 : Released v0.0.0, Updated v0.0.0.
% Domain   : Robbins Algebra
% Problem  : --X = X => Boolean
% Version  : [Winker, 1990] (equality) axioms.
% English  : If --X = X then the algebra is Boolean.

% Refs     : Winker S. (1990), Robbins Algebra: Conditions That Make
%            a Near-Boolean Algebra Boolean, Journal of Automated
%            Reasoning 6(4), 465-489. Lemma 2.1.
%          : Henkin L., Monk J. and Tarski A. (1971), Cylindrical
%            Algebras, Part 1, North-Holland, Amsterdam, The
%            Netherlands.
% Source   : [Winker, 1990]
% Names    : 

% Status   : 
% Syntax   : Number of clauses           :   11 (   0 non-Horn)(   6 units)
%            Number of literals          :   17 (  17 equality)
%            Number of predicate symbols :    1 (   0 propositions)
%            Number of function symbols  :    4 (   2 constants)
%            Number of variables         :   22 (   0 singletons)
%            Maximal clause size         :    3
%            Maximal term depth          :    6

% Comments : Commutativity, associativity, and Huntington's axiom 
%            axiomatize Boolean algebra.
%--------------------------------------------------------------------------
%----Include the axioms of equality
include('Axioms/EQU001-0.ax').
%----Include axioms for Robbins algebra
include('Axioms/ROB001-0.ax').
%--------------------------------------------------------------------------
input_clause(double_negation,hypothesis,
    [++equal(negate(negate(X)),X)]).

input_clause(prove_huntingtons_axiom,theorem,
    [--equal(add(negate(add(a,negate(b))),negate(add(negate(a),
negate(b)))),b)]).
%--------------------------------------------------------------------------
