%--------------------------------------------------------------------------
% File     : ROB006=RobBool5-1 : Released v0.0.0, Updated v0.6.1.
% Domain   : Robbins Algebra
% Problem  : c + d=d => Boolean
% Version  : [Winker, 1990] (equality) axioms.
%          : Theorem formulation : Denies Huntington's axiom.
% English  : If there are elements c and d such that c+d=d, then the 
%            algebra is Boolean.

% Refs     : Winker S. (1990), Robbins Algebra: Conditions That Make
%            a Near-Boolean Algebra Boolean, Journal of Automated
%            Reasoning 6(4), 465-489. Theorem 1.1.
%          : Wos, L (1992), An Opportunity to Test Your Skills-and the
%            Power of Your Automated Reasoning Program, Association for
%            Automated Reasoning Newsletter 21, 10-11.
%          : Henkin L., Monk J. and Tarski A. (1971), Cylindrical
%            Algebras, Part 1, North-Holland, Amsterdam, The
%            Netherlands.
%          : Lusk E., and Wos L. (1992), Benchmark Problems in Which
%            Equality Plays the Major Role, In Kapur D. (Ed.), Proceedings
%            of the 11th International Conference on Automated Deduction
%            (Saratoga Springs, NY, 1992), (Lecture Notes in Artificial
%            Intelligence 607), Springer-Verlag, New York, NY, 781-785.
%            Problem RA4.
% Source   : [Wos, 1992]
% Names    : RA4 [Lusk & Wos, 1992]

% Status   : 
% Syntax   : Number of clauses           :   11 (   0 non-Horn)(   6 units)
%            Number of literals          :   17 (  17 equality)
%            Number of predicate symbols :    1 (   0 propositions)
%            Number of function symbols  :    6 (   4 constants)
%            Number of variables         :   21 (   0 singletons)
%            Maximal clause size         :    3
%            Maximal term depth          :    6

% Comments : Commutativity, associativity, and Huntington's axiom 
%            axiomatize Boolean algebra.
%--------------------------------------------------------------------------
%----Include the axioms of equality
include('Axioms/EQU001-0.ax').
%----Include axioms for Robbins algebra
include('Axioms/ROB001-0.ax').
%--------------------------------------------------------------------------
input_clause(absorbtion,hypothesis,
    [++equal(add(c,d),d)]).

input_clause(prove_huntingtons_axiom,theorem,
    [--equal(add(negate(add(a,negate(b))),negate(add(negate(a),
negate(b)))),b)]).
%--------------------------------------------------------------------------
