%--------------------------------------------------------------------------
% File     : ROB008=Eqn1-1 : Released v0.0.0, Updated v0.0.0.
% Domain   : Robbins Algebra
% Problem  : If -(a + -(b + c)) = -(a + b + -c) then a+b=a
% Version  : [Winker, 1990] (equality) axioms.
% English  :

% Refs     : Winker S. (1990), Robbins Algebra: Conditions That Make
%            a Near-Boolean Algebra Boolean, Journal of Automated
%            Reasoning 6(4), 465-489. Lemma 3.1.
% Source   : [Winker, 1990]
% Names    : 

% Status   : 
% Syntax   : Number of clauses           :   11 (   0 non-Horn)(   6 units)
%            Number of literals          :   17 (  17 equality)
%            Number of predicate symbols :    1 (   0 propositions)
%            Number of function symbols  :    5 (   3 constants)
%            Number of variables         :   21 (   0 singletons)
%            Maximal clause size         :    3
%            Maximal term depth          :    6

% Comments : 
%--------------------------------------------------------------------------
%----Include the axioms of equality
include('Axioms/EQU001-0.ax').
%----Include axioms for Robbins algebra
include('Axioms/ROB001-0.ax').
%--------------------------------------------------------------------------
input_clause(condition,hypothesis,
    [++equal(negate(add(a,negate(add(b,c)))),negate(add(a,add(b,
negate(c)))))]).

input_clause(prove_result,theorem,
    [--equal(add(a,b),a)]).
%--------------------------------------------------------------------------
