%--------------------------------------------------------------------------
% File     : ROB021=RobBool8-1 : Released v0.0.0, Updated v0.11.1.
% Domain   : Robbins Algebra
% Problem  : (-X = -Y)=>(X = Y) => Boolean
% Version  : [Winker, 1990] (equality) axioms.
% English  : If (-X = -Y) => (X = Y) then the algebra is Boolean.

% Refs     : Henkin L., Monk J. and Tarski A. (1971), Cylindrical
%            Algebras, Part 1, North-Holland, Amsterdam, The
%            Netherlands.
%          : Winker S. (1990), Robbins Algebra: Conditions That Make
%            a Near-Boolean Algebra Boolean, Journal of Automated
%            Reasoning 6(4), 465-489.
% Source   : Email from Bill McCune
% Names    : 

% Status   : 
% Syntax   : Number of clauses           :   11 (   0 non-Horn)(   5 units)
%            Number of literals          :   18 (  18 equality)
%            Number of predicate symbols :    1 (   0 propositions)
%            Number of function symbols  :    4 (   2 constants)
%            Number of variables         :   23 (   0 singletons)
%            Maximal clause size         :    3
%            Maximal term depth          :    6

% Comments : Commutativity, associativity, and Huntington's axiom 
%            axiomatize Boolean algebra.
%--------------------------------------------------------------------------
%----Include the axioms of equality
include('Axioms/EQU001-0.ax').
%----Include axioms for Robbins algebra
include('Axioms/ROB001-0.ax').
%--------------------------------------------------------------------------
input_clause(negative_equality_implies_positive_equality,hypothesis,
    [--equal(negate(X),negate(Y)),
     ++equal(X,Y)]).

input_clause(prove_huntingtons_axiom,theorem,
    [--equal(add(negate(add(a,negate(b))),negate(add(negate(a),
negate(b)))),b)]).
%--------------------------------------------------------------------------
