%--------------------------------------------------------------------------
% File     : SET003=SubSUnion1-1 : Released v0.0.0, Updated v0.8.1.
% Domain   : Set Theory
% Problem  : A set is a subset of the union of itself with itself
% Version  : [Lawrence & Starkey, 1974] axioms.
% English  :

% Refs     : Lawrence J.D., Starkey J.D. (1974) Experimental tests
%            of resolution based theorem-proving strategies, Technical
%            Report, Computer Science Department, Washington State
%            University, Pullman, Washington. Problem 105.
%          : Wilson G.A. and Minker J. (1976), Resolution, Refinements, and
%            Search Strategies: A Comparative Study, IEEE Transactions on
%            Computers C-25(8), 782-801.
% Source   : [SPRFN]
% Names    : ls105 [Wilson & Minker, 1976]

% Status   : 
% Syntax   : Number of clauses           :   14 (   3 non-Horn)(   2 units)
%            Number of literals          :   36 (   0 equality)
%            Number of predicate symbols :    4 (   0 propositions)
%            Number of function symbols  :    4 (   2 constants)
%            Number of variables         :   34 (   2 singletons)
%            Maximal clause size         :    4
%            Maximal term depth          :    2

% Comments : 
%--------------------------------------------------------------------------
%----Include the member and subset axioms
include('Axioms/SET001-0.ax').
%----Include the member and union axioms
include('Axioms/SET001-1.ax').
%--------------------------------------------------------------------------
input_clause(a_union_a_is_aUa,hypothesis,
    [++union(a,a,aUa)]).

input_clause(prove_a_is_a_subset_of_aUa,theorem,
    [--subset(a,aUa)]).
%--------------------------------------------------------------------------
