%--------------------------------------------------------------------------
% File     : SET014=UnionOfSubS-3 : Released v0.0.0, Updated v0.11.5.
% Domain   : Set Theory
% Problem  : Union of subsets is a subset
% Version  : [Boyer, et al., 1986] axioms.
% English  : If A and B are contained in C then the union of A and B 
%            is also. 

% Refs     : Boyer R., Lusk E., McCune W., Overbeek R., Stickel M. and
%            Wos L. (1986), Set Theory in First-Order Logic: Clauses
%            for Godel's Axioms,  Journal of Automated Reasoning 2(3),
%            287-327.
% Source   : ANL problem set
% Names    : 

% Status   : 
% Syntax   : Number of clauses           :  269 (  20 non-Horn)(  15 units)
%            Number of literals          :  632 ( 273 equality)
%            Number of predicate symbols :   14 (   0 propositions)
%            Number of function symbols  :   62 (   9 constants)
%            Number of variables         :  732 (  28 singletons)
%            Maximal clause size         :    8
%            Maximal term depth          :    4

% Comments : 
%--------------------------------------------------------------------------
%----Include the axioms of equality
include('Axioms/EQU001-0.ax').
%----Include Godel's set axioms
include('Axioms/SET003-0.ax').
%----Include the equality axioms for Godel's set axioms 
include('Axioms/SET003-0.eq').
%--------------------------------------------------------------------------
input_clause(a_subset_of_c,hypothesis,
    [++subset(as,cs)]).

input_clause(b_subset_of_c,hypothesis,
    [++subset(bs,cs)]).

input_clause(prove_a_union_b_subset_of_c,theorem,
    [--subset(union(as,bs),cs)]).
%--------------------------------------------------------------------------
