%--------------------------------------------------------------------------
% File     : SET017=UOrdPrLCanc-4 : Released v0.0.0, Updated v0.2.2.
% Domain   : Set Theory
% Problem  : Left cancellation for non-ordered pairs
% Version  : [Boyer, et al., 1986] axioms.
% English  :

% Refs     : Boyer R., Lusk E., McCune W., Overbeek R., Stickel M. and
%            Wos L. (1986), Set Theory in First-Order Logic: Clauses 
%            for Godel's Axioms,  Journal of Automated Reasoning 2(3), 
%            287-327. Problem lemma 2.
% Source   : [Boyer, et al., 1986]
% Names    : 

% Status   : 
% Syntax   : Number of clauses           :  270 (  20 non-Horn)(  16 units)
%            Number of literals          :  633 ( 275 equality)
%            Number of predicate symbols :   14 (   0 propositions)
%            Number of function symbols  :   63 (  10 constants)
%            Number of variables         :  732 (  28 singletons)
%            Maximal clause size         :    8
%            Maximal term depth          :    4

% Comments : 
%--------------------------------------------------------------------------
%----Include the axioms of equality
include('Axioms/EQU001-0.ax').
%----Include Godel's set axioms
include('Axioms/SET003-0.ax').
%----Include the equality axioms for Godel's set axioms 
include('Axioms/SET003-0.eq').
%--------------------------------------------------------------------------
input_clause(a_little_set,hypothesis,
    [++little_set(a)]).

input_clause(b_little_set,hypothesis,
    [++little_set(b)]).

input_clause(equal_non_ordered_pairs,hypothesis,
     [++equal(non_ordered_pair(c,a),non_ordered_pair(d,b))]).

input_clause(prove_left_cancellation,theorem,
    [--equal(a,c)]).
%--------------------------------------------------------------------------
