%--------------------------------------------------------------------------
% File     : SET017=UOrdPrLCanc-6 : Released v0.0.0, Updated v0.0.3.
% Domain   : Set Theory
% Problem  : Left cancellation for non-ordered pairs
% Version  : [Quaife, 1992] axioms.
% English  : 

% Refs     : Quaife A. (1992), Automated Deduction in von Neumann-
%            Bernays-Godel Set Theory, In Journal of Automated
%            Reasoning 8(1), 91-147. Theorem UP4.
% Source   : [Quaife]
% Names    : 

% Status   : 
% Syntax   : Number of clauses           :  162 (   8 non-Horn)(  33 units)
%            Number of literals          :  335 ( 162 equality)
%            Number of predicate symbols :   10 (   0 propositions)
%            Number of function symbols  :   41 (  11 constants)
%            Number of variables         :  379 (  26 singletons)
%            Maximal clause size         :    5
%            Maximal term depth          :    6

% Comments : 
% Bugfixes : v0.0.2 - New axioms added to SET009.ax and SET010.ax
%          : v0.0.3 - New axioms removed from SET009.ax and SET010.ax
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001-0.ax').
%----Include von Neuman-Bernays-Godel set theory axioms
include('Axioms/SET004-0.ax').
include('Axioms/SET004-0.eq').
%--------------------------------------------------------------------------
input_clause(prove_left_cancellation_1,theorem,
    [++equal(unordered_pair(x,y),unordered_pair(x,z))]).

input_clause(prove_left_cancellation_2,theorem,
    [++member(ordered_pair(y,z),cross_product(universal_class,
universal_class))]).

input_clause(prove_left_cancellation_3,theorem,
    [--equal(y,z)]).
%--------------------------------------------------------------------------
