%--------------------------------------------------------------------------
% File     : SET018=2ndCpntsEq-4 : Released v0.0.0, Updated v0.2.2.
% Domain   : Set Theory
% Problem  : Second components of equal ordered pairs are equal
% Version  : [Boyer, et al., 1986] axioms.
% English  :

% Refs     : Boyer R., Lusk E., McCune W., Overbeek R., Stickel M. and
%            Wos L. (1986), Set Theory in First-Order Logic: Clauses 
%            for Godel's Axioms,  Journal of Automated Reasoning 2(3), 
%            287-327. Problem lemma 3.
% Source   : [Boyer, et al., 1986]
% Names    : 

% Status   : 
% Syntax   : Number of clauses           :  272 (  20 non-Horn)(  18 units)
%            Number of literals          :  635 ( 275 equality)
%            Number of predicate symbols :   14 (   0 propositions)
%            Number of function symbols  :   63 (  10 constants)
%            Number of variables         :  732 (  28 singletons)
%            Maximal clause size         :    8
%            Maximal term depth          :    4

% Comments : 
%--------------------------------------------------------------------------
%----Include the axioms of equality
include('Axioms/EQU001-0.ax').
%----Include Godel's set axioms
include('Axioms/SET003-0.ax').
%----Include the equality axioms for Godel's set axioms 
include('Axioms/SET003-0.eq').
%--------------------------------------------------------------------------
input_clause(a_little_set,hypothesis,
    [++little_set(a)]).

input_clause(b_little_set,hypothesis,
    [++little_set(b)]).

input_clause(c_little_set,hypothesis,
    [++little_set(c)]).

input_clause(d_little_set,hypothesis,
    [++little_set(d)]).

input_clause(equal_ordered_pair,hypothesis,
    [++equal(ordered_pair(a,b),ordered_pair(c,d))]).

input_clause(prove_second_components_equal,theorem,
    [--equal(b,d)]).
%--------------------------------------------------------------------------
