%--------------------------------------------------------------------------
% File     : SET021=2ndUnq-6 : Released v0.0.0, Updated v0.0.3.
% Domain   : Set Theory
% Problem  : 2nd is unique when x is an ordered pair of sets
% Version  : [Quaife, 1992] axioms.
% English  : 

% Refs     : Quaife A. (1992), Automated Deduction in von Neumann-
%            Bernays-Godel Set Theory, In Journal of Automated
%            Reasoning 8(1), 91-147. Theorem OP7 part 2.
% Source   : [Quaife]
% Names    : 

% Status   : 
% Syntax   : Number of clauses           :  161 (   8 non-Horn)(  32 units)
%            Number of literals          :  334 ( 161 equality)
%            Number of predicate symbols :   10 (   0 propositions)
%            Number of function symbols  :   40 (  10 constants)
%            Number of variables         :  379 (  26 singletons)
%            Maximal clause size         :    5
%            Maximal term depth          :    6

% Comments : 
% Bugfixes : v0.0.2 - New axioms added to SET009.ax and SET010.ax
%          : v0.0.3 - New axioms removed from SET009.ax and SET010.ax
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001-0.ax').
%----Include von Neuman-Bernays-Godel set theory axioms
include('Axioms/SET004-0.ax').
include('Axioms/SET004-0.eq').
%--------------------------------------------------------------------------
input_clause(prove_unique_1st_and_2nd_in_pair_of_sets2_1,theorem,
    [++member(ordered_pair(u,v),cross_product(universal_class,
universal_class))]).

input_clause(prove_unique_1st_and_2nd_in_pair_of_sets2_2,theorem,
    [--equal(second(ordered_pair(u,v)),v)]).
%--------------------------------------------------------------------------
