%--------------------------------------------------------------------------
% File     : SET025=OrdPrSet-9 : Released v0.0.0, Updated v0.10.1.
% Domain   : Set Theory
% Problem  : Ordered pairs are little sets
% Version  : [Boyer, et al., 1986] axioms.
%            Theorem formulation : Predicate for ordered pairs.
% English  :

% Refs     : Boyer R., Lusk E., McCune W., Overbeek R., Stickel M. and
%            Wos L. (1986), Set Theory in First-Order Logic: Clauses 
%            for Godel's Axioms,  Journal of Automated Reasoning 2(3), 
%            287-327. Problem lemma 11.
% Source   : [Boyer, et al., 1986]
% Names    : 

% Status   : 
% Syntax   : Number of clauses           :  268 (  20 non-Horn)(  14 units)
%            Number of literals          :  631 ( 273 equality)
%            Number of predicate symbols :   14 (   0 propositions)
%            Number of function symbols  :   60 (   7 constants)
%            Number of variables         :  732 (  28 singletons)
%            Maximal clause size         :    8
%            Maximal term depth          :    4

% Comments : 
%--------------------------------------------------------------------------
%----Include the axioms of equality
include('Axioms/EQU001-0.ax').
%----Include Godel's set axioms
include('Axioms/SET003-0.ax').
%----Include the equality axioms for Godel's set axioms 
include('Axioms/SET003-0.eq').
%--------------------------------------------------------------------------
input_clause(an_ordered_pair_predicate,hypothesis,
    [++ordered_pair_predicate(a)]).

input_clause(prove_predicate_is_small,theorem,
    [--little_set(a)]).
%--------------------------------------------------------------------------
