%--------------------------------------------------------------------------
% File     : SET035=MapCpsn-4 : Released v0.0.0, Updated v0.2.2.
% Domain   : Set Theory
% Problem  : Maps for composition
% Version  : [Boyer, et al., 1986] axioms.
% English  :

% Refs     : Boyer R., Lusk E., McCune W., Overbeek R., Stickel M. and
%            Wos L. (1986), Set Theory in First-Order Logic: Clauses 
%            for Godel's Axioms,  Journal of Automated Reasoning 2(3), 
%            287-327. Problem lemma 20.
% Source   : [Boyer, et al., 1986]
% Names    : 

% Status   : 
% Syntax   : Number of clauses           :  269 (  20 non-Horn)(  15 units)
%            Number of literals          :  632 ( 273 equality)
%            Number of predicate symbols :   14 (   0 propositions)
%            Number of function symbols  :   65 (  12 constants)
%            Number of variables         :  732 (  28 singletons)
%            Maximal clause size         :    8
%            Maximal term depth          :    4

% Comments : 
%--------------------------------------------------------------------------
%----Include the axioms of equality
include('Axioms/EQU001-0.ax').
%----Include Godel's set axioms
include('Axioms/SET003-0.ax').
%----Include the equality axioms for Godel's set axioms 
include('Axioms/SET003-0.eq').
%--------------------------------------------------------------------------
input_clause(one_mapping,hypothesis,
    [++maps(function1,a,b)]).

input_clause(another_mapping,hypothesis,
    [++maps(function2,c,d)]).

input_clause(prove_maps_for_composition,theorem,
    [--maps(composition(function2,function1),a,d)]).
%--------------------------------------------------------------------------
