%--------------------------------------------------------------------------
% File     : SET044=ARussellSet-5 : Released v0.0.0, Updated v0.0.0.
% Domain   : Set Theory
% Problem  : Anti-Russell Sets
% Version  : 
% English  : If there were an anti-Russell set (a set that contains 
%            exactly those sets that are members of themselves), then 
%            not every set has a complement.

% Refs     : Pelletier F.J. (1986), Seventy-Five Problems for Testing 
%            Automatic Theorem Provers, Journal of Automated Reasoning
%            2(2), 191-216.
% Source   : [Pelletier, 1986]
% Names    : Pelletier 40 [Pelletier, 1986]
%          : p40.in [ANL]

% Status   : 
% Syntax   : Number of clauses           :    4 (   1 non-Horn)(   0 units)
%            Number of literals          :    8 (   0 equality)
%            Number of predicate symbols :    1 (   0 propositions)
%            Number of function symbols  :    2 (   1 constants)
%            Number of variables         :    6 (   0 singletons)
%            Maximal clause size         :    2
%            Maximal term depth          :    2

% Comments : 
%--------------------------------------------------------------------------
input_clause(clause_1,theorem,
    [--element(X,a),
     ++element(X,X)]).

input_clause(clause_2,theorem,
    [--element(X,X),
     ++element(X,a)]).

input_clause(clause_3,theorem,
    [--element(Y,f(X)),
     --element(Y,X)]).

input_clause(clause_4,theorem,
    [++element(Y,X),
     ++element(Y,f(X))]).
%--------------------------------------------------------------------------
