%--------------------------------------------------------------------------
% File     : SET052=XProdAxCor1-6 : Released v0.0.0, Updated v0.1.1.
% Domain   : Set Theory
% Problem  : Corollary to Cartesian product axiom
% Version  : [Quaife, 1992] axioms.
% English  : 

% Refs     : Quaife A. (1992), Automated Deduction in von Neumann-
%            Bernays-Godel Set Theory, In Journal of Automated
%            Reasoning 8(1), 91-147. 
% Source   : [Quaife]
% Names    : 

% Status   : 
% Syntax   : Number of clauses           :  161 (   8 non-Horn)(  32 units)
%            Number of literals          :  334 ( 160 equality)
%            Number of predicate symbols :   10 (   0 propositions)
%            Number of function symbols  :   42 (  12 constants)
%            Number of variables         :  379 (  26 singletons)
%            Maximal clause size         :    5
%            Maximal term depth          :    6

% Comments : Not in [Quaife, 1992]. Extracted from Quaife's email.
% Bugfixes : v0.0.2 - New axioms added to SET009.ax and SET010.ax
%          : v0.0.3 - New axioms removed from SET009.ax and SET010.ax
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001-0.ax').
%----Include von Neuman-Bernays-Godel set theory axioms
include('Axioms/SET004-0.ax').
include('Axioms/SET004-0.eq').
%--------------------------------------------------------------------------
input_clause(prove_corollary_1_to_cartesian_product_1,theorem,
    [++member(ordered_pair(u,v),cross_product(x,y))]).

input_clause(prove_corollary_1_to_cartesian_product_2,theorem,
    [--member(u,universal_class)]).
%--------------------------------------------------------------------------

