%--------------------------------------------------------------------------
% File     : SET055=EqRefl-6 : Released v0.0.0, Updated v0.0.3.
% Domain   : Set Theory
% Problem  : Equality is reflexive
% Version  : [Quaife, 1992] axioms.
% English  : 

% Refs     : Quaife A. (1992), Automated Deduction in von Neumann-
%            Bernays-Godel Set Theory, In Journal of Automated
%            Reasoning 8(1), 91-147. Theorem EQ1.
% Source   : [Quaife]
% Names    : 

% Status   : 
% Syntax   : Number of clauses           :  159 (   8 non-Horn)(  30 units)
%            Number of literals          :  332 ( 160 equality)
%            Number of predicate symbols :   10 (   0 propositions)
%            Number of function symbols  :   39 (   9 constants)
%            Number of variables         :  378 (  26 singletons)
%            Maximal clause size         :    5
%            Maximal term depth          :    6

% Comments : 
% Bugfixes : v0.0.2 - New axioms added to SET009.ax and SET010.ax
%          : v0.0.3 - New axioms removed from SET009.ax and SET010.ax
%--------------------------------------------------------------------------
%----Don't include axioms of equality, as reflexivity is proved here
% include('Axioms/EQU001-0.ax').
%----Include von Neuman-Bernays-Godel set theory axioms
include('Axioms/SET004-0.ax').
include('Axioms/SET004-0.eq').
%--------------------------------------------------------------------------
input_clause(symmetry,axiom,
    [--equal(X,Y),
     ++equal(Y,X)]).

input_clause(transitivity,axiom,
    [--equal(X,Y),
     --equal(Y,Z),
     ++equal(X,Z)]).

input_clause(prove_reflexivity,theorem,
    [--equal(x,x)]).
%--------------------------------------------------------------------------
