%--------------------------------------------------------------------------
% File     : SET068=UOrdPrArg2-6 : Released v0.0.0, Updated v0.0.3.
% Domain   : Set Theory
% Problem  : Proper class in an unordered pair, part 2
% Version  : [Quaife, 1992] axioms.
% English  : If one argument of an unordered pair is a proper class,
%            the pair contains only the other.

% Refs     : Quaife A. (1992), Automated Deduction in von Neumann-
%            Bernays-Godel Set Theory, In Journal of Automated
%            Reasoning 8(1), 91-147. Theorem UP2 part 2.
% Source   : [Quaife]
% Names    : 

% Status   : 
% Syntax   : Number of clauses           :  160 (   8 non-Horn)(  31 units)
%            Number of literals          :  333 ( 160 equality)
%            Number of predicate symbols :   10 (   0 propositions)
%            Number of function symbols  :   40 (  10 constants)
%            Number of variables         :  379 (  26 singletons)
%            Maximal clause size         :    5
%            Maximal term depth          :    6

% Comments : 
% Bugfixes : v0.0.2 - New axioms added to SET009.ax and SET010.ax
%          : v0.0.3 - New axioms removed from SET009.ax and SET010.ax
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001-0.ax').
%----Include von Neuman-Bernays-Godel set theory axioms
include('Axioms/SET004-0.ax').
include('Axioms/SET004-0.eq').
%--------------------------------------------------------------------------
input_clause(prove_singleton_in_unordered_pair2_1,theorem,
    [--subclass(singleton(y),unordered_pair(x,y))]).
%--------------------------------------------------------------------------
