%--------------------------------------------------------------------------
% File     : SET083=SgtnDepEl1-6 : Released v0.0.0, Updated v0.0.3.
% Domain   : Set Theory
% Problem  : A singleton set depends on its element, part 1
% Version  : [Quaife, 1992] axioms.
% English  : 

% Refs     : Quaife A. (1992), Automated Deduction in von Neumann-
%            Bernays-Godel Set Theory, In Journal of Automated
%            Reasoning 8(1), 91-147. Theorem SS5 part 1.
% Source   : [Quaife]
% Names    : 

% Status   : 
% Syntax   : Number of clauses           :  162 (   8 non-Horn)(  33 units)
%            Number of literals          :  335 ( 162 equality)
%            Number of predicate symbols :   10 (   0 propositions)
%            Number of function symbols  :   40 (  10 constants)
%            Number of variables         :  379 (  26 singletons)
%            Maximal clause size         :    5
%            Maximal term depth          :    6

% Comments : 
% Bugfixes : v0.0.2 - New axioms added to SET009.ax and SET010.ax
%          : v0.0.3 - New axioms removed from SET009.ax and SET010.ax
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001-0.ax').
%----Include von Neuman-Bernays-Godel set theory axioms
include('Axioms/SET004-0.ax').
include('Axioms/SET004-0.eq').
%--------------------------------------------------------------------------
input_clause(prove_singleton_identified_by_element1_1,theorem,
    [++equal(singleton(x),singleton(y))]).

input_clause(prove_singleton_identified_by_element1_2,theorem,
    [++member(x,universal_class)]).

input_clause(prove_singleton_identified_by_element1_3,theorem,
    [--equal(x,y)]).
%--------------------------------------------------------------------------
