%--------------------------------------------------------------------------
% File     : SET085=UOrdPrSgtn-6 : Released v0.0.0, Updated v0.11.5.
% Domain   : Set Theory
% Problem  : Unordered pair that is a singleton
% Version  : [Quaife, 1992] axioms.
% English  : 

% Refs     : Quaife A. (1992), Automated Deduction in von Neumann-
%            Bernays-Godel Set Theory, In Journal of Automated
%            Reasoning 8(1), 91-147. 
% Source   : [Quaife]
% Names    : 

% Status   : 
% Syntax   : Number of clauses           :  163 (   8 non-Horn)(  34 units)
%            Number of literals          :  336 ( 163 equality)
%            Number of predicate symbols :   10 (   0 propositions)
%            Number of function symbols  :   41 (  11 constants)
%            Number of variables         :  379 (  26 singletons)
%            Maximal clause size         :    5
%            Maximal term depth          :    6

% Comments : Not in [Quaife, 1992]. Theorem SS5.5, in Quaife's collection.
% Bugfixes : v0.0.2 - New axioms added to SET009.ax and SET010.ax
%          : v0.0.3 - New axioms removed from SET009.ax and SET010.ax
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001-0.ax').
%----Include von Neuman-Bernays-Godel set theory axioms
include('Axioms/SET004-0.ax').
include('Axioms/SET004-0.eq').
%--------------------------------------------------------------------------
input_clause(prove_singleton_in_unordered_pair3_1,theorem,
    [++equal(unordered_pair(y,z),singleton(x))]).

input_clause(prove_singleton_in_unordered_pair3_2,theorem,
    [++member(x,universal_class)]).

input_clause(prove_singleton_in_unordered_pair3_3,theorem,
    [--equal(x,y)]).

input_clause(prove_singleton_in_unordered_pair3_4,theorem,
    [--equal(x,z)]).
%--------------------------------------------------------------------------
