%--------------------------------------------------------------------------
% File     : SET098=ClElExCor1-6 : Released v0.0.0, Updated v0.1.1.
% Domain   : Set Theory
% Problem  : Corollary 1 to a class contains 0, 1, or at least 2 members
% Version  : [Quaife, 1992] axioms.
% English  : 

% Refs     : Quaife A. (1992), Automated Deduction in von Neumann-
%            Bernays-Godel Set Theory, In Journal of Automated
%            Reasoning 8(1), 91-147. Theorem SS13 corollary.
% Source   : [Quaife]
% Names    : 

% Status   : 
% Syntax   : Number of clauses           :  162 (   8 non-Horn)(  33 units)
%            Number of literals          :  335 ( 162 equality)
%            Number of predicate symbols :   10 (   0 propositions)
%            Number of function symbols  :   39 (   9 constants)
%            Number of variables         :  379 (  26 singletons)
%            Maximal clause size         :    5
%            Maximal term depth          :    6

% Comments : 
% Bugfixes : v0.0.2 - New axioms added to SET009.ax and SET010.ax
%          : v0.0.3 - New axioms removed from SET009.ax and SET010.ax
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001-0.ax').
%----Include von Neuman-Bernays-Godel set theory axioms
include('Axioms/SET004-0.ax').
include('Axioms/SET004-0.eq').
%--------------------------------------------------------------------------
input_clause(prove_corollary_1_to_number_of_elements_in_class_1,theorem,
    [--member(not_subclass_element(intersection(complement(singleton(
not_subclass_element(x,null_class))),x),null_class),x)]).

input_clause(prove_corollary_1_to_number_of_elements_in_class_2,theorem,
    [--equal(singleton(not_subclass_element(x,null_class)),x)]).

input_clause(prove_corollary_1_to_number_of_elements_in_class_3,theorem,
    [--equal(x,null_class)]).
%--------------------------------------------------------------------------
