%--------------------------------------------------------------------------
% File     : SET137=SetB3Fix1-6 : Released v0.0.0, Updated v0.11.5.
% Domain   : Set Theory
% Problem  : Kludge 1 to instantiate variables in unordered triples
% Version  : [Quaife, 1992] axioms.
% English  : 

% Refs     : Quaife A. (1992), Automated Deduction in von Neumann-
%            Bernays-Godel Set Theory, In Journal of Automated
%            Reasoning 8(1), 91-147. 
% Source   : [Quaife]
% Names    : SB5.10 [Quaife]

% Status   : 
% Syntax   : Number of clauses           :  166 (   8 non-Horn)(  35 units)
%            Number of literals          :  341 ( 166 equality)
%            Number of predicate symbols :   10 (   0 propositions)
%            Number of function symbols  :   43 (  12 constants)
%            Number of variables         :  387 (  26 singletons)
%            Maximal clause size         :    5
%            Maximal term depth          :    6

% Comments : The 'set builder' problems, of which this is one, do not
%            appear in [Quaife, 1992]. In Quaife's development, these 
%            problems appear between the SINGLETON and the ORDERED 
%            PAIRS problems of [Quaife, 1992]. However, in order to
%            correspond to the paper, these theorems have not been 
%            used in the augmented versions of the subsequent problems
%            in [Quaife, 1992]. 
%          : Not in [Quaife, 1992]. Theorem SB5 in Quaife's collection.
% Bugfixes : v0.0.2 - New axioms added to SET009.ax and SET010.ax
%          : v0.0.3 - New axioms removed from SET009.ax and SET010.ax
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001-0.ax').
%----Include von Neuman-Bernays-Godel set theory axioms
include('Axioms/SET004-0.ax').
include('Axioms/SET004-0.eq').
%--------------------------------------------------------------------------
%----(SBDEF1): definition of set builder.
input_clause(definition_of_set_builder,axiom,
    [++equal(union(singleton(X),Y),set_builder(X,Y))]).

input_clause(set_builder_substitution1,axiom,
    [--equal(A,B),
     ++equal(set_builder(A,C),set_builder(B,C))]).

input_clause(set_builder_substitution2,axiom,
    [--equal(D,E),
     ++equal(set_builder(F,D),set_builder(F,E))]).

input_clause(prove_member_of_triple_kludge1_1,theorem,
    [++member(u,x)]).

input_clause(prove_member_of_triple_kludge1_2,theorem,
    [++member(v,x)]).

input_clause(prove_member_of_triple_kludge1_3,theorem,
    [++member(w,x)]).

input_clause(prove_member_of_triple_kludge1_4,theorem,
    [++equal(set_builder(u,set_builder(v,set_builder(w,null_class))),
null_class)]).
%--------------------------------------------------------------------------
