%--------------------------------------------------------------------------
% File     : SET369=PwrClOfSet-6 : Released v0.1.0, Updated v0.2.2.
% Domain   : Set Theory
% Problem  : Power class of set
% Version  : [Quaife, 1992] axioms.
% English  : 

% Refs     : Quaife A. (1992), Automated Deduction in von Neumann-
%            Bernays-Godel Set Theory, In Journal of Automated
%            Reasoning 8(1), 91-147. Theorem PC5
% Source   : [Quaife]
% Names    : PC5 [Quaife, 1992]

% Status   : 
% Syntax   : Number of clauses           :  192 (   8 non-Horn)(  43 units)
%            Number of literals          :  391 ( 185 equality)
%            Number of predicate symbols :   11 (   0 propositions)
%            Number of function symbols  :   47 (  13 constants)
%            Number of variables         :  440 (  33 singletons)
%            Maximal clause size         :    5
%            Maximal term depth          :    6

% Comments : Quaife proves all these problems by augmenting the axioms
%            with all previously proved theorems. With a few exceptions
%            (the problems that correspond to [Bledsoe, et al., 1986]
%            problems), the TPTP has retained the order in which Quaife
%            presents the problems. The user may create an augmented
%            version of this problem by adding all previously proved
%            theorems (the ones that correspond to [Bledsoe, et al., 
%            1986] are easily identified and positioned using Quaife's
%            naming scheme).
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001-0.ax').
%----Include von Neuman-Bernays-Godel set theory axioms
include('Axioms/SET004-0.ax').
include('Axioms/SET004-0.eq').
%----Include von Neuman-Bernays-Godel Boolean Algebra definitions
include('Axioms/SET004-1.ax').
include('Axioms/SET004-1.eq').
%--------------------------------------------------------------------------
input_clause(prove_power_class_of_set_1,theorem,
    [++member(x,universal_class)]).

input_clause(prove_power_class_of_set_2,theorem,
    [--equal(image(inverse(subset_relation),singleton(x)),
power_class(x))]).
%--------------------------------------------------------------------------
