%--------------------------------------------------------------------------
% File     : SET438=FuncImg-6 : Released v0.1.0, Updated v0.2.2.
% Domain   : Set Theory
% Problem  : In a function, the image of each domain element is a singleton
% Version  : [Quaife, 1992] axioms.
% English  : 

% Refs     : Quaife A. (1992), Automated Deduction in von Neumann-
%            Bernays-Godel Set Theory, In Journal of Automated
%            Reasoning 8(1), 91-147.  
% Source   : [Quaife]
% Names    : FU5 [Quaife]

% Status   : 
% Syntax   : Number of clauses           :  194 (   8 non-Horn)(  44 units)
%            Number of literals          :  394 ( 187 equality)
%            Number of predicate symbols :   11 (   0 propositions)
%            Number of function symbols  :   49 (  14 constants)
%            Number of variables         :  442 (  33 singletons)
%            Maximal clause size         :    5
%            Maximal term depth          :    6

% Comments : Not in [Quaife, 1992], Theorem FU5 in Quaife's collection
%          : Quaife proves all these problems by augmenting the axioms
%            with all previously proved theorems. With a few exceptions
%            (the problems that correspond to [Bledsoe, et al., 1986]
%            problems), the TPTP has retained the order in which Quaife
%            presents the problems. The user may create an augmented
%            version of this problem by adding all previously proved
%            theorems (the ones that correspond to [Bledsoe, et al., 
%            1986] are easily identified and positioned using Quaife's
%            naming scheme).
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001-0.ax').
%----Include von Neuman-Bernays-Godel set theory axioms
include('Axioms/SET004-0.ax').
include('Axioms/SET004-0.eq').
%----Include von Neuman-Bernays-Godel Boolean Algebra definitions
include('Axioms/SET004-1.ax').
include('Axioms/SET004-1.eq').
%--------------------------------------------------------------------------
input_clause(member_of_substitution1,axiom,
    [--equal(A,B),
     ++equal(member_of(A),member_of(B))]).

input_clause(prove_images_of_functions_are_singletons_1,theorem,
    [++function(x)]).

input_clause(prove_images_of_functions_are_singletons_2,theorem,
    [++member(z,domain_of(x))]).

input_clause(prove_images_of_functions_are_singletons_3,theorem,
    [--equal(singleton(member_of(image(x,singleton(z)))),image(x,
singleton(z)))]).
%--------------------------------------------------------------------------
