%--------------------------------------------------------------------------
% File     : SET460=IdRng-6 : Released v0.1.0, Updated v0.11.5.
% Domain   : Set Theory
% Problem  : Range of identity
% Version  : [Quaife, 1992] axioms.
% English  : 

% Refs     : Quaife A. (1992), Automated Deduction in von Neumann-
%            Bernays-Godel Set Theory, In Journal of Automated
%            Reasoning 8(1), 91-147. Theorem ID5, part 2.
% Source   : [Quaife]
% Names    : ID5.2 [Quaife, 1992]

% Status   : 
% Syntax   : Number of clauses           :  191 (   8 non-Horn)(  42 units)
%            Number of literals          :  390 ( 185 equality)
%            Number of predicate symbols :   11 (   0 propositions)
%            Number of function symbols  :   46 (  12 constants)
%            Number of variables         :  440 (  33 singletons)
%            Maximal clause size         :    5
%            Maximal term depth          :    6

% Comments :  is the universal class
%          : Quaife proves all these problems by augmenting the axioms
%            with all previously proved theorems. With a few exceptions
%            (the problems that correspond to [Bledsoe, et al., 1986]
%            problems), the TPTP has retained the order in which Quaife
%            presents the problems. The user may create an augmented
%            version of this problem by adding all previously proved
%            theorems (the ones that correspond to [Bledsoe, et al., 
%            1986] are easily identified and positioned using Quaife's
%            naming scheme).
%          : Used as a demodulator by Quaife.
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001-0.ax').
%----Include von Neuman-Bernays-Godel set theory axioms
include('Axioms/SET004-0.ax').
include('Axioms/SET004-0.eq').
%----Include von Neuman-Bernays-Godel Boolean Algebra definitions
include('Axioms/SET004-1.ax').
include('Axioms/SET004-1.eq').
%--------------------------------------------------------------------------
input_clause(prove_range_of_identity_1,theorem,
    [--equal(range_of(identity_relation),universal_class)]).
%--------------------------------------------------------------------------
