%--------------------------------------------------------------------------
% File     : SET469=Set1El3-6 : Released v0.1.0, Updated v0.11.5.
% Domain   : Set Theory
% Problem  : Sets with at most one member 3
% Version  : [Quaife, 1992] axioms.
% English  : 

% Refs     : Quaife A. (1992), Automated Deduction in von Neumann-
%            Bernays-Godel Set Theory, In Journal of Automated
%            Reasoning 8(1), 91-147. Theorem ID9, part 3.
% Source   : [Quaife]
% Names    : ID9.3 [Quaife, 1992]

% Status   : 
% Syntax   : Number of clauses           :  193 (   8 non-Horn)(  43 units)
%            Number of literals          :  393 ( 187 equality)
%            Number of predicate symbols :   11 (   0 propositions)
%            Number of function symbols  :   48 (  13 constants)
%            Number of variables         :  442 (  33 singletons)
%            Maximal clause size         :    5
%            Maximal term depth          :    6

% Comments : Quaife proves all these problems by augmenting the axioms
%            with all previously proved theorems. With a few exceptions
%            (the problems that correspond to [Bledsoe, et al., 1986]
%            problems), the TPTP has retained the order in which Quaife
%            presents the problems. The user may create an augmented
%            version of this problem by adding all previously proved
%            theorems (the ones that correspond to [Bledsoe, et al., 
%            1986] are easily identified and positioned using Quaife's
%            naming scheme).
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001-0.ax').
%----Include von Neuman-Bernays-Godel set theory axioms
include('Axioms/SET004-0.ax').
include('Axioms/SET004-0.eq').
%----Include von Neuman-Bernays-Godel Boolean Algebra definitions
include('Axioms/SET004-1.ax').
include('Axioms/SET004-1.eq').
%--------------------------------------------------------------------------
input_clause(member_of_substitution1,axiom,
    [--equal(A,B),
     ++equal(member_of(A),member_of(B))]).

input_clause(prove_sets_with_one_member3_1,theorem,
    [++equal(singleton(member_of(x)),x)]).

input_clause(prove_sets_with_one_member3_2,theorem,
    [--subclass(cross_product(x,x),identity_relation)]).
%--------------------------------------------------------------------------
