%--------------------------------------------------------------------------
% File     : SET572=AppnEqn12-6 : Released v0.12.0, Updated v0.12.0.
% Domain   : Set Theory
% Problem  : Application property 12
% Version  : [Quaife, 1992] axioms.
% English  : 

% Refs     : Quaife A. (1992), Automated Deduction in von Neumann-
%            Bernays-Godel Set Theory, In Journal of Automated
%            Reasoning 8(1), 91-147. Problem 13.
% Source   : [Quaife]
% Names    : AP13 [Quaife, 1992]
%            AP12 [Quaife]

% Status   : 
% Syntax   : Number of clauses           :  192 (   8 non-Horn)(  43 units)
%            Number of literals          :  391 ( 184 equality)
%            Number of predicate symbols :   11 (   0 propositions)
%            Number of function symbols  :   49 (  15 constants)
%            Number of variables         :  440 (  33 singletons)
%            Maximal clause size         :    5
%            Maximal term depth          :    6

% Comments : Quaife proves all these problems by augmenting the axioms
%            with all previously proved theorems. With a few exceptions
%            (the problems that correspond to [Bledsoe, et al., 1986]
%            problems), the TPTP has retained the order in which Quaife
%            presents the problems. The user may create an augmented
%            version of this problem by adding all previously proved
%            theorems (the ones that correspond to [Bledsoe, et al., 
%            1986] are easily identified and positioned using Quaife's
%            naming scheme).
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001-0.ax').
%----Include von Neuman-Bernays-Godel set theory axioms
include('Axioms/SET004-0.ax').
include('Axioms/SET004-0.eq').
%----Include von Neuman-Bernays-Godel Boolean Algebra definitions
include('Axioms/SET004-1.ax').
include('Axioms/SET004-1.eq').
%--------------------------------------------------------------------------
input_clause(application_property13_1,theorem,
    [++function(xf)]).

input_clause(prove_application_property13_3,theorem,
    [--subclass(apply(compose(yf,xf),x),apply(yf,apply(xf,x)))]).
%--------------------------------------------------------------------------
