%--------------------------------------------------------------------------
% File     : SYN003=Implies1-1.006 : Released v0.8.0, Updated v0.8.0.
% Domain   : Syntactic
% Problem  : Implications that form a contradiction
% Version  : Theorem formulation : Size 6.
% English  : P1 & Q1 -> P2     P1 & R1 -> P2     Q -> Q1     R -> R1
%            P2 & Q2 -> P3     P2 & R2 -> P3     Q -> Q2     R -> R2
%              ......           ......        ....      ....
%            Pk-1 & Qk-1 ->Pk  Pk-1 & Rk-1 -> Pk Q -> Qk-1   R -> Rk-1
%            P1                ~Pk               Q           R

% Refs     : Plaisted D.A. (1982), A Simplified Problem Reduction
%            Format, Artificial Intelligence 18(X), 227-261.
%            Problem 5.2.
% Source   : [Plaisted, 1982]
% Names    : 

% Status   : 
% Syntax   : Number of clauses           :   24 (   0 non-Horn)(   4 units)
%            Number of literals          :   54 (   0 equality)
%            Number of predicate symbols :   18 (  18 propositions)
%            Number of function symbols  :    0 (   0 constants)
%            Number of variables         :    0 (   0 singletons)
%            Maximal clause size         :    3
%            Maximal term depth          :    0

% Comments : "This set of clauses can cause the following strategies to
%            generate a search space which is exponential in k: All-
%            negative resolution, set-of-support with ~Pk as the support
%            set, input resolution, SL-resolution, locking resolution with
%            a bad choice of indices, and ancestor-filter form (linear
%            resolution)." [Plaisted, 1982, p. 243]
%--------------------------------------------------------------------------
input_clause(p1q1p2,theorem,
    [--p1,--q1,++p2]).

input_clause(p2q2p3,theorem,
    [--p2,--q2,++p3]).

input_clause(p3q3p4,theorem,
    [--p3,--q3,++p4]).

input_clause(p4q4p5,theorem,
    [--p4,--q4,++p5]).

input_clause(p5q5p6,theorem,
    [--p5,--q5,++p6]).

input_clause(p1r1p2,theorem,
    [--p1,--r1,++p2]).

input_clause(p2r2p3,theorem,
    [--p2,--r2,++p3]).

input_clause(p3r3p4,theorem,
    [--p3,--r3,++p4]).

input_clause(p4r4p5,theorem,
    [--p4,--r4,++p5]).

input_clause(p5r5p6,theorem,
    [--p5,--r5,++p6]).

input_clause(qq1,theorem,
    [--q,++q1]).

input_clause(qq2,theorem,
    [--q,++q2]).

input_clause(qq3,theorem,
    [--q,++q3]).

input_clause(qq4,theorem,
    [--q,++q4]).

input_clause(qq5,theorem,
    [--q,++q5]).

input_clause(rr1,theorem,
    [--r,++r1]).

input_clause(rr2,theorem,
    [--r,++r2]).

input_clause(rr3,theorem,
    [--r,++r3]).

input_clause(rr4,theorem,
    [--r,++r4]).

input_clause(rr5,theorem,
    [--r,++r5]).

input_clause(p1,theorem,
    [++p1]).

input_clause(not_p6,theorem,
    [--p6]).

input_clause(q,theorem,
    [++q]).

input_clause(r,theorem,
    [++r]).
%--------------------------------------------------------------------------
