%--------------------------------------------------------------------------
% File     : SYN031=MQW-1 : Released v0.0.0, Updated v0.8.1.
% Domain   : Syntactic
% Problem  : MQW
% Version  : 
% English  :

% Refs     : Michie D., Ross R. and Shannan G.J. (1972), G-deduction, 
%            Machine Intelligence 7, Edinburgh University Press,
%            141-165. Problem MQW.
%          : Wilson G.A. and Minker J. (1976), Resolution, Refinements, and
%            Search Strategies: A Comparative Study, IEEE Transactions on
%            Computers C-25(8), 782-801.
% Source   : [SPRFN]
% Names    : MQW [Wilson & Minker, 1976]

% Status   : 
% Syntax   : Number of clauses           :    5 (   2 non-Horn)(   0 units)
%            Number of literals          :   10 (   0 equality)
%            Number of predicate symbols :    1 (   0 propositions)
%            Number of function symbols  :    2 (   1 constants)
%            Number of variables         :    8 (   3 singletons)
%            Maximal clause size         :    2
%            Maximal term depth          :    2

% Comments : 
% Bugfixes : v0.0.2 - Renamed from SYN036-1.
%--------------------------------------------------------------------------
input_clause(clause1,axiom,
    [++g(A,a),
     ++g(f(A),A)]).

input_clause(clause2,axiom,
    [++g(A,a),
     ++g(A,f(A))]).

input_clause(clause3,axiom,
    [--g(A,B),
     ++g(f(B),B)]).

input_clause(clause4,axiom,
    [--g(A,B),
     ++g(B,f(B))]).

input_clause(theorem,theorem,
    [--g(A,B),
     --g(B,a)]).
%--------------------------------------------------------------------------
