%--------------------------------------------------------------------------
% File     : SYN038=SFleisig4-1 : Released v0.0.0, Updated v0.6.1.
% Domain   : Syntactic
% Problem  : Syntactic formula
% Version  : 
% English  : Exists X, Exists Y, All Z (((p(X,Y) -> (p(X,Z) <-> q(Y,Z)))
%            & (p(X,Y) <-> (p(Z,Z) -> q(Z,Z)))) -> (q(Z,Y) <-> q(Z,Z)))

% Refs     : Friedman J. (1963), A Semi-Decision Procedure for the 
%            Functional Calculus, In Journal of the ACM 10(1), ACM 
%            Press, New York, NY, 1-24.
%          : Fleisig S., Loveland D.W., Smiley A.K., and Yarmush D.L. 
%            (1974), An Implementation of the Model Elimination Proof 
%            Procedure, In Journal of the ACM 21(1), ACM Press, New 
%            York, NY, 124-139. Problem 4.
% Source   : [SPRFN]
% Names    : FEX4T1 [SPRFN]
%          : FEX4T2 [SPRFN]
%          : ex4.lop [SETHEO]

% Status   : 
% Syntax   : Number of clauses           :    7 (   2 non-Horn)(   0 units)
%            Number of literals          :   17 (   0 equality)
%            Number of predicate symbols :    2 (   0 propositions)
%            Number of function symbols  :    1 (   0 constants)
%            Number of variables         :   14 (   0 singletons)
%            Maximal clause size         :    3
%            Maximal term depth          :    2

% Comments : 
% Bugfixes : v0.0.2 - Renamed from SYN034-1.
%          : v0.6.1 - Renamed from SYN037-1.
%--------------------------------------------------------------------------
input_clause(clause_1,theorem,
    [--p(X,f(X,Y)),
     --p(X,Y),
     ++q(Y,f(X,Y))]).

input_clause(clause_2,theorem,
    [--p(X,Y),
     --q(Y,f(X,Y)),
     ++p(X,f(X,Y))]).

input_clause(clause_3,theorem,
    [--p(X,Y),
     --p(f(X,Y),f(X,Y)),
     ++q(f(X,Y),f(X,Y))]).

input_clause(clause_4,theorem,
    [++p(X,Y),
     ++p(f(X,Y),f(X,Y))]).

input_clause(clause_5,theorem,
    [++p(X,Y),
     --q(f(X,Y),f(X,Y))]).

input_clause(clause_6,theorem,
    [++q(X,Y),
     ++q(f(X,Y),f(X,Y))]).

input_clause(clause_7,theorem,
    [--q(X,Y),
     --q(f(X,Y),f(X,Y))]).
%--------------------------------------------------------------------------
