%--------------------------------------------------------------------------
% File     : SYN040=FPell01-1 : Released v0.0.0, Updated v0.6.1.
% Domain   : Syntactic
% Problem  : Pelletier Problem 1
% Version  : 
% English  : A biconditional version of the 'most difficult' theorem
%            proved by the original Logic Theorist.

% Refs     : Newell A., Shaw J. and Simon H. (1957), Empirical 
%            Explorations with the Logic Theory Machine: a Case Study
%            in Heuristics. Reprinted in Feigenbaum E. and Feldman J.
%            (Eds) (1963), Computers and Thought, McGraw-Hill, NY,
%            279-293.
%          : Pelletier F.J. (1986), Seventy-Five Problems for Testing 
%            Automatic Theorem Provers, Journal of Automated Reasoning
%            2(2), 191-216. Problem 1.
% Source   : [Pelletier, 1986]
% Names    : Pelletier 1 [Pelletier, 1986]

% Status   : 
% Syntax   : Number of clauses           :    4 (   0 non-Horn)(   2 units)
%            Number of literals          :    6 (   0 equality)
%            Number of predicate symbols :    2 (   2 propositions)
%            Number of function symbols  :    0 (   0 constants)
%            Number of variables         :    0 (   0 singletons)
%            Maximal clause size         :    2
%            Maximal term depth          :    0

% Comments : 
% Bugfixes : v0.0.2 - Renamed from SYN037-1.
%            v0.6.1 - Renamed from SYN039-1.
%--------------------------------------------------------------------------
input_clause(clause_1,theorem,
    [--p,
     ++q]).

input_clause(clause_2,theorem,
    [--q,
     ++p]).

input_clause(clause_3,theorem,
    [--q]).

input_clause(clause_4,theorem,
    [++p]).
%--------------------------------------------------------------------------
