%--------------------------------------------------------------------------
% File     : SYN069=FPell45-1 : Released v0.0.0, Updated v0.0.2
% Domain   : Syntactic
% Problem  : Pelletier Problem 45
% Version  : 
% English  :

% Refs     : Kalish D. and Montegue R. (1964), Logic: Techniques of
%            Formal Reasoning, World, Harcourt and Brace, New York, NY.
%          : Pelletier F.J. (1986), Seventy-Five Problems for Testing 
%            Automatic Theorem Provers, Journal of Automated Reasoning
%            2(2), 191-216.
% Source   : [Pelletier, 1986]
% Names    : p45.in [ANL]
%          : Pelletier 45 [Pelletier, 1986]

% Status   : 
% Syntax   : Number of clauses           :    9 (   2 non-Horn)(   1 units)
%            Number of literals          :   27 (   0 equality)
%            Number of predicate symbols :    6 (   0 propositions)
%            Number of function symbols  :    3 (   1 constants)
%            Number of variables         :   11 (   0 singletons)
%            Maximal clause size         :    5
%            Maximal term depth          :    2

% Comments : 
% Bugfixes : v0.0.2 - Renamed from SYN066-1.
%--------------------------------------------------------------------------
input_clause(clause_1,axiom,
    [--big_f(X),
     ++big_g(f(X)),
     --big_g(Y),
     --big_h(X,Y),
     ++big_k(Y)]).

input_clause(clause_2,axiom,
    [--big_f(X),
     ++big_h(X,f(X)),
     --big_g(Y),
     --big_h(X,Y),
     ++big_k(Y)]).

input_clause(clause_3,axiom,
    [--big_f(X),
     --big_j(X,f(X)),
     --big_g(Y),
     --big_h(X,Y),
     ++big_k(Y)]).

input_clause(clause_4,axiom,
    [--big_l(X),
     --big_k(X)]).

input_clause(clause_5,axiom,
    [++big_f(a)]).

input_clause(clause_6,axiom,
    [--big_h(a,X),
     ++big_l(X)]).

input_clause(clause_7,axiom,
    [--big_g(X),
     --big_h(a,X),
     ++big_j(a,X)]).

input_clause(clause_8,theorem,
    [--big_f(X),
     ++big_g(g(X))]).

input_clause(clause_9,theorem,
    [--big_f(X),
     ++big_h(X,g(X))]).
%--------------------------------------------------------------------------
