%--------------------------------------------------------------------------
% File     : TOP011=TopBasisAltDef-1 : Released v0.6.0, Updated v0.6.0.
% Domain   : Topology
% Problem  : An alternative definition of top_of_basis
% Version  : [Wick & McCune, 1989] axioms : Incomplete.
% English  : 

% Refs     : Wick C.A., McCune W.W. (1989), Automated Reasoning about
%            Elementary Point-Set Topology, Journal of Automated Reasoning 
%            5(2), 239-255. Problem 6.
% Source   : [Wick & McCune, 1989]
% Names    : 

% Status   : broken
% Syntax   : Number of clauses           :  112 (  25 non-Horn)(   0 units)
%            Number of literals          :  343 (   0 equality)
%            Number of predicate symbols :   22 (   0 propositions)
%            Number of function symbols  :   38 (   4 constants)
%            Number of variables         :  358 (  56 singletons)
%            Maximal clause size         :    8
%            Maximal term depth          :    3

% Comments : The axioms are incomplete, in that they do not contain the
%            requisite set theory axioms. This problem is thus not
%            complete. To use it, appropriate set theory axioms must be
%            added.
%--------------------------------------------------------------------------
%----Include Point-set topology axioms
include('Axioms/TOP001-0.ax').
%--------------------------------------------------------------------------
input_clause(problem_6_126,theorem,
    [++element_of_set(cu,top_of_basis(f)),
     ++subset_collections(g,f)]).

input_clause(problem_6_127,theorem,
    [++element_of_set(cu,top_of_basis(f)),
     ++equal_sets(cu,union_of_members(g))]).

input_clause(problem_6_128,theorem,
    [--element_of_set(cu,top_of_basis(f)),
     --subset_collections(X,f),
     --equal_sets(cu,union_of_members(X))]).
%--------------------------------------------------------------------------
