%--------------------------------------------------------------------------
% File     : TOP014=OpenIntrClsdClsr-1 : Released v0.6.0, Updated v0.6.0.
% Domain   : Topology
% Problem  : Properties of open & interior and closed & closure
% Version  : [Wick & McCune, 1989] axioms : Incomplete.
% English  : If A is open, the interior of A is A, and if A is closed, the 
%            closure of A is A.

% Refs     : Wick C.A., McCune W.W. (1989), Automated Reasoning about
%            Elementary Point-Set Topology, Journal of Automated Reasoning 
%            5(2), 239-255. Problem 9.
% Source   : [Wick & McCune, 1989]
% Names    : 

% Status   : broken
% Syntax   : Number of clauses           :  115 (  26 non-Horn)(   2 units)
%            Number of literals          :  354 (   0 equality)
%            Number of predicate symbols :   22 (   0 propositions)
%            Number of function symbols  :   38 (   4 constants)
%            Number of variables         :  357 (  56 singletons)
%            Maximal clause size         :    8
%            Maximal term depth          :    3

% Comments : The axioms are incomplete, in that they do not contain the
%            requisite set theory axioms. This problem is thus not
%            complete. To use it, appropriate set theory axioms must be
%            added.
%--------------------------------------------------------------------------
%----Include Point-set topology axioms
include('Axioms/TOP001-0.ax').
%--------------------------------------------------------------------------
input_clause(problem_9_142,theorem,
    [++topological_space(cx,ct)]).

input_clause(problem_9_143,theorem,
    [++subset_sets(a,cx)]).

input_clause(problem_9_144,theorem,
    [++open(a,cx,ct),
     ++equal_sets(a,interior(a,cx,ct)),
     ++closed(a,cx,ct),
     ++equal_sets(a,closure(a,cx,ct))]).

input_clause(problem_9_145,theorem,
    [++open(a,cx,ct),
     ++equal_sets(a,interior(a,cx,ct)),
     --closed(a,cx,ct),
     --equal_sets(a,closure(a,cx,ct))]).

input_clause(problem_9_146,theorem,
    [--open(a,cx,ct),
     --equal_sets(a,interior(a,cx,ct)),
     ++closed(a,cx,ct),
     ++equal_sets(a,closure(a,cx,ct))]).

input_clause(problem_9_147,theorem,
    [--open(a,cx,ct),
     --equal_sets(a,interior(a,cx,ct)),
     --closed(a,cx,ct),
     --equal_sets(a,closure(a,cx,ct))]).
%--------------------------------------------------------------------------
