%--------------------------------------------------------------------------
% File     : TOP018=LmtPtConnSet-1 : Released v0.6.0, Updated v0.6.0.
% Domain   : Topology
% Problem  : Propoerty of limits points and connected sets
% Version  : [Wick & McCune, 1989] axioms : Incomplete.
% English  : If limit points are added to a connected set, the result is 
%            connected.

% Refs     : Wick C.A., McCune W.W. (1989), Automated Reasoning about
%            Elementary Point-Set Topology, Journal of Automated Reasoning 
%            5(2), 239-255. Problem 13.
% Source   : [Wick & McCune, 1989]
% Names    : 

% Status   : broken
% Syntax   : Number of clauses           :  112 (  23 non-Horn)(   2 units)
%            Number of literals          :  340 (   0 equality)
%            Number of predicate symbols :   22 (   0 propositions)
%            Number of function symbols  :   39 (   5 constants)
%            Number of variables         :  358 (  56 singletons)
%            Maximal clause size         :    8
%            Maximal term depth          :    3

% Comments : The axioms are incomplete, in that they do not contain the
%            requisite set theory axioms. This problem is thus not
%            complete. To use it, appropriate set theory axioms must be
%            added.
%--------------------------------------------------------------------------
%----Include Point-set topology axioms
include('Axioms/TOP001-0.ax').
%--------------------------------------------------------------------------
input_clause(problem_13_159,theorem,
    [++connected_set(a,cx,ct)]).

input_clause(problem_13_160,theorem,
    [--element_of_set(Y,b),
     ++limit_point(Y,a,cx,ct)]).

input_clause(problem_13_161,theorem,
    [--connected_set(union_of_sets(a,b),cx,ct)]).
%--------------------------------------------------------------------------
